Getting Started

So you heard the buzz: Vlogs are the hip new frontier of the rapidly expanding blogosphere, and Vlog It! is the killer app for making them. Having a pioneer spirit, you rushed to buy Vlog It! or download the trial version. Now that you’ve installed the program, it’s time to move beyond the buzz and get a handle on what exactly a vlog is, what Vlog It! can do for you, and what you need to know to start vlogging.

In a nutshell, a vlog is a video that’s streamed from a server so that people can view it over the Internet. This definition points to the three key steps in vlogging:

  1. Create a video.
  2. Host the video on a server.
  3. Make the video available to viewers.

As for what Vlog It! does, simply insert “It makes it easy to…” in front of the three steps above. From the earliest brainstorming sessions, our prime directive was to keep it simple—more specifically, to eliminate the need for any special training or knowledge. So Vlog It! makes it easy create a professional looking videos without knowing the first thing about video editing, to upload it to a server without even knowing what a server is, and to create a link to it without knowing what html code looks like much less how to write it.

While the latter two steps are so straightforward that no elaboration is necessary, it’s worth expanding on Vlog It’s power to produce great videos. It lets you combine video clips, photographs and other still images, and music, sound effects and other audio files with audio and video recorded live for the vlog. And you can knit the various graphics together with scores of effects from subtle cuts and dissolves to advanced, eye-catching peels, curls, and over-the-shoulders.

Having achieved the desired easy and simplicity of creating, hosting, and linking vlogs, we realized one barrier remained that could stymie some customers: selecting and subscribing to a hosting service. To clear that hurdle, we partnered with PlayStream, a leading hosting and streaming provider. You can set up a free trial account through Vlog It! by simply entering a username and password. When the trial account expires, subscribing to one of PlayStream’s plans is a snap. While using PlayStream as your hosting service is particularly convenient, Vlog It! also gives you the option of uploading your vlogs to the server of your choice.

This section covers what you need to know to install Vlog It!, set up your studio and camera, get oriented to the user interface, and produce a Vlog in just eight easy steps.


Installing Visual Communicator

Installing Vlog It!

  • Vlog It! Minimum System Requirements
  • Installing Vlog It!
  • About Hardware Drivers.
  • Seriousmagic.com

Vlog It! Minimum System Requirements

Each version of Vlog It!TM requires different levels of computer performance and capabilities. Please ensure that your system meets the requirements of the version you are installing.

Windows® Version | Windows® 2000 and XP
Processor Type | Intel® Pentium® III, equivalent or higher
Processor Speed | 933 MHz or faster
RAM | 256 MB RAM
Available Disk Space | 100 MB
Graphics Card | 16 MB AGP graphics card with 3D acceleration 1
Drive | CD-ROM
Audio Card | Standard PC
Camera or Video Device | Web cam or Camcorder 2

1 Some 8 MB cards will work. See Seriousmagic.com for more information.

2 Web cams require a DirectShow compatible driver. Camcorders require a compatible PC video input port.

Installing Vlog It!

  1. Either download Vlog It! from Seriousmagic.com and double-click the executable in the folder to which you saved it, or insert the CD into your PC's CD-ROM drive and wait for the installation program to launch. If the installer does not launch automatically, launch it manually through Windows Explorer:
    1. Right-click the Windows Start button.
    2. Click Explore and then click the icon for your CD-ROM drive.
    3. Double-click the setup.exe application file.
  2. Follow the instructions in the Welcome window and then click Next.
  3. If your system does not have the current version of DirectX and other system components required by Vlog It!, then the setup program will either proceed to install or update if you using a CD or prompt you to install the necessary components if you downloaded the program
    You may be prompted to restart your system. Setup will resume after restarting. Click Yes to restart each time you are asked. This ensures that all system components are installed in the correct order.
  4. When all components have been installed, the license agreement will appear. If you agree with the terms, click I Accept the License Agreement and click Next.
  5. Enter your name, company name, and email address if applicable, as well as the activation key, which you can find on your CD sleeve or in the email from Serious Magic confirming your purchase by download. Then click Next.
  6. To install to the default location, click Next. To specify another path, click Browse and navigate to the desired drive and folder. If you have more than one hard drive, we recommend that you select the one that has the most space free. See the system requirements at the beginning of this section to see how much disk space you'll need for your version. More space will be required as you create shows and publish videos.
  7. Click Next and Vlog It! will be installed.
  8. When installation is complete, a page will indicate that Vlog It! was successfully installed. Click Finish.

  9. Once you are done, take a minute to register on-line by visiting the Serious Magic web site at http://www.seriousmagic.com.

Please keep your Broadcast License Number safe, as you will need it should you ever reinstall the software.

Starting Vlog It!

To run the program, double-click the Vlog It! icon on your desktop. Or, click the Windows Start button > Programs > Serious Magic > Vlog It! You'll automatically start with a Wizard that guides you through creating a show.

Now might be a good time to peruse the manual. Start with Vlog It! Feature and Control Overview to learn your way around, then read Eight Steps to a Vlog to learn the essential steps to creating your first vlog.

If you're in the mood for a movie, watch the Vlog It! Orientation video. Place your Vlog It! CD in your CD-Rom drive and click Help in the Menu Bar and select View Orientation Video.

About Hardware Drivers

The devices attached to your computer, such as your mouse and web cam, require files called drivers that allow them to work with Microsoft® Windows®. Most device manufacturers release new drivers periodically that can increase performance or fix compatibility issues. Vlog It! is particularly dependent on graphics cards and susceptible to a variety of issues caused by old video drivers. If you are having problems, see Updating Your Hardware Drivers for pointers on how to update drivers on your system. On the other hand, if your devices are working just swell with Vlog It!, we recommend that you NOT update them—sometimes new drivers actually cause things to work worse.

Seriousmagic.com

You have free access to the carefully crafted information that our staff publishes on our web site. You'll find Frequently Asked Questions, the latest device and driver information, and step-by-step tutorials. Also, as a registered customer, you have access to our friendly user forums. Please stop by, you never know who you might run into!


Setting up Your Studio

  • Choosing a Camera
  • Installing Your Camera
  • Installing Your Microphone
  • Setting Up Multiple Audio Sources
  • Lighting
  • What to Wear

Choosing a Camera

If you already have a web cam or camcorder connected to your PC then this choice is pretty simple. However, you may still want to review the information in this section to become familiar with the different camera options available and their relative advantages and disadvantages.

It's also important to point out that you don't have to use a video camera with Vlog It! You can create shows consisting entirely of pictures, titles, graphics and pre-recorded video clips. However, to explore all the cool things that Vlog It! can do, you should still try it with a camera at least once.

There are two basic types of cameras you can use with Vlog It!: webcams and camcorders.

Webcams

Webcams have been very popular little cameras and are readily available at most computer stores. They usually stay connected to PCs and sit on top of the monitor or nearby. Early webcams were sphere or "egg" shaped but today they come in many different shapes and sizes. Some PCs even come with a webcam.

You get what you pay for

The earliest webcams were black and white and had fairly low resolution which often meant fairly poor image quality. Fortunately, webcams have improved greatly over the years and today most possess image quality that's quite good. When shopping for a webcam, keep in mind that with webcams you generally get what you pay for. In other words, a webcam that costs $99 usually has better image quality than one costing $49.

Picture quality

More recent models tend to have better quality as well as better software drivers. Another indication of quality is the resolution on the webcam's packaging. Some cameras claim 320 x 240 resolution and others claim 640 x 480. In general, the higher resolution webcams produce better images.

The need for speed

While most webcams connect to your PC through a standard USB port, there are some models that connect through higher speed ports. One type connects to a FireWire port. Other cameras connect to a USB 2.0 port (also called HiSpeed USB). Both of these new types of webcams generally feature better quality than USB 1.0 webcams. Due to the higher speed interface they use, these webcams do not have to compress the image to transfer it into your computer. The trade-off here is that not all PCs have FireWire or USB 2.0 ports. If you wish to use this kind of webcam, FireWire or USB 2.0 ports can be added to your PC by installing an internal interface card into an open slot.

Other names for FireWire - Depending on your particular camera, FireWire is also known as IEEE 1394, i.Link, DV In/Out or DV Terminal.

Camcorders

If you'd like to get very high quality results, consider using a camcorder combined with a video capture card in your computer. In general, camcorders produce much better image quality than webcams and they have become relatively inexpensive over the last few years. Camcorders capture much better quality video than web cams because of their higher resolution imaging chips and better lenses.

An additional advantage is that a camcorder usually has a zoom lens. This enables you to position your camera behind your PC rather than on top of it as web cams require. A zoom lens also gives you greater control over framing your shot.

If you have a camcorder that has both a FireWire and analog input connector, you can use the analog input to connect devices like your VCR or old 8 mm. camcorder and capture footage from VHS videotape. Record the VHS footage onto a DV tape in your camcorder. Then use Vlog It! to capture the footage from the DV tape.

It's All About Drivers

If you have a web cam or a camcorder that uses an analog connection, you'll need a software driver that is compatible with Microsoft's DirectShow (WDM driver). Almost all web cams now come with such a driver. Some older web cams do not, however. Most manufacturers make updated software drivers available on their web sites for free download. Almost any WDM driver-compatible analog or Firewire inputs connected to your computer can be used with Vlog It!

Even if your camera is new, we recommend visiting the web site of your camera manufacturer to verify that you have the latest version.

Installing Your Camera

Connecting your camera to your computer

If you have a web cam, install the latest driver for your camera and connect it to your computer using the USB, analog or Firewire cable that came with it. Then turn the camera on if needed.

With a camcorder, you can use either an S-Video cable (analog) or FireWire (digital) to connect to your computer. Which one you choose may depend on what kind of camcorder you have because some have only one type of connection. VHS and 8 mm camcorders have analog connections. DV and Digital8 camcorders usually have both analog and FireWire connections. If you aren't sure which connection you have, refer to your camcorder's manual. If you have both, it doesn't matter much which you choose; both types of connection will give you about the same results in Vlog It! One nice advantage of using Firewire is that it's designed to be "plug and play," so you should be able to simply plug it in and begin to use it without having to install a driver.

If you will be using an S-Video cable and your computer does not have that kind of input, you can get either an analog capture card, most of which have both composite and S-Video connections, or a graphics card with an S-Video port.

To connect your camcorder via FireWire, install a FireWire (IEEE 1394) capture card in your PC.

Testing your camera outside of Vlog It!

Once your camera is connected, we suggest that you test it out using the viewing software that came with your web cam or capture card. When the camera is working with the software that it came with, exit that software and launch Vlog It!

Finding the Optimal Camera Position

Position your webcam or camcorder securely on top of your monitor, centered directly above the Teleprompter window on Vlog It!'s main interface. You want the lens of your camera to be as close to the top of the Teleprompter window as possible so that your eyes will appear to be looking at the camera while you are actually looking at the Teleprompter just below.

Some web cams have a base or stand that is quite tall and raises the web cam above your monitor. We suggest that you not use such a base because it will raise the camera too far above the monitor. Instead, just secure the camera to the top of the monitor with some tape. If you can position the camera forward enough so that it can hang down in front of the monitor's bezel just a bit, this is ideal.

Camcorders offer additional positioning options because they have zoom lenses that allow you to place them further back on your monitor or even on a tripod behind your monitor. If you have a flat LCD monitors, camera positioning will be even easier.

Setting up your Camera in Vlog It!

To configure your camera,

  1. Click the the Video button on the Setup tab.
  2. In the Video Input Device drop-down list, select the camera you want to use.
  • If your device is a web cam and it is installed properly with a DirectShow (WDM) software driver, you will see its name appear here.
  • If you are using a video capture card you may see an additional box that allows you to select which input source on the card you wish to use.

Clicking the Properties button displays your camera's properties panel, which will allow you to make any adjustments provided by the device's manufacturer. Click Properties now and try experimenting with the different settings.

Automatic Settings are the Enemy: We suggest that you turn off any of your camera's automatic settings (such as Auto Gain, Auto Iris, Auto White Balance).

Camera keep shutting itself off?!?! Many camcorders will turn off automatically after being on for a few minutes if a tape is inserted. Removing the tape should allow the camcorder to stay on indefinitely. In general, it's not good for your camcorder to be left on continuously for days at a time, so remember to turn the camcorder off when it's not being used.

Installing Your Microphone

Choosing a Microphone

The quality of your microphone has a big impact on the quality of your shows. While Vlog It! will work with the microphone that's built into many models of web cams and camcorders, those mikes will typically give poor results because they pick up all sorts of ambient noise. External microphones, particularly lapel mikes that clip to your shirt, generally produce far superior audio. Even an inexpensive lapel mike is preferable to using the built-in mike. A variety of this type of microphone should be available at computer and electronics stores.

The ideal position for a lapel mike is actually about 3 inches below the collar, not on the lapel itself. Experiment with the mike's position to find the best sound.

Connecting the Microphone

In most cases, you will want to plug the microphone into your computer's Microphone jack. It usually has a microphone icon similar to that shown here. If you have a sound card installed, be sure to use it rather than the one on the motherboard.

If you are having any trouble with audio coming in through the sound card or motherboard, and if your camera has an audio input jack, then try plugging your mike into the camera to see if it resolves the problem.

Testing your microphone outside of Vlog It!

Once the microphone is connected, we suggest that you test it out using either the software that came with your sound card or the Windows Sound Recorder program (located in the Programs: Accessories folder of the Windows Start Menu). When the microphone is working in Windows or with the software that came with your audio card, then exit that software and launch Vlog It!

Setting up Your Mike and Performing a Soundcheck

To configure your microphone and test your audio levels in Vlog It!:

  1. Click the Audio button on the Setup tab.
  2. Click the Audio Input Device drop-down list to select the audio device you want Vlog It! to use.
  3. Click the Input Source drop-down to select the microphone as the source on the device.
  4. Before testing your microphone input, adjust the Output Volume Master Level slider to 25% or less. This will help prevent feedback during the microphone test.
  5. Look at the Input Volume meter and adjust the Hardware Level slider until the loudest parts of the audio are reaching the high end of the yellow LEDs but not into the red area.
  6. Now, click the Test button in the Output Volume section to play a short audio sample.
  7. Adjust the Output Volume slider until you hear the test audio at a very quiet but comfortable volume from your speakers.

Unwanted feedback? Reducing speaker volume can help prevent echo or feedback while recording your shows. That loud, obnoxious sound may be caused by your speakers being heard through the microphone. Another way to reduce feedback is to point your speakers at an angle away from your microphone, or simply turn your speakers down or off when you're ready to record.

Setting Up Multiple Audio Sources

If you wish to use the audio from two different microphones in your video, such as a lapel microphone on each person, make sure that they are connected through the same device (a device being a camcorder or sound card). This allows the device to control and synchronize the audio from both microphones and keeps them in sync.

If your camera or sound card has only one input for an external microphone, you'll need a Y adapter like this that combines two microphones to one mic jack. These adapters can be found at most electronics stores; at Radio Shack, the catalog number is 274-310.

Alternatively, you can use an audio mixer to combine the microphones for input to one device. If you have a sound card that supports more than one audio input, you can use the additional inputs for extra microphones. If your camcorder supports two inputs (such as Channel 1 / Channel 2), you can plug one microphone into each channel.

Troubleshooting Audio problems. What? Trouble in paradise? If you are experiencing problems with the quality of your sound, your microphone, recording or playing back sound, we have lots of suggestions. Please see Problems with Audio.

Lighting

Lighting is the single most important factor in making the video from your camera look as good as possible. In general, video shot with a webcam needs a lot of light to look its best.

The best way to determine whether you have enough lighting is with your own eyes. Look at the video of the camera subject on your monitor. Is the subject's face evenly lit or does it have dark shadows? Is the subject over lit and washed out or under lit, flat and gray?

Lighting Location - Getting your Good Side

Many rooms set up for computer use are laid out so that the computer is on a desk against a wall with the light coming from somewhere behind the person's chair. This is not a good lighting situation for shooting video.

If you have not turned off the automatic settings on your camera, a bright background behind the subject can cause the camera's auto mode feature to darken the overall image and leave the subject's face in the dark. To avoid this, turn the auto settings off or make sure that the light shining on the face of your subject is brighter than the light behind the subject. The best way to eliminate this problem is to bounce light off of a nearby wall or the ceiling.

Using Bounced Light

Bounced light can also even out hot spots and fill in dark areas. It's also good to have a fair amount of overall ambient light in the area that will be visible on camera. Experiment by moving your lights around and keep checking the image on your monitor to see what each change does to the quality of your camera image.

If you are having trouble getting enough light out of your existing fixtures, several inexpensive solutions are as close as your local hardware store. A "torchiere" style halogen light can throw 300 watts of light on your ceiling or wall at a reasonable cost. Another option is using 500 watt portable halogen work lights. These can also be quite inexpensive and there are a variety of models that come with their own stands or handy clamps.

Our caring lawyers would like to remind you to always use such lights carefully and only according to the directions. Never leave them on when unattended.

Three Point Lighting Basics

Cinematographers refer to their craft as "painting with light" and that's a good way to think of lighting. Here we give you a few quick pointers on how good lighting is done. One important aspect of lighting is the absence of light; shadows. While shadows are generally considered bad, you still need some shadows because they give an image its depth. A person's nose should cast a shadow on their face or they will look pretty strange on camera!

The trick is to make sure that your shadows are `good' shadows and not `bad' shadows. Bad shadows are shadows that are too sharp or dark. Good shadows have two characteristics; they are soft-edged and they are not completely dark. A good way to get soft-edged shadows is to diffuse light by bouncing it off of a wall. Direct lighting can cause harsh shadows. A good way to make partial shadows that aren't completely dark is to use what's called a `fill' light. Good lighting usually involves three primary lights. The lights themselves can be of the same type. What's important is which direction they are coming from.

  • Key Light: This is the light responsible for most of the illumination. It is also responsible for creating shadows. If you are the subject, the key light is usually located at about your 2 o'clock position.
  • Fill Light: This is the light responsible for 'filling' in the shadows created by the key light so they aren't completely dark. Fill lights are usually located at about the subject's 10 o'clock position.
  • Back Light: This is the light responsible for creating some visible `separation' between the subject and the background. It does this by illuminating the edges of the subject. The back light is actually placed behind and to the side of the subject, but out of the view of the camera. It has the effect of highlighting the edges of your subject.

These are the basics of what is called "three-point lighting." Every time you see someone being interviewed in a TV studio, some variation of this lighting technique is being used.

You don't have to do three-point lighting to get good looking images from your camera but it can really help in problem lighting situations.

You don't even need to have a bunch of professional lights to do good lighting. You can make great three-point lighting out of an ordinary floor lamp, a desk lamp and a piece of white poster board. The poster board can be used to bounce light and can replace the need for a separate fill light. Try experimenting while you watch the results on your monitor.

Get Dressed — What to Wear on Camera

If you read this help system very attentively from virtual cover to virtual cover, you'll find a crack about how nobody notices or cares what shoes you wear. While that may actually be true if you confine yourself to footwear, your attire is important in at least two regards. However, it doesn't quite rate it's own page, so although your wardrobe goes several healthy strides outside the boundaries of setting up your studio, here it is. (If you think it would be more fitting elsewhere, we're accepting nominations.)

What you wear in front of the camera should be consistent with the type of overall impression you are trying to make. Thus, your on-camera appearance will depend greatly on the topic of your show or presentation. A professional appearance on camera will tell your audience that you are serious about the message you are delivering, and in turn they will tend to pay closer attention. While a business suit is appropriate for a show on investment strategy, blue jeans would do better for a rock 'n roll vlog. Newscasters like Brian Williams or Jon Stewart wear a coat and tie when they're the studio but a field jacket and khaki slacks when they're doing a story from a war-torn city street (or in Stewart's case, from in front of a blue screen five feet from his anchor desk). With Vlog It! and its V-Screen, you have the same easy geographical freedom as Jon Stewart—be sure to plan your wardrobe appropriately.

From a technical point of view, you should avoid wearing fabrics with small patterns, like herringbone tweeds, hounds tooth, or small checkered patterns. These tend to drive most video cameras a little crazy. In general it's a good idea to wear neutral colors and to avoid solid blacks or whites. Of course if you're using V-Screen, you'll also want to avoid the color you've chosen for your backdrop.


Orientation to the User Interface

Orientation to the Vlog It! Interface

This section dissects every control panel, menu, and major dialog box in the Vlog It! interface. The intent is just to explain what each button, field, and display is for, so the content is generally very brief and doesn’t tie things together into workflows. The great thing about these pages is that they provide loads of links to the pages that explain how to accomplish specific tasks. You don’t even have to find the text description of a control—simply click the control in the screenshot at the top of the page, and you’ll be magically whisked off to just the right place. You can think of this as the graphical parallel to the help system’s Index.

  • The Output Monitor Window
  • The Teleprompter Window and Action Area
  • The Media and Effects Libraries
  • The Director Buttons and Tabbed Control Panels
  • The Menu Bar


Output Monitor

Output Preview Monitor

The Output Monitor displays the video from your show. If you're in a live video segment that has not yet been recorded or have the Video Setup tab open, then it displays the live feed from your camera. When you double-click an effect or media in a library or Action Tray , the monitor shows a preview of that item. When you Rehearse, Record, or Review a show, it displays the show. Depending upon your PC's processing power and settings, the video displayed in the Output Monitor may preview at a lower quality than that of your finished show.


The Teleprompter, Action Area, and Tickmark Ruler

The Teleprompter and Action Area are scrollable areas where you build your show. Enter your script in the Teleprompter and drag and drop actions into the Action area to create your sequence of events.

Feature

Description

Teleprompter
window

Where you enter and edit text for your script or outline. Also where you read the text aloud as it scrolls up the screen while rehearsing or recording. The controls for the Teleprompter can be found on the Director tab. To learn more about using the Teleprompter, see Using the Teleprompter and Scripts.

TickMark Ruler

This is a multipurpose element:

  • It's a timeline: The tick marks on the right side indicate time in the show, which provides a convenient reference for moving Action Trays to the desired positions. The distance between the tick marks changes as you adjust the scroll speed, reflecting how that action stretches and compresses time.

  • It's the Recording Status Indicator: The stripe running down the center of this bar turns blue for segments that have been recorded.

  • It's a scroll bar: When your mouse point is over the bar, it turns to a hand icon. Clicking and dragging vertically scrubs the show with much finer control than with the scrollbar along the right side of the Action Area.

Action Area

Where you place and arrange Action Trays that contain your Media, such as pre-recorded videos, audio, camera input and effects. Actions scroll up the Action Area with the words in the Teleprompter while rehearsing or recording.

To move up and down the show manually, drag the scroll bar up and down.

To quickly move to the top or bottom of the show, right-click the scroll bar and select top or bottom.

To quickly move one Action Area Page down or up, right-click the scroll bar and select page Up or Page Down.

Action Trays

The container for Action and Media files etc. The contents and placement of a tray determines what happens and when. For more information see Everything You Always Wanted to Know About Action Trays.

  • To quickly move an Action Tray and every tray below it, click the top tray, hold down the Shift key and drag the trays up or down.
  • To move a tray and selected trays above it, hold down the Ctrl key on your keyboard select a Tray and any tray(s) above it. Release the Ctrl key and drag the Action Trays up or down.
  • Smart Position an Action Tray. Right-click on the left handle of the Action Tray and select Smart Position Next Action from the pop-up menu.

Enhanced Action Tray Controls

  • The Time Tab. The time tab displays the exact position of a tray. Slide the cursor over any part of a tray to display the blue time tab.
  • Overlap Trays. Drags trays on top of each other to achieve closer timing.
  • Collapse Trays. Action Trays can be made smaller to accommodate closer timing. To collapse trays, right-click a tray and select Collapse Tray from the pop-up menu. Drag the collapsed trays as close as you like.
  • To expand collapsed trays, right-click the tray and select Expand Tray from the pop-up menu. To learn more about these features, see Rapid Fire Action Timing.

Actions
(aka, Effects, Transitions)

The left side of the Action Tray can contain an Action, such as a video effect, that determines how the Media in the right side of the tray is introduced to the video. For instance, if the Action is a Dissolve, the incoming Media will dissolve in as the preceding Media dissolves out. Add an Action to a tray by dragging an Action icon from the library to anywhere in a tray. To learn more, see Adding Actions and Effects.

  • Preview an Action by double-clicking it.
  • Replace an Action by dragging and dropping another Action icon over the top of the first one.
  • Delete an Action by right-clicking the tray handle and select Delete Action. The entire tray will be removed.
  • Cut an Action to be pasted later by right-clicking the tray handle and select Cut Action. The entire tray will be cut.
  • Copy an Action by right-clicking the tray handle and select Copy Action.
  • Paste an Action by right-clicking in the Action area and selecting Paste Action.

Media

The right side of the Action Tray holds the video, audio, or graphic file that goes with the Action. When you see a Camera icon here, it means that this Action will contain live video from your currently selected Video Input Device. You can replace the Media in the tray by dragging a new Media File onto the Action Tray. For more information, see Media Inputs.

  • Preview Media by double-clicking it.
  • Add Media to a tray by dragging a Media icon from the library into the right side of the tray.
  • Replace Media by dragging and dropping another Media icon over the top of the first one.


The Media and Effects Libraries

The Media Area provides access to the effects and content that you add to your show. You simply drag and drop the desired icons from these libraries into the Action Area to assemble your shows. Most tabs are for accessing libraries of content that were installed with Vlog It! You can store your content in the same folders for easy access. We've also provided a tab through which you can browse to any folder on your system and a Favorites library that you can populate with content that you use on a regular basis.

The Libraries

Video Effects Library

The home to the transition and non-transition effects that introduce new graphical content into your vlogs.

Styles Library

This library contains a variety of title graphics, including opening slates and lower thirds, as well as background graphics. These are grouped into folders with a central stylistic look such as Financial, High Tech, and Sports.

Videos Library

Here you'll find the camera icon, which you add wherever you want to record live video within the show. You can also store your video clips in this library.

Graphics Library

This is intended for photographs, computer generated art, scanned images, and other still images, which you can use as media inputs or as backgrounds for keyed video.

Vlog It! supports the following image file formats: .JPG, .PNG, .BMP, .GIF, and .TGA, including 32 bit with transparency.

Audio Library

This is the place for music, sound effects, and other sound recordings. In addition to the ones that come with Vlog It!, you can also use your own audio files in the following standard PC formats: .WAV, .WMA, and .MP3.

Browse Tab

From this tab, you can find and load supported files from anywhere on your computer or network.

Projects Library

This is the default home for your Vlog It! projects, which have an extension of .MSH. This library shows only files with this extension.

Output Library

This is where all your finished output files are saved. (Published videos or web pages.) [The Vlog It! trial version does not have this tab because it does not save your videos to your computer's hard drive; all published videos are uploaded directly to your trial hosting account.]

My Favorites

This is for your personal collection of effects and media sources. To add any file, right-click it and select Add to My Favorites from the popup menu.

Control | What it does
Content Folder drop-down list | Displays the path for current folder. Click the down arrow to view and navigate to other folders.
Back button | Takes you back to the previous folder.
Forward button | Takes you forward one folder.
Up button | Takes you up one folder.
Home button | Takes you to the folder that is set as the home for each Content Library. You can change the home address or revert to the default by right-clicking a blank spot and selecting the appropriate option from the popup menu.


The Director Buttons and Tabbed Control Panels

  • The Director Buttons
  • The Project Tab Controls
  • The Director Tab Controls
  • The Actions Tab Controls
  • The V-Screen Tab Controls
  • The Setup Tab Controls

The Director Buttons

Feature | What it does
Rehearse button | Runs your show without recording so you can check and adjust action timing.
Record button | Runs your show and records the video with all your final adjustments.
Review button | Plays back your recorded show.
Publish button | Opens the Video Publisher screen. You must Record before you Publish. See Using the Publisher.
Stop button | Stops your show in Rehearse, Record, or Review modes.

The Tabs and Controls

The Project Tab Controls

Tab | Control | What it Does
The Project tab provides controls for creating and saving Project files. You can launch the Wizard and start capturing video from other devices as well as print your teleprompter script. To learn more about Project files and how to manage them, see Managing Files and Projects. | Set Thumbnail button and Thumbnail Display | Click this button to grab the current frame of the show as the thumbnail that can be displayed as a link to the Vlog within a blog.
 | Project Name field | This is the name by which the project will be saved, with an extension of .msh appended to it.
 | New button | Click to create a new show and a new default file name is entered in the Project Name field.
 | Open button | Click to display the contents of the My Projects folder where you select which file to open.
 | Wizard button | Click to start the Wizard. See Using The Wizard.
 | Capture button | Click after connecting your camera to capture pre-recorded clips from tape. Read Capturing Video From Other Recordings to learn how.
 | Save button | Saves your project.
 | Save As... button | Displays a window where you can choose a new file name and destination for your saved file. In newer versions, also sets the default directory for new projects.
 | Print Script button | Click here to print your script.
 | Clear Recordings button | Deletes all audio and video recorded within the current show.

The Director Tab Controls

Tab | Control | What it Does
Use the Director controls when you rehearse or record to control the Teleprompter and Action area. If Vlog It! has a driver's seat, this is it. Get in, sit down and make videos! To learn more about using the Teleprompter, see The Teleprompter. | Pause button | Pause and resume the Teleprompter and Actions during Rehearse and Record. You can also quickly Pause and Resume by pressing the Ctrl Key and the Space Bar.
 | Advance button | Scrolls the Teleprompter and Actions down one text line.
 | Next Effect button | Advances to the next tray in the Action Area.
 | End Effect button | Ends the effect that is currently being displayed.
 | Scroll Speed Slider | Slide to the left to slow down the speed of the text in the Teleprompter. Slide to the right to speed it up.
 | Timer Display | Displays the current show duration.

The Actions Tab Controls

Tab | Control | What it Does
The Actions tab is where you make timing, volume and other adjustments to your Actions and Media. Click an effect, graphic, audio or video file in an Action Tray to display its properties and controls. The controls that you see will change based on the type of media or effect selected. To learn about Actions, Media and their controls in detail, see Adding Media, Text, and Transitions. Actions Tab for Video Effects Audio & Video Clips Title Graphic | Common
 | Icon window and description | Displays a thumbnail image, effect name, file name and description for the selected action in the action tray.
 | Preview Button | Click to preview or hear the selected action, media or clip or title.
 | Video Effects
 | Duration field | Displays the current duration of the effect in seconds. Change the duration by selecting the text in the field and typing in a new duration. Duration is not changeable on some effects that cannot be altered, like Cut.
 | Pause Time field | For effects that come on screen, pause, and then move off screen, this setting defines how long the effect pauses while on screen. For some transitional effects that don't have a pause time set by default, entering a value here will effectively convert the effect into a non-transition effect. Shown in seconds.
 | Audio & Video Clips
 | Volume Control | Drag the slider up to raise the volume and down to lower it. Normal is 100%.
 | Volume meter | Displays the rise and fall of your audio volume. All meters have clipping lights. The two tiny boxes on the top of the meter light up when audio is too loud and certain sounds may be clipped or truncated.
 | Mute checkbox | Mutes the audio associated with the video file or for an audio only file, turns the file on or off.
 | Trim button | Opens the Trim window, where you can indicate where you want a video clip to begin and end. For more information see Trimming Video Clips or Trimming Audio Clips.
 | Video Clips and Still Images
 | Adjust Colors button | Opens a dialog through which you can adjust the brightness, hue, RGB color, contrast and offsets of clips or photos.
 | Title Graphics
 | Edit button | Click to edit the text in a title.

The V-Screen Tab Controls

Tab | Control | What it Does
If you choose to add virtual sets or green screen effects to your show, the V-Screen tab is where you'll select your background and perform chroma keying and color correction. To learn more about using V-Screen, see Using V-Screen to Create a Background. | V-Screen Background window | Shows the currently assigned background image or video that displays behind you when you use the V-Screen feature. Also displays the name of the file displayed to the right. You can drag and drop files onto this icon to replace the current background. You can also switch to another background during a show by using the Change Background effect.
 | Active checkbox | Turns the V-Screen effect on and off.
 | Auto-Set Key button | Automatically calibrates the V-Screen settings.
 | Adjust Key button | Displays the manual V-Screen settings window.
 | Don't Show V-Screen During Rehearse/Record checkbox | Disables the V-Screen effect during rehearse and record only. When selected, this can improve performance on slower PCs and only affects the preview output, not the recorded show.
 | Adjust Colors button | Brings up the color correction window where you can change the brightness and colors of the default background image or video.
 | V-Screen Tips button | Takes you to the Using the V-Screen page in this help system.

The Setup Tab Controls

The Setup tab is where you configure your audio and video input devices like cameras and microphones and test their connection. Click the Audio or Video button to switch between the two control panels.

The Audio Setup tab

Tab | Control | What it Does
 | Audio Input Device drop-down list | Displays the name of the currently selected audio input device. If your audio device is connected but not listed here, it is likely because the device or its driver is not installed properly.
 | Input Source On drop-down list | If you have an audio input device connected to your PC that has multiple input sources available (such as Microphone or Line-In), select between them here.
 | Audio Output Method drop-down list | If you have an audio input device connected to your PC that has multiple input sources available (such as Microphone or Line-In), select between them here.
 | Input Volume Hardware Level slider and meter | Adjusts the volume level of your current audio input card. Adjust this level first so that the meter is just in the yellow range.
 | Input Volume Digital Boost slider, meter and clipping lights. | The amount of amplification applied to the Hardware Level. If you get low volume from your input source, adjusting the slider will make your audio louder. The meter displays sounds levels and the clipping lights indicate that sound is too loud and some sounds may be truncated. These controls work the same way for all audio controls.
 | Input Mute checkbox | Silences the corresponding input or output when checked.
 | Output Volume slider | Adjusts the output volume of the PC's main speakers.
 | Output Mute checkbox | Silences the corresponding input or output when checked.
 | Output Volume Test button | Play audio test file on the PC's main speakers.

The Video Setup tab

Tab | Control | What it Does
 | Current Video Input Device drop-down list | (Video Only) Displays the current video input device. Select which device to use here. If a device is connected but not listed, it may not be installed properly or does not have a standard DirectShow software driver. See Installing Your Camera for help.
 | Input Source | If the current device has more than one input source, (such as Composite Video, S-Video or a TV tuner), you'll see the Input Source drop-down list appear with available input sources listed. You can select between them here.
 | Properties button | Displays settings for current device. Not a part of Vlog It! but part of the driver software for the currently selected device. Different devices display different settings which may include: Brightness, Contrast, Hue, Saturation and Sharpness. Refer to your device manual for information. In general, if the device has "Auto" settings, disable these and adjust settings manually.
 | Advanced button | At present, the dialog that this button opens has only one option, Pause Camera when Offscreen, which controls how data stream is handled when Vlog It! is not using it. In other words, it affects processes within the computer, not anything directly to do with the camera itself. The sole purpose of this option is to resolve a problem involving how Windows 2000 works with the drivers for certain DV camera. If you're not running Windows 2000 or using a DV camera, then you can ignore the Advanced button and forget you ever read this.
 | Adjust Colors button | Displays color correction window where you change colors and brightness of selected video input device. When using V-Screen, adjust colors before using Auto-Set Key.


The Menus

The Menu Bar

The Menu Bar is located at the top left corner of the Vlog It! Window. Click a Menu name to open it.

The File Menu

The File Menu | File Menu Option | What it Does
 | New | Creates a new blank project
 | Wizard | Starts the Wizard
 | Open | Opens existing project
 | Save | Saves the current project
 | Save As... | Save current project to new name
 | Set Thumbnail | Assigns the current frame as the thumbnail that you can add as the vlog's link in your blog.
 | Print Teleprompter Script | Prints your script
 | Recent Projects | Displays a list of shows you worked with recently
 | Exit | Exit Vlog It!

The Edit Menu

The Edit Menu | Edit Menu Option | What it Does
 | Undo | Undoes the last action
 | Redo | Redoes the last action that was undone
 | Cut | Cuts text from the Teleprompter script
 | Copy | Copies Teleprompter text to the clipboard
 | Paste | Pastes whatever is on the clipboard
 | Select All | Selects all text in the Teleprompter

The Director Menu

Director Menu | Director Menu Option | What it Does
 | Rehearse | Starts rehearsal of your show
 | Record | Starts recording your show
 | Review | Starts playback of your show
 | Publish | Starts the publishing process for your show
 | Stop | Stops Rehearse, Record or Review and Preview of Media and Effects

The Teleprompter Menu

Teleprompter Menu | Teleprompter Option | What it Does
 | Pause/Resume | Pauses and then Resumes the Teleprompter scrolling action
 | Next Effect | Scrolls the Action Area to the next Action Tray
 | Advance | Advances the show to the next line in your script.
 | End Effect | Stops the currently playing effect

The Hosting Menu

The Settings Menu | Option | What it Does
 | Manage Account | Opens an Internet browser to the Playstream home page so you can manage various aspects of your hosting account, such as deleting files, upgrading to a better hosting plan, etc.
 | Login Information | Allows you to re-enter your login information (username and password) for your Playstream account. This option does NOT actually change your username or password, but can be used if multiple members of a family want to use the same computer and post to different accounts.
 | Link your Vlog to a Blog | Opens the dialog through which you drag and drop the vlog's thumbnail into your blog as a hyperlink that plays the video.

The Settings Menu

Option

What it Does

Application Settings

This is where you can customize the following Application options:

For detailed pop-up descriptions of each setting, turn Tooltips on and move the cursor over each control in the window.
  • Selects the default effect
  • Sets the Favorites folder
  • Automates Wizard launching
  • Automates starting with a new show
  • Automates loading your last project
  • Turns Tip of the Day on or off
  • Remembers Folder Directories
  • Turns on or off the prompt to select a project type at start up.
  • Disables/Enables Custom Skin
  • Turns Tooltips on or off
  • Sets Record/Rehearse Countdown
  • Sets Jump to Top of Screen
  • Hides Preview Monitor Output
  • Enables Recording Light
  • Enables Audio Level Clipping Indicator
  • Sets Manually Stop Preview Source option
  • Enables Title Safe Area Display

Performance Settings

For detailed pop-up descriptions of each setting, go to Application Settings, turn Tooltips on and move the cursor over each control in the window.

Adjust your settings based your computer's power. Options include:

  • Your computer speed setting
  • Freeze Animated Video Effects Backgrounds
  • Increase Image Resolution with Mipmaps
  • Smooth Teleprompter Scrolling
  • Preview Monitor Display Frame Rate
  • Show V-Screen During Rehearse/Record
  • Enable VSync
  • Enable Software Vertex Processing
  • Use Half Resolution in Preview window for SV cameras
  • Use Half Resolution Images During Rehearse/Record

Camera
Properties

Where you adjust camera properties such as Brightness, Hue, Saturation. Controls vary based on your camera.

V-Screen Submenu

Enable V-Screen

Turns the V-Screen feature on and off

Auto-Set Key

Calibrates the V-Screen keyer to the current background and lighting.

Adjust Key

Opens dialog for fine-tuning the V-Screen key.

Reset Settings to Defaults

If you've fine-tuned the key, then this returns all settings to their defaults.

The Tools Menu

The Tools Menu | Menu Option | What it Does
 | Audio Mixer | Displays the standard Windows audio mixer or volume control panel. Use this panel to trouble shoot problems with your audio.

The Help Menu

The Help Menu | Menu Option | What it Does
 | Help | Launches Vlog It! Help. You can also press the F1 key to launch the Help system.
 | Tip of the Day | View one or all of the Tips.
 | View Orientation Video | Prompts you to insert a CD containing the video.
 | Serious Magic Web site | Requires Internet access. Takes you to the Serious Magic web site.
 | Technical Support Web site | Takes you to the Technical Support page of the Serious Magic web site.
 | Frequently Asked Questions | Takes you to the Frequently Asked Questions page of the Serious Magic web site.
 | Check for Updates | Allows you to check for program updates.
 | About Vlog It! | Displays your system information and Vlog It! copyright information.

The Vlog It! Window Controls

While the Close and Minimize buttons should be so familiar as to require no introduction, the other two warrant elaboration:

  • Stay on Top: Causes the window to remain on top when you select another program. This option is available and works independently on dialogs as well as the main window. In fact, we added it specifically for use with the dialog through which you link a Vlog to your blog because it and your blog editing window have to be accessible simultaneously for that drag-and-drop operation.
  • Reduce to Titlebar: This arrow button shrinks the Vlog It! window to just the title bar.


Eight Steps to Vlog

The Vlog It! Eight-Step

The title for this page was snappier when we had thought of only six steps, but what are you going to do? Still, we think it's pretty impressive that you can create a vlog in just five more steps than a standard waltz and four more than a Texas Two-Step (yes, there are four steps in the Texas Two-Step. Go figure.) This section boils the process down to these essential steps and provides links to the help pages that give detailed instructions on particular actions.

1. Create a Project

To use the Wizard, which gets you jump-started with several basic show elements, click its button on the Project Tab, select Wizard in the File Menu, or press CTRL+W.

To create a blank project, click the New button on the Project Tab, select New in the File Menu, or press CTRL+N.

2. Enter your Script

Click in the Teleprompter window to set the cursor there. You can then type your script or paste content from the clipboard by pressing CTRL+V or selecting Paste in right-click menu. For more information, see Using the Teleprompter.

3. Rehearse and Set Scroll Speed

Read through your script a few times in the Rehearse mode, adjusting the scroll speed to achieve a comfortable pace. Keep in mind that the ideal rate for performing to an audience, whether live or recorded, is a beat or two slower than most of us speak in normal conversation. The slower pace, coupled with careful enunciation, helps your audience better comprehend your message. Pauses can also be quite effective for emphasizing your key points and for keeping your viewers engaged. To build pauses into your presentation, put one or two blank lines in the teleprompter.

It's important to get the scroll speed dialed in at this early stage before you've positioned your transitions. Otherwise, when you adjust the speed later, you may have to manually reposition trays, particularly those containing video clips.

4. Add and Arrange Media and Effects

The next step is to drag and drop the desired media files (still images, video and audio clips, and title slates and lower thirds) into the Action Area, and then pair each with an appropriate effect by dropping it onto the Action Tray. (If you prefer, you can add the effects first and then drop media files onto those trays.) For the purpose of recording video directly into a vlog, the camera goes into the Action Tray as a media input. You'll find its icon in the Video Library. To record audio into your show, you don't have to add anything to the Action Area—if a microphone is connected to the computer and selected on the Setup Tab, then Vlog It! will automatically saved its audio when you record the show. To learn more about adding all types of media and effects, please consult Adding Media and Effects.

Keep in mind that while adding narration can set your vlogs a cut above, and featuring yourself on camera can make them cooler still, the simplest vlog don’t require a camera or microphone. They can consist of photos and other still graphics, video clips, and music or other sound effects.

The position of each Action Tray controls when it will triggered. To move a tray in the Action Area, click and drag on its frame. The section titled Moving Trays to Adjust Timing and Reorganize Show tells you all you need to know about positioning Action Trays. Other topics worth perusing: Customizing Effects, Trimming Audio, and Trimming Video Clips.

Note that you can add and reposition Action Trays and change their contents after recording your vlog as well as before. The recommended workflow is to put all the pieces in place before recording and then fine-tune the timing of events once you've laid down the audio and, if applicable, the video.

5. Record

At it's simplest, recording involves just clicking the Record button and reading the script like a pro. However, being well aware that even the pros don't always get it right in one take, we designed Vlog It! so that you can record your show in segments and do as many takes as it... well... takes to get it right. Learn all the ins and outs in the Recording your Show section.

6. Select a Thumbnail

A thumbnail is an image from the show that you can drop into your blog as a hyperlink to the vlog. Scrub the show to display the desired image in the preview monitor and then click the Set Thumbnail button on the Project tab. That's about all there is to this step, but if you're voracious for more details you can check out the page devoted to selecting a thumbnail.

7. Publish

The penultimate step is to turn your project into a buttoned-up vlog, ready to be viewed by your friends, family, and fans. In the free trial version, this involves nothing more than one click of a single button—to wit, the Publish button. In the retail version, you have more options, all of which become available when you click Publish. The publishing wizard lets you upload to the Vlog Host, publish to another Internet server, save to disc in one of three formats, or send the finished video by email. For more information, please consult the chapter on publishing shows.

If it's the first time you've uploaded a show and you have not yet entered the necessary account information, another wizard will magically appear to guide you through setting up your account on the server's web site.

If you're uploading your vlog to the server, then clicking Next in the Publishing Progress dialog will take you to the Vlog Links dialog. Leave this box up and proceed to Step 8...

8. Make it Accessible: Post a Link in your Blog

At this point, your vlog is all done, but it's a veritable ship-in-the-harbor until you point people to it. Assuming that a) you're inserting your video into a blog or using it as a stand-alone vlog, and b) you're content with the thumbnail from Step 6 as the link, then this is a basic click-and-drag operation. After your vlog is successfully published, the Post the Vlog to Your Blog dialog will appear. Click and hold the thumbnail on that dialog, drag to the desired spot in your blog, and release the mouse button. Vlog It! will paste the necessary information into the blog. If you are using the WYSIWYG view in your blog authoring tool, you should see the thumbnail; if you are using the HTML editing view, you should see the code necessary to make your vlog part of your blog. When a reader clicks the thumbnail, a video viewer will pop up and begin playing the vlog. To learn more, have a look at the page about creating a link to a vlog.


Making Your First Show - A Test Drive

  • Test Driving With a Wizard
  • Getting Set Up and Preparing your Show
  • More Vlog It! Tutorials Online

Test Driving With a Wizard

  1. Double-click the Vlog It! icon on your desktop or click the Start button and select Programs > Serious Magic > Vlog It! By default, Vlog It! starts by taking you directly to the Wizard. If you have disabled this option, click Wizard on the Project Tab.
  2. The first page of the wizard lists the Style templates that you have to choose from. Clicking on one will display a description of the style and an example showing the background and lower-third caption on the right side of the window. For this trial run, select Contemporary and then click the Next button.
  3. On the wizard's second page, you select the style for your opening title slates and the lower third and enter the text that will appear on these title graphics.
    1. Select one of the three background images (Camera, Dish, or Lens) for your opening title slate.
    2. Enter the name of your vlog in the Line 1 field and, if necessary, continue it in the Line 2 field. You can change this content later if you like.
    3. Select from the three styles for the lower third graphics (Live Report, News Bulletin, or Top Story). Again, the panel on the lower right shows how the graphic.
    4. Enter your name (or the name of the person who will be on-camera) in the Enter your name field and enter your title, company, or location if you like.
  4. Click the Next button. This opens the third page of the wizard:
    1. If you will be using the V-Screen feature to key out the background of the live video, then try the three V-Screen Background option and select the desired one.
    2. Choose the theme music for your vlog. To preview the currently selected track, click the Play button.
    3. Select one of the three backgrounds for your closing title slate (Camera, Dish, or Lens).
    4. Enter the text for the closing slate of your show. You can have one or two lines.
  5. Click the Finish button. Vlog It! will proceed to create your customized titles and graphics. Your new show is automatically built for you in a matter of seconds. When it's done you'll see the main window.

Getting Set Up and Preparing your Show

Position your camera at the top of your computer monitor centered over the Teleprompter window. Position yourself so that your head and shoulders are in the center of the Output Monitor window. For additional help, see Finding your optimal camera position.

Type a test script in the Teleprompter

  1. Click in the Teleprompter to set the cursor there.
  2. Select and delete the instructional text.
  3. Start your script on the line that is level with the Action Tray on the right containing the camera icon. Positioning it there will synchronize your script with the camera coming on.

  4. To learn how to use the Teleprompter in detail, see Using the Teleprompter and Scripts.

  5. When you've finished your script, move the closing slate (the next-to-last Action Tray, which reads "Thanks for Watching" by default) to the point level with the last line in the Teleprompter. Holding down the SHIFT key while clicking and dragging will move the fade to black in the last tray, too, thereby maintaining its position below the closing slate. To learn more about repositioning trays, see Moving Trays.

Saving Project Files

Now would be a good time to save your show to a file on your hard disk. Vlog It! gave your project a default file name when you created it. To view or change it:

  1. Click the Project tab and edit the name in the Project Name field.
  2. Click the Save button.
    To learn what folder your files are saved in, read Where Your Project Files Are Saved.

    If you prefer, you can create your own folder in a handy location on your computer. After you save a project to your new folder once, Vlog It! remembers the location and makes it your new default directory.

Rehearsing, Recording, and Reviewing Your First Show

  1. Click the Rehearse button under the Output Monitor window. When you see yourself appear on camera, start reading your script as it scrolls up the Teleprompter window.

    Try it a few times to get comfortable. You can click Stop and begin again as many times as you like. Relax, Tom Brokaw wasn't smooth as silk the first few tries either.
    Each time you stop or rehearse all the way to the end, Vlog It! jumps back to the point where you started rehearsing. If you want to change where it starts scrolling, simply scrub with the scroll bar on the right side of the window until the desired Teleprompter line is in the Action Bar.

    To help keep your eyes as close to the camera as possible, focus on the words in the Action Bar, reading your script as it moves through it.

  2. When you are are comfortable with your delivery, click the Record button and perform your show a again. This time, your camera output and audio are recorded and added to the show.
  3. Click the Review button to see the entire sequence played back, including your performance. If you don't like it, you can simply press Record to try again.The Flex-Recording feature in Vlog It! allows you to re-record just a segment of a show rather than reshooting the whole show. For more information, see Recording.

Selecting a Thumbnail for your Video's Entry on Vlog.com

Vlog It! make it easy to add an image to your blog that serves as a link to the vlog. To select the frame from your video to use for this thumbnail, scrub so that the desired image is showing in the Preview Monitor and then click Set as Thumbnail on the Project Tab. If you haven't selected a thumbnail for yourself by the time you go to publish the show and upload it to the vlog server, then Vlog It! will pick one for you.

Publishing and Uploading Your First Show

When you're happy with how your show looks, you're ready to publish it and make it available to you family, friends, and fans. The Publishing and Uploading your Vlog page covers this task in detail, but here are the basic steps:

  1. Click the Publish button. This opens the Publishing Wizard (unless you're running the free trial version, in which case you jump straight to the wizard's summary page).
  2. Select publishing method. For this tutorial, click Save video to hard drive or network. Click Next.
  3. On the second page, set the video file format and enter the destination and name for the local copy of the file. This time, select Publish a Windows Media Video (.wmv) and save to the default folder with the default file name: My_First_Show_.WMV. Click Next.
  4. On the third page, specify the quality of the video file. This selection affects such factors as the data rate and the number of video frames per second. For this test drive, select Medium File Size/Good Quality. Click Next.
  5. The fourth and final page displays a summary of the publishing settings. If you want to change any settings, click the Back button to return to the appropriate page in the wizard. This time click the Finish button.

    Vlog It! will compress your show and handle it as prescribed by the publishing method you selected. In this case, that means it will save it to the default folder on your hard drive.

  6. Select the Play Video when finished checkbox in the status dialog and click OK. Windows Media Player will launch and begin playing your show.

Congratulations! You have just created and saved your first show.

More Vlog It! Tutorials Online

If you enjoy using tutorials to learn about Vlog It! features, you may find our web site tutorials helpful.

Our staff experts know all of the Vlog It! tips and tricks and are continually working on new tutorials that will help you quickly get up to speed on a wide variety of topics. Our online Tutorials cover topics such as "Capturing Video for Use in Your Shows," "Advanced Video Effects," and "Using Audio Files."

Visit the Vlog It! Technical Support section of our web site at Seriousmagic.com to see the latest tutorials.


Preparing a Show

This section covers all the steps in creating a vlog up to but not including recording it.

  • Creating a Show
  • Using the Teleprompter
  • Working with Action Trays, Input Media, and Transition Effects
  • Replacing the Background in Your Video: The V-Screen Feature


Creating a Show

  • Using The Wizard
  • Starting with a Blank Slate - Creating a Vlog From Scratch

Using The Wizard

The Wizard is hands down the fastest, easiest way to create a show. If you want your show done yesterday and want a consistent professional look, use the Wizard. (Okay, getting it done yesterday is a bit of a stretch, not to mention a cliché. Such time travel will not be possible until we release our top secret new product code-named Pipe Dream, which will be the Swiss Army Knife of software, not only allowing time travel but also perpetual motion, alchemy and immortality. It will also have a nail file that actually works. But that's a few steps down the road yet. For now, the wizard really can at least save you time.)

Like any decent wizard, this one has some serious magic. It automatically incorporates high-quality graphical elements to suit your needs. All of these elements were created by experienced video designers to give your shows the "million dollar" look of real television.

The first time you start Vlog It!, the Wizard opens automatically. To launch it manually, click the Wizard button on the Project Tab, select Wizard in the File Menu, or press CTRL+W.

On the first page of the Wizard, you select from six built-in styles.

  • Contemporary: A clean, modern look for professional and business communications.
  • Financial: A fresh corporate look perfect for today's business needs.
  • High Tech: A cutting-edge style that is ready for the future.
  • Nature: A theme embodying the beauty of nature.
  • Spiritual: A theme for reflection and inspiration.
  • Sports: The energetic look and feel of sports television.

We could walk you through the various options you have on the subsequent two pages of the Wizard, but there's no point. The two panels on the right side of the Wizard's window explain what each option involves and shows you an example of the current selection.

Skipping the Wizard: To go straight into Vlog It! without going through the Wizard, click the close icon in the upper right corner of the Wizard window. To prevent the Wizard from starting each time you launch the program, select Start with New Show or Load Last Project in the Application Settings dialog, which you open through the Settings Menu or by pressing ALT+M.

More Wizard Options in VC: If you make the leap from Vlog It! to Visual Communicator, you will find a far more powerful Wizard waiting to help you create shows. Not only does it have many more styles to choose from, but it also gives a variety of other options. Topic-based shows such as the Video FAQ, the Cooking Show, and the Formal Invitation start with a much more complete skeleton of text slates. Instant Hollywood shows go a step further still, including prerecorded video clips of the show's host and a script for you as the guest. The One-Click Video option lets you prepare a template just the way you like it—after that, a single click sets up a new project for you without having to make a single selection in the Wizard.

Blank Slate - Creating a Show From Scratch

To create a show that's not pre-populated by the wizard, click the New button on the Project Tab, or select New in the File Menu, or press CTRL+N. The resulting show will have just two trays: the first with the camera as the media input, the second the "fade to black" effect that should be at the end of every show.

Learning More about Saving, Copying, and Moving Project Files

Please consult Managing Media Files and Projects to learn more about Vlog It! project files, content files, and how to share projects between computers.


Using the Teleprompter and Scripts

  • The Teleprompter
  • Entering Your Script
  • Rehearsing Your Script
  • Adjusting the Scroll Speed of the Script
  • Manually Controlling the Teleprompter

The Teleprompter

The Teleprompter is the large area in the top center of the Vlog It! window where your script is displayed. You can import a script or outline from a word processor or type the script directly into the Teleprompter window. As you rehearse and record your show, the words of the script scroll upwards, allowing you to read from the screen as the show progresses.

Reading your script from the teleprompter really helps you focus on your speaking part, speak with greater confidence, and keeps you from uttering the dreaded "uh" that seems to spring from our lips when we are not quite sure what words to use.

If you've followed the steps we've handily provided in Finding your optimal camera position, you have placed your video camera just over the Teleprompter window. After a little bit of practice and rehearsal, it will appear that you, (or the person in your show), is looking in the direction of the camera while they are actually reading the words on the screen.

You don't have to use the Teleprompter to use Vlog It! You can create presentations, slide shows and other communications accompanied simply by music or sound effects.

Entering Your Script

If you can, put some time into developing a good script. A good script is one that has a clear message, is interesting to your audience and is easy for you to read as it scrolls.

  1. Open Vlog It! and load a show. If you don't already have a show, one of the demo shows will work just fine.
  2. Position your cursor at the point where you would like the script to begin. This may be at the beginning of the show or in sequence with a particular event in an action tray in the action area. Click the mouse in the Teleprompter window and a flashing "I" cursor will appear where your text will begin. You can either type or paste your script into the Teleprompter window.

    If you are copying your script into the Teleprompter from a word processing program:

    1. Open the program and select the text you wish to copy.
    2. Right-click and select Copy from the pop up menu.
    3. In Vlog It!, position the cursor in the Teleprompter window. Right-click and select Paste.

Changing the Font Size of Your Script

To change the size of the font in the Teleprompter, right-click anywhere in its pane and select Small, Medium, or Large Font. If none of those three options is just right, then select Custom Font. The Font dialog lets you specify not only a font size but also a type face.

Saving a Script

Your script is automatically saved as part of your project when you save your show.

Printing a Script

To print your script, click Print Script on the Project Tab. You can also press CTRL+P or select Print Teleprompter Script in the File menu.

Rehearsing Your Script

  1. With the camera on, click the Rehearse button. The show will play and the script in the Teleprompter window and the events in the Action Area will start to scroll upward.
  2. Read the lines in the Teleprompter as they pass through the colored Action bar. Avoid looking away from the bar (e.g. at yourself in the Output Monitor window), as it can be distracting to your audience.

Adjusting the Scroll Speed of the Script

If the script is scrolling too fast or too slow, adjust the Teleprompter's speed by dragging the Scroll Speed slider on the Director tab to the left to slow down the pace or to the right to speed it up.

If your script ends before the events in the show finish, space your text out accordingly. To add time for video clips, long graphic sequences, or dramatic pauses, add blank lines by pressing Enter on your keyboard.

Adjusting Action Timing

If you need to adjust the timing of the actions, drag them upward in the Action Area to make them happen sooner or down to make them happen later. You can synchronize the actions with the script by vertically aligning the action with the words in the Teleprompter. For tips on adjusting the placement of Action Trays, see Moving Trays to Adjust Timing and Reorganize a Show.

Manually Controlling the Teleprompter

Vlog It! allows you to control the Teleprompter manually:

  • Pausing the Teleprompter: To pause the Teleprompter, click the Pause button on the Director Tab or press CTRL+SPACEBAR.
  • Jumping to the Next Effect: To trigger the next effect, click the Next Effect button or press CTRL+Enter. This command works regardless of whether the Teleprompter is scrolling or paused, but it's particularly useful for recording a show off-the-cuff rather than reading a script.
  • Stepping ahead by a line: To scroll down by one line, click the Advance button or press ALT+A.
  • Terminating the current effect: If you're in the middle of an effect and want to cut it short, click the End Effect button or press ALT+Z. If the current effect is transitional, then the media input from its tray will become the A Source; if it's non-transitional, then the previous A Source will return to full screen.
    Note that this action has no effect on the finished, published video because Vlog It! runs all transitions as they're programmed at the time you publish.

Positioning the Teleprompter for the Ideal Eye Line

If the show includes any live shots of you reading from the Teleprompter, then the ideal position for the Vlog It! window is centered under the camera's lens. If your display resolution is set to 1024 x 768, then the Teleprompter will necessarily be centered at the top of the screen. If your resolution is higher than that, then either drag theVlog It! window to the top of the screen or enable the Jump to Top of Screen option:

  1. In the menu bar, click Settings.
  2. Click Application Settings.
  3. Under Rehearse/Record Options, click Jump To Top of Screen and click OK.

For pointers on where to position the camera, please consult Setting Up your Studio.


Action Trays and Media

Working with Action Trays, Media Inputs, and Transition Effects

This section covers the following pivotal topics:

  • Action Trays: These are the containers in which you pair up each media input with the effect by which it is introduced into the show. The position of an Action Tray in the Action Area determines the time in the show when it will be triggered.
  • Media Inputs: This broad term encompasses all the types of graphical and audio sources that you can use in your vlogs. This section tells you how to add them to the Action Area and provides specifics about each type of media input that Vlog It! supports.
  • Effects: These are for switching from one graphic to another or for displaying two graphics simultaneously. Here you'll learn about the different types of effects, how to assign them to the trays for your media inputs, and how to customize how they work.

Pacing and Visual Variety Keep Things Interesting: As you lay out the content for a show, consider the principles that guide the pros as they do it. Watch a news show carefully and you'll notice that the director avoids being stuck on a "talking head" for too long. They insert graphics, video effects, and over-the-shoulder visual elements not only to illustrate what's being said but also to keep things interesting. For that matter, long takes of a given camera angle and scene composition are the very rare exception in the worlds of film and TV programs.

Of course, the quality of your content, both in its look and its substance, is paramount. The best editing can do only so much to improve mediocre content, so if you have to choose between investing time in the script, graphics, etc. versus the organization of trays, definitely pour your resources into the content first. But keep in mind that appropriate pacing and variety is one of the things that can elevate your show from being merely effective to being truly engaging and memorable. And it doesn't take substantially more time or effort to assemble a show well than to toss it together like a salad—as you'll learn in this section, adding and arranging your content is quite simple and quick. So once you learn a few principles of effective composition and editing, it's simply a matter applying them.


Action Trays

This section introduces you to what Action Trays are and how to work with them:

  • About Action Trays
  • Adding an Action Tray to the Action Area
  • Moving Trays to Adjust Timing and Reorganize Show
  • Removing a Tray


About Action Trays

Action Trays are the containers in which you pair up a media source with the effect by which it is introduced into the show. The effect appears in the bin on the left side of the tray while the media source goes in the bin on the right. If you assign an audio clip to an existing tray, a speaker icon appears on the bridge between the two thumbnails. Clicking the thumbnail for the effect or media source or on the speaker icon selects that entity so that you can customize it through the Actions Tab. Double-clicking will preview the effect or source. Clicking a tray's tab (or the frame surrounding the icons) allows you to select the tray as a whole.

The trays sit in the Action Area to the right of the teleprompter. The position of each tray defines the time at which the effect will run, introducing the media source into the show. Hovering the mouse pointer over a tray displays a little popup dialog indicating its exact trigger time. For a slightly rougher indication of a tray's timing, you can check its position relative to the tick mark ruler on its left.

A tray is triggered upon passing through the pink Action Bar at the top of the Action Area.

See Also:

  • Creating Action Trays and Assigning Media and Effects to Them
  • Moving Trays to Adjust Timing or Reorganize the Show
  • Removing a Tray


Adding an Action Tray & Setting Its Media & Effect

Adding an Action Tray

There's actually no discrete step necessary to add an Action Tray to a show. Trays are created automatically by dropping an effect or media input into the Action Area.

Adding a Media File or Effect to a Show and Creating an Action Tray

If an Action Tray does not yet exist for a particular input/effect pairing, then dropping a media file or effect on a blank spot in the Action Area will both create a tray and populate it with the selected content. It really is as simple as clicking and dragging the desired file or effect from its library into the Action Area and releasing the mouse button when the pointer is in the position where you want the tray to appear. You can also drag a media file from a file management window such as Windows Explorer directly into Vlog It! If the position where the tray lands is not quite right, you can move the tray to adjust the timing or reorganize the sequence.

It makes no difference whether you create a tray by dropping a media file or an effect. If you drop a graphical media file, then the default effect will automatically be assigned. If you drop an effect, then the media input will be either the camera or undefined, depending on the particular effect. So if you will be using the default effect, which you can specify as explained below, then you can save a step by starting with the media file.

Adding Multiple Media Files or Effects

Vlog It! allows you to add two or more media files or effects at once:

  1. If necessary, scroll to the bottom of the show. (Creating multiple new trays in the midst of existing trays is asking for trouble: either the new trays will end up interspersed with the old ones or, worse yet, the content of some existing trays will be replaced by the new content.)
  2. Select the set of media files or effect in their library either by clicking and dragging across a batch of contiguous icons or by holding the CTRL key while clicking each icon. All the icons must be in the same library folder.
  3. Click any of the selected icons, drag to the Action Area, and release the mouse button. A tray will be created for each selected media file or effect. They will be organized in the same sequence as they appear in the library.

Setting The Default Effect

The initial default effect is the Dissolve, one of the simplest and most professional transitions. To change the default to any other effect:

  1. Select Application Settings in the Settings Menu.
  2. Click that field's Browse button for the Default Effect field.
  3. Navigate to the folder for the desired effect.
  4. Select the desired effect and click Open.

Changing a Media File or Effect for an Existing Action Tray

To change the media file or effect for an existing Action Tray, drag the desired icon from its library and drop it on top of the tray. The selected media source or effect will replace whatever was previously assigned to the tray. If you've already published the show, you will have to republish it in order for the new effect or content to be included.

90 Second Cap for the Special Edition and Free Trial: In these two versions of Vlog It!, shows can be up to a minute and a half in length. The full version allows shows to be any length, so feel free to start scripting and story-boarding your first feature-length vlog.


Moving Trays to Adjust Timing and Reorganize Show

Moving Trays to Adjust Timing and Reorganize a Show

The position of each tray in the Action Area defines both the sequence of media sources and the time at which each effect will be triggered and thereby introduce the media source into the show. Hovering the mouse pointer over a tray displays a little popup dialog indicating its exact trigger time. For a slightly rougher indication of a tray's timing, you can check its position relative to the tick mark ruler on its left.

Vlog It! provides several ways to reposition trays to achieve the desired sequence and timing of events.

Content recorded with Vlog It! does not move: If you move a camera tray after you've recorded that segment, the recorded audio and video does not move with it. Pre-recorded video clips do move, but not content that you recorded directly into the project with a tray containing a camera. So if you need to insert content in the middle of a show, your best bet is to squeeze the new content trays in between the trays where you want to do the insertion, click the Pause button before hitting Record, and then use Next Effect to advance to the next tray when you're ready. This could be a bit tricky, and you won't have the teleprompter to help you since it stops scrolling when the Pause button is enabled. Another alternative that might be easier to manage in the long run is to record the insertion content in a separate project, publish Part A & Part B, and then drop the resulting clips into a third project. In the simplest case, you'd have three trays: Part A / Part B / Part A, with the two Part A segments trimmed appropriately -- the first one with the end trimmed off, the second one with the beginning trimmed. If you have an NLE, you might find it easier to edit the segments together through that program.

Allow time for each effect to finish: It's rarely if ever desirable to position a tray so close to the preceding tray that the previous effect does not have time to finish running. The typical result of such a conflict is that the previous effect will snap to its finished state for an instant before the one that cut it off begins running. The quickest, easiest, and surest way to avoid this type of conflict is to use the Smart Position feature.

Scroll Speed also affects timing: The position of trays in the Action Area is only half of the equation determining when events happen in Vlog It! The other half is the teleprompter's scroll speed. Adjusting that value changes how fast the teleprompter and Action Area scroll upwards, but it doesn't automatically adjust the position of your action trays. That's why we recommend dialing in the scroll speed to a comfortable level before adding content and setting the timing of events by moving action trays. If you adjust the scroll speed after positioning your trays, you will most likely have to reposition them.

Clicking and Dragging

Single Tray

The easiest way to move a tray is to click on its tab or frame and drag it to the desired position. If you drag a bit beyond the top or bottom of the Action Area, it will scroll in the appropriate direction.

Multiple Trays

To move a selected set of trays, hold the CTRL key while clicking each tray you wish to move—selected trays will become highlighted. When you've selected all trays of interest, release the CTRL key, click any of the selected trays, and drag in the desired direction. (If you include a tray by mistake, you can remove it from the set by clicking it a second time with the CTRL key still depressed.)

To move a given tray and all trays below it, hold down the Shift key while clicking and dragging the topmost of the trays you wish to move.

Cut, Copy, and Paste

While the click-and-drag method allows you to scroll to any position in a show, it may be faster in some situations to cut or copy one or more trays to the clipboard and paste them in the desired position. This approach also works for reproducing a set of trays in another show.

Single Tray

  1. Right-click the tray's tab or frame and select either Cut this Action if you want to remove the tray from its current position or Copy this Action if you want to leave this tray in place and make one or more copies of it.
  2. Scroll to where you want to paste the tray.
  3. Right-click a blank spot in the Action Area and select Paste Action.

Multiple Trays

  1. Hold the CTRL key while clicking each tray you wish to move—selected trays will become highlighted. (If you include a tray by mistake, you can remove it from the set by clicking it a second time with the CTRL key still depressed.)
  2. Right-click the tab or frame and select of any of the selected trays and select either Cut Selected Actions if you want to remove them from their current position or Copy Selected Actions if you want to leave them in place.
  3. Scroll to where you want to paste the set of trays.
  4. Right-click a blank spot in the Action Area and select Paste Actions. Be sure there's plenty of space for all the trays; if there isn't, Vlog It! will intersperse the pasted trays in or around whatever trays already exist in that area, rather than moving the trays below to make room for the transplanted ones.

Auto-Positioning the Next Tray —The Smart Position Feature

One of the fine points that sets a well-executed video apart from the pack is precise timing of events such that a) no action cuts off the preceding one, and b) no "dead air" pauses occur between actions. Such timing issues are especially crucial with video clips as well as some non-transitional effects because they have a defined duration; they are typically less of an issue with standard transitional effects that have an open-ended duration.

Manually calculating and executing such precise timing can be a challenge—one that you needn't confront with Vlog It! thanks to its Smart Position feature. It does all the math for you and moves the next tray to the exact position where its action will begin just as the previous one ends. All position of all trays below the next one are adjusted accordingly to maintain the same timing between all subsequent actions.

To use this feature, right-click the tray's tab or frame and select Smart Position Next Action from the pop-up menu.

Add Lower Third after Smart Positioning: If a video clip will be accompanied by a Lower Third, run the Smart Position feature before adding the Lower Third tray. Otherwise, that's the tray that will be pushed down to the end of the video clip, which is almost certainly not your intent. If the Lower Third is already in position, you can either cut the tray or move it above the associated video clip while you run Smart Position.

Rapid Fire Action Sequences

The minimum spacing between any two trays is 9 frames, or about a third of a second. Such tight timing allows you to fire a series of actions in rapid succession or to have a text overlay or audio track trigger almost simultaneously with the associated media source. To achieve short intervals between trays, simply overlap them.

If the overlapped trays interfere with keeping track of what's in the trays, you can shrink them vertically by right-clicking on the tab or frame and selecting Collapse Tray from the pop-up menu. To return a collapsed tray to full size, select Expand Tray.


Removing a Tray

To remove a single tray, right-click its tab or frame and select Delete this Action from the pop-up menu.

To remove two or more trays, select each of them by holding down the CTRL key while clicking its frame, then right-click the frame of a selected tray and select Cut Selected Actions.


Media Inputs (Pictures, Videos, etc.)

Vlog It! allows you to use a wide variety of live and recorded media in your shows. This section covers all topics related to preparing and the various types and adding them to the Action Sequence

  • About Media Inputs
    • Live Camera & Playback from Tape
    • Live Audio
    • Still Images
    • Video Clips
    • Audio Clips
    • Titles: Slates, Lower Thirds, & Other Text
  • Previewing a Media Source
  • Adding or Changing a Media Source
  • Managing Media Files


About Media Inputs

Media inputs are the source of the images and sound that you put in your show. This section covers the main types of media files that you can use in Vlog It!, detailing exactly what file types are supported and explaining any variations from the general instructions stated elsewhere.

As long as a file type is supported, Vlog It! doesn't know or care about its origins. You can create or record your own media inputs, download them from the Internet or copy them from elsewhere, or use the ones that come with the program.

  • Live Camera Input
  • Live Audio Input
  • Video Clips
  • Audio Clips
  • Still Images
  • Titles, Lower Thirds, and other Text Slates


Previewing an Effect or Media Input

Vlog It! provides several ways to see an effect in action or view a media input in the Preview Monitor:

  • To view an effect or media input, double-click its icon in the Library area. Effects previewed in the manner will use the default settings and the placeholder Source A and Source B graphics
  • Double-click an effect or media input in its action tray. With effects, this will play the effect using the current settings and the media inputs assigned to the show; with media sources, this simply displays the graphic in the Preview Monitor. Clicking the Preview Button button on the Actions Tab produces the same results.
  • To see effects and media inputs run in the larger context of the show, click the Rehearse button or press F5.
  • To run one or more effects forward or backward, scrub the show using the main scrollbar or, for finer control, the tickmark ruler.


Live Camera & Playback from Tape

To include video from your camera in a show, you must have a camera tray in the Action Area. Each new show is preloaded with just such a tray.

If you transition away from the camera and want to return to it, you'll need to add another camera tray. To do so, drag and drop the camera icon from the Video Library to the Action Area. If you want to transition to the camera with an effect other than the default, then you can save a step in most cases by dropping the desired effect on a blank spot in the Action Area. That's because the camera is the default media input for most types of effects.

A show can contain as many camera trays as you like, but they should never be adjacent to one another because bad things happen when you try to transition from the camera to the camera. (We believe the physics of this are closely related to what happens when you cross the particle beams of two proton guns.)

Unlike with live audio from your microphone, which is recorded regardless of any action trays, Vlog It! records live video only when a camera is active in the show—it's not enough that there's a camera somewhere in the show; the camera must be either the A Source or the B Source in a dual display effect.

Though Vlog It! ends up recording your video, we refer to it as "live video" to distinguish it from recorded video clips that you can add to a show. Live video differs in significant ways from video clips:

  • Once recorded, it remains locked in position within the show. Moving a camera's tray does not shift the position of the recorded video. Instead moving the camera's tray down will change the point when you transition to the recorded "live video." Likewise, moving the next transition effect up will cut off the end of the live video.
    While those two changes might serve a purpose by effectively trimming unwanted content at the beginning or end of the segment, moving the camera's tray up or moving the next transition tray down will have undesirable results. Unless you subsequently re-record the segment, the result will be "dead air" because no video was recorded before transitioning to the camera or after transitioning to the next source.
  • The Trim feature works only for video clips, not with live video.

Is it Live or Is It an Unspecified Leading Brand of Magnetic Tape? That doesn't matter as far as Vlog It! is concerned. If you connect a VCR or other tape playback device to your computer, Vlog It! will treat the incoming video as if it's live from the camera. In fact, the program won't even know that the signal is coming from tape, nor does it care even one itsy bitsy iota.

Bridging the gap between Video Tape and Digital Video Clips: Vlog It!'s Capture feature allows you to quickly and easily create a digital video clip from content recorded to video tape.

Don't like the background in your studio? Then paint it green: That alone may not improve matters unless you have a touch of the Irish. But if you couple the green background with Vlog It!'s V-Screen feature, then you're all set to replace the background with an image of your choosing. That's right, at the click of a button, you can appear to be at a presidential inauguration, on the fifty yard line at the Super Bowl, or in St. Peter's Square for a papal benediction.

Optional Settings for the Camera and Live Video

The camera is unique among all the media inputs and video effects in that it has no options on the Actions Tab. But that's not to say that you have no control over the camera. You just have to look in another place, namely on the Setup Tab with the Video button selected. That's because these settings affect all shows, unlike settings on the Actions Tab that are specific to the selected instance of a media input or effect.

Adjusting the Color of Live Video

The Adjust Colors button opens a dialog of standard color adjustment controls. The color settings affect all live video in your show, so if you tweak the setting in between recording two segments, both segments will reflect the new settings.

Tweaking Color after Recording

Vlog It! applies these settings at record time, so adjustments made after recording a show will not be used unless you subsequently record for at least an instant. In this situation, you can avoid recording over any of your finished show through the following steps:

  1. After the end of the show, add a camera tray followed by a Fade to Black. Make sure the camera tray is fully below the end of the Recording Status Indicator so that note even a frame of your "real" video gets overwritten.
  2. Right-click the new camera tray and select Start Recording After this Action.
  3. Click Record.
  4. Delete the two new action trays.

Adjusting Camera Properties

The Properties button takes you to the options panel for your camera, if it has one. We can't elaborate on the settings that will be available there because the options vary from camera to camera and are totally dependent on the camera's abilities and the version of the software driver.

Advanced Option: Pause Camera when Offscreen

The Advanced button opens a dialog that has only one option: Pause Camera when Offscreen. This option is relevant only if you're running Windows 2000 and using a DV camera; if either of these conditions is not true for you, please move along. There's nothing to see here.

Okay, if you're still reading this section, then you're using a DV camera plugged into a computer running Windows 2000, in which case you may encounter problems when a show transitions to or from the camera. In this event, enabling the Pause Camera when Offscreen should resolve those problems and generally make your life experience richer.

Is one camera just not enough? Then you might want to consider investing in Visual Communicator Studio, the top of the line in our related product family. You'll be able to not only cut between the different cameras but also show two of them at once with the Head to Head Effects and other dual source effects.


Live Audio

When you record a show, Vlog It! records sound from the audio source that you have set up. Live Audio is unique within Vlog It! in that it has no presence the Action Area. If a microphone is connected and properly set up, then its signal will be recorded.

Though the audio from your microphone ends up being recorded, we refer to it as "live audio" to distinguish from recorded audio clips that you add through the Action Area. Like an audio clip (but unlike live video), live audio is unaffected by any action trays. If the mike is unmuted while you record a segment, any sound that it picks up will be included in the finished video even if you add an audio clip (or a video clip that includes audio). To avoid unwanted live audio in a given segment, either use one of the Flex Recording options to skip that section while recording or mute the microphone while recording the segment.

Unlike audio clips, you cannot trim live audio, fade it in or out, or move it within the show.


Still Images

This category includes digital photographs, scanned images, and computer generated 2D and 3D graphics. You'll find the ones that come with Vlog It! in the Pictures Library.

Vlog It! supports the following graphic file formats:

  • .BMP (Bitmap) - an uncompressed format that yields the highest image quality but also the largest file sizes.
  • .PNG (Portable Network Graphics) - a lossless compression format. In English, this means images are compressed to a smaller file size than .bmp without losing any image quality. One advantage of using .PNG files is that they can support images with millions of colors.
  • .TGA (Targa) - a particularly good format for preserving color. Specifically designed for use on Truevision video boards.
  • .JPG (Joint Photographic Experts Group) - a compressed file format that can result in considerably smaller files without any obvious perceived loss in quality. This is the format most commonly used for photographs on the Internet. Some graphics programs allow you to set the degree of compressed. When highly compressed, JPG images become soft or blocky.
  • .GIF (Graphics Interchange Format) - A highly compressed format that supports only 256 colors. It is typically used for relatively small images.
  • .PG - This is the file type that is used for title graphics.

Adjusting the Color of a Video Clip

To tweak the appearance of the currently selected video clip, click the Adjust Color button at the bottom of the Actions Tab. This opens a dialog with standard image editing controls such as brightness, hue, contrast, and color levels. The RGB offset sliders add or subtract the associated colors across the board whereas the basic RGB sliders affect only pixels that contain some of the given color.

Tips for Creating Your Own Graphics

When you're creating your own graphics for use in a vlog, there are only a few rules to keep in mind:

Better to Scale Up than Down:

Make the resolution at least as large 320 pixels x 240 pixels, which is the size of the published output.

Avoid Stretching. Use 4:3 Aspect Ratio:

For we humans, stretching can be a very good thing. For images, it rarely is. If the aspect ratio of image used in Vlog It! is not 4:3, the program will stretch it to that aspect ratio, thereby distorting the image. To avoid this, you have two options:

  • Crop the image in a graphics program.
    • If the image is wider than 4:3, then you'll need to crop from one or both ends. Multiply the height by 1.333 to determine the correct width.
    • If it's taller, then crop the top and bottom. Multiply the width by 0.75 to determine the correct height.
  • If cropping is not a viable option, then you can insert the image into a background that's the right size.
    • If the original image is wider than 4:3, then the background "frame" would have to be add space along the top and bottom.
    • If it's narrower than 4:3 (like the example on the right), then the frame would add space on the sides.

32-bit Images are Treated as Titles:

If you use a 32-bit .png or .tga image, Vlog It! will preserve the transparency and automatically treat the image like a transparent title slate. To learn what exactly that means, please consult the section about titles, lower thirds, and other text.

Using PowerPoint Slides in Your Vlog: You can include PowerPoint Slides in a show by saving them out of PowerPoint as .bmp or .jpg files and then adding them as you would any image. If you later revise a PowerPoint slide, simply save it out again by the same name and to the same folder; Vlog It! will use the new file without requiring you to re-drop it.


Video Clips

Vlog It! allows you to build video clips into your shows. Such pre-recorded clips are handled differently from content recorded within the program (i.e., live video) in two significant ways:

  • Video clips can be moved within the show whereas live video is locked in the position where it was recorded.
  • You can trim a video clip but not live video.

Video clips also differ from audio recorded within Vlog It! (live audio) in that a video clip's audio track stops playing when the show transitions to another tray, whereas the live audio persists even when the live video is not being shown.

Supported Formats

The supported video formats are:

  • .AVI (Audio Video Interleaved) - a Microsoft file format for digital audio and video. This format comes in various flavors depending on the codec (compressor/decompressor) used to record or encode it. If you encounter any problems with an .AVI clip in Vlog It!, you may not have the necessary codec installed to play it back. You can check the codec used to encode the clip with a variety of tools, including the freeware programs VirtualDub and GSpot. You can then check whether that codec is installed through the Windows Device Manager (Control Panel > System > Device Manager button on Hardware tab > Sound, video and game controllers > Video Codecs)
  • .MPG (Moving Pictures Expert Group) - a standard compressed format for audio and video files.
  • .MOV - a format created by Apple but viewable through a QuickTime player on the Windows platform as well.

Because the resolution of an image deteriorates with each decompression/compression cycle it goes through, you'll get the best results by using uncompressed .AVI clips as inputs in your vlogs.

Trimming Video Clips

Vlog It! provides two methods of trimming video clips through the Actions Tab and an additional way of doing so through the Action Area. Only video clips, not live video, can be trimmed. Remember to leave enough time at the beginning for the Transition In effect to finish before anything important happens in the video segment, and enough time at the end so that good content finishes before the Transition Out effect begins.

Using the Trim feature, you can carve several segments out of a single video clip and then either link them up in sequence or drop them in different places within your show. Vlog It! imposes no limit on how many times you can use a given clip (or any other type of media file or effect) within a given show, and each instance of a clip can be trimmed independently of others in the show. So if you want to skip some content in the middle of a clip but use the good stuff on both sides of it, drop two copies of the clip into the Action Area, trim the first to cover the keeper segment at the beginning of the clip, and then trim the second instance to play the quality material from the back end.

Trimming through the Actions Tab

The trim controls on the Action Tab allow you to set in and out points either through a scrub bar or by directly entering the desired time values. To switch the Action Tab to these controls, click the Trim button.

Trimming by Scrub Bar
  1. To find the point in the clip where you'd like the video to begin or end, click and drag the slider and watch the Output Monitor. To fine-tune the position one frame at a time, press the right or left arrow key or the Frame Advance or Frame Back button [image]. The Current Time reading below the slider shows where you are in the clip; the Length reading will not update until you complete the next step.

    Scrubbing is Silent: Audio does not play when you're scrubbing with this slider.

  2. To set the current position as the start point, click the Mark In button; to set it as the end point, click the Mark Out button. The In Point or Out Point field will show the time that is now set, and the Length reading will indicate the length of the clip with the new trim point.
  3. Repeat Steps 1 and 2 for the other end point if desired.
Trimming by Entering Time Points

If you happen to know the time code where you want a clip to start or end, you can trim the clip by typing the desired values in the In Point or Out Point field. To apply the entered value, press Enter (or move the focus by clicking the Preview button or just about any other control or field); do not click the Mark In or Mark Out button as that will overwrite the time you entered with the current slider position.

Reviewing a Trimmed Clip

Vlog It! gives you the option of reviewing a trimmed clip either from the beginning or from the current position of the Trim slider.

  • To view it from the In Point, click the Preview button in the lower left corner of the Actions Tab.
  • To view it from the current position, click the Play button [image] below the Trim slider.

  • To stop playback, click either the Pause button [image] or the Preview button, which toggles to become a Pause button during playback. You can also stop playback and scrub to a new position by clicking and dragging the Trim slider.

Resetting a Clip's Length and Undoing Trim Changes

To revert to the last saved In Point or Out Point for a clip, click the appropriate Revert button. To roll back recent changes to a clip's Trim settings, then the Undo feature (CTRL+Z) is just the ticket.

Frames, not Hundredths: In case you're not used to thinking in video-time, be aware that it works in frames. The three nations of North America and about a dozen other countries including Japan use a video standard known as NTSC in which a second of video consists of 29.97 frames-commonly referred to as 30 frames per second. Most of the rest of the world uses the PAL standard, which runs at 25 fps. The last two digits of time codes displayed in the Trim dialog indicate the current frame number, not hundredths of a second, so they roll over to the next second after 29 or 24, not 99. For audio clips, by contrast, the last two digits represent hundredths of a second.

While the Play button allows you to view content before the In Point, both playback commands stop at the Out Point. If you want to view content after that spot, you will have to move the Out Point to the right.

Working with Video Clips in the Action Area: The Trim-In-Place Control

When you click the icon for a video clip in an Action Tray, a gray band appears. This feature serves two purposes. It provides a graphical indication of the clip's trimmed and overall duration, and it allows you to trim the clip right there in the Action Area. The duration bar for a given clip remains displayed until you select the media input in another tray or click a blank spot in the Action Area. If you want to see the changes reflected in the Actions Tab, you may need to click the Trim button at bottom of that control area.

The Duration Bar for a trimmed clip has two shades of gray. The light gray area represents the clip's trimmed length, or the full length if the clip is untrimmed. With trimmed clips, a darker gray band above the tray or below the Trim Out bar indicates content that will not be shown.

How to …

To trim the beginning of a clip (the "In Point") with this control, mouse over the gray band and when the pointer turns to a hand icon, click and drag up or down. As you make this adjustment, the Output Monitor will display the current frame, which would become the In Point if you released the mouse button. The indicator that pops up next to the clip's icon in the Action Tray reflects the time of the current frame.

To trim the end of a clip ("Out Point") through the Duration Bar, click and drag the bar at the bottom in the desired direction. The mouse pointer will become a double arrow when you're in position to do this. The Output Monitor will display the current frame, which would become the Out Point if you released the mouse button. The indicator that pops up next to the Trim Out bar reflects the trimmed length of the clip.

When the Out Point Isn't the End Point: Note that there's one situation in which the light gray band does not reflect what will actually be played in the show: if a transitional effect is positioned above the Out Point, it will override the trim settings. Say you're putting together the retrospective for the roast for Chuck, the retiring Chief Financial Officer, and you include the clip of him doing the bunny hop at the Christmas party. You trim it from twenty seconds in length down to fifteen seconds but then drop a photo of an actual bunny ten seconds below the clip's tray. The transition to the still of the actual cottontail will effectively trim off the last five seconds where Chuck looks straight into the camera and wiggles his nose.

The Duration Bar helps you to see such inconsistencies. If you want to preserve the current Out Point, you can either use the Smart Position feature or manually move the second tray. Another option is to use an effect such as a Non-Transition Double-Box or Flyby, which would show the video and the still image simultaneously.

Come 'n Go Arrows: The arrows above and below the Trim Out bar indicate which direction you can trim. If the arrow below the bar is gone, then you're at the end of the clip; if there's no arrow above the bar, then you're at the current Mark In point.

What's Up with the Numeric Readings: If you have the Trim Dialog of the Actions Tab open, the Current Time reading updates in real time as you use the Trim-in-Place feature; the Trimmed Duration, In Point, and Out Point update when you release the mouse button.

Adjusting the Color of a Video Clip

To tweak the appearance of the currently selected video clip, click the Adjust Color button at the bottom of the Actions Tab. This opens a dialog with standard image editing controls such as brightness, hue, contrast, and color levels. The RGB offset sliders may be less familiar. These sliders add the associated colors across the board whereas the basic RGB sliders affect only pixels that contain some of the given color.

Making Adjustments to the Audio of a Video Clip

Vlog It! lets you set the volume for each audio clip and set a variable length audio fade at both ends. To view and adjust these settings, click the clip's icon in its action tray. This will bring up the Actions Tab (unless you had already selected that clip and subsequently gone to a different tab, in which case you'll have to click the Actions Tab).

If the Trim controls are shown on the Actions panel and you want to adjust the volume or fade settings, click the Basic button to switch back to the main panel of the Actions tab.

Setting the Volume of the Audio

  1. Click the Preview button.
  2. While the clip is playing, drag the Volume slider on the Actions Tab until the volume is as desired.
  3. Rehearse or review the section of the show featuring the audio clip to ensure that the volume is appropriate in the context of any other audio in the same section. If necessary, repeat steps 1 and 2 to further refine the clip's volume.

Fading the Audio In and Out

  1. Click the Fade In or Fade Out checkbox to enable the feature. This activates the Duration field with a default setting of 1 second.
  2. Click in the Duration field and type the desired value in seconds and hundredths of a second.
  3. Press Enter to apply the new value.
  4. Click the Preview button to check the fade settings.

Use Vlog It! to Save a Digital Video Clip from Tape — The Capture Feature

The Capture feature allows you to record segments of video from a tape in your video camera or VCR that is connected to your PC. Connect a VCR to your computer to record video played from a video tape. Connect a camcorder to record video from a camera tape. When you have finished capturing, the files are saved to your hard drive and you can browse to them from the Media area and add them to your show as you would with any other media file.

If you haven't already connected your camera, see Installing Your Camera. Make sure that your camera is turned on so that Vlog It! can recognize that it is there.

  1. Click the Capture button on the Project tab. This brings up the recording and tape transport controls.
  2. Enter a unique, descriptive name in the Capture File field.
  3. Cue up the tape to a point a few seconds before the content you will be using in your show. Allowing extra time at the beginning and end of the desired segment allows you extra room for scene transitions and effects.
    If you're using a VCR (or a DV camcorder in the VCR mode) that is connected to your PC by a FireWire (IEEE 1394) cable, then you can use the Tape Control buttons. Otherwise, use the controls on the device itself.
  4. Click the Record button.
  5. When the tape has played a few seconds beyond the content you plan to use, click the Stop button.
  6. Click the Done button to exit the Capture window.

Which way did it go? If you captured the clip to the default path, then you'll find it in the folder named My Captured Clips under within the Output Library. That library does not exist in the trial version; you can navigate to captured clips at My Documents\Vlog It\My Output\My Captured Clips through the Browse Library.


Audio Clips

Sound effects, music, and other audio elements have a tremendous effect on the impact of a show—far more than most people realize. To punctuate the importance of audio, first year film students are often shown an intense, scary movie such as The Exorcist with only the dialogue track or with no audio audio at all. Without the sound, the movie goes from scary to almost funny. Try this experiment at home by muting your TV and you'll see what a huge difference it makes.

Vlog It! gives you considerable control over the audio in your shows. In addition to the audio that you record through the program or that's part of a video clip, you can add stand-alone audio clips. The program even comes with a variety of music, which you'll find in the Audio library, which you can supplement with your own audio files. Vlog It! supports .WAV, .WMA and .MP3 formats. If you have a choice among these formats, we recommend using .WAV files because they're uncompressed; with the other two formats, the decompression/recompression cycle can degrade the quality of the sound.

Adding an Audio Clip: Stand-Alone vs. Dependent Clips

Though you add an audio clip by the same drag-and-drop procedure as any effect or media file, there's special significance to the exact location where you drop the file. That's because an audio clip can either share a tray with a graphical media input or occupy its very own tray. We refer to the former as dependent clips and to the latter as stand-alone clips.

The difference is that a dependent clip will stop playing when the next transition effect runs whereas a stand-alone clip continues playing to its end regardless of any other trays in the show. A dependent clip naturally starts playing at the same time that the effect in the associated tray runs.

To add a stand-alone clip, drop the file on a blank spot in the Action Area. A tray will be created with the audio file in the media bin. The speaker icon in the effects bin is not actually an effect and has no options associated with it.

To add a dependent audio clip, drop the file on top of the tray with which you want it to be linked. A speaker icon will appear on the bridge between the effect bin and the media input bin.

Making Adjustments to an Audio Clip

Vlog It! lets you set the volume for each audio clip, trim content from the beginning and end, and set a variable length fade at both ends. To view and adjust these settings, click the audio clip's icon in its action tray. This will bring up the Actions Tab (unless you had already selected that clip and subsequently gone to a different tab, in which case you'll have to click the Actions Tab).

If the Trim controls are shown on the Actions panel and you want to adjust the volume or fade settings, click the Basic button to switch back to the main panel of the Actions tab.

Setting the Volume of an Audio Clip

  1. Click the Preview button.
  2. While the clip is playing, drag the Volume slider on the Actions Tab until the volume is as desired.
  3. Rehearse or review the section of the show featuring the audio clip to ensure that the volume is appropriate in the context of any other audio in the same section. If necessary, repeat steps 1 and 2 to further refine the clip's volume.

Fading Into and Out of Audio Clips

  1. Click the Fade In or Fade Out checkbox to enable the feature. This activates the Duration field with a default setting of 1 second.
  2. Click in the Duration field and type the desired value in seconds and hundredths of a second.
  3. Press Enter to apply the new value.
  4. Click the Preview button to check the fade settings.

Trimming an Audio Clip

The trim controls on the Action Tab allow you to set in and out points either through a scrub bar or by directly entering the desired time values. To switch the Action Tab to these controls, click the Trim button.

Trimming by Scrub Bar

  1. Click and drag the slider to where you want the Mark In point. The Current Time reading below the slider shows where you are in the clip. (The Length reading will not update until you complete the next step.)
  2. Click the Mark In button. The In Point field will show the time that is now set, and the Length reading will indicate the length of the clip with the new trim point.
  3. Click the Preview button. The clip will start playing from the current In Point. If desired, repeat steps 1-3 to refine the position of the In Point.
  4. Move the slider to where you want to set the Mark Out point.
  5. Click the Mark Out button.
  6. Scrub backward a few seconds and click the Play [image] button. The clip will play from the current position and stop when it reaches the End Point. If desired, repeat steps 4-6 to refine the position of the Out Point.
Trimming by Entering Time Points

If you happen to know the time code where you want a clip to start or end, you can trim the clip by typing the desired values in the In Point or Out Point field. To apply the entered value, press Enter; do not click the Mark In or Mark Out button as that will overwrite the time you entered with the current slider position.

Reviewing a Trimmed Clip

Vlog It! gives you the option of reviewing a trimmed clip either from the In Point or from the current position of the Trim slider.

  • To view it from the In Point, click the Preview button in the lower left corner of the Actions Tab.
  • To view it from the current position, click the Play button [image] below the Trim slider.

    • While the Play button allows you to listen to content before the In Point, both it and the Preview button stop at the Out Point. If you want to hear content after that spot, you will have to move the Out Point to the right.

To stop playback, click either the Pause button [image] or the Preview button, which toggles to become a Pause button during playback. You can also stop playback and scrub to a new position by clicking and dragging the Trim slider.

Resetting a Clip's Length and Undoing Trim Changes

To revert to the last saved In Point or Out Point for a clip, click the appropriate Revert button.

If you want to roll back recent changes to a clip's Trim settings, then the Undo feature (CTRL+Z) is just the ticket.


Titles Graphics: Slates, Lower Thirds, Popups, and Credits

Title Graphics: Slates, Lower Thirds, Popups, and Credits

Vlog It! comes with several types of title templates for displaying text:

  • Opening and Closing Slates have two independent lines for text. They are all full-frame and opaque, so you can pair them with any type of video effect. Their file names typically start with OS (for Opening Slate), CS (Closing Slate), or Seg (Segment). While these designations indicate what they were designed for, you can use them anywhere in a show that you want text.
  • Text Slates allow text to wrap across multiple lines, so they're your best bet for displaying a larger volume of text. They come with and without a separate header field. Like Title Slates, they are full-frame and opaque, so you can pair them with any type of video effect. Some center the content both horizontally and vertically; others align the content in the upper left corner. The icons indicate this positioning.
  • Lower Thirds appear along the bottom of the frame and are typically used for identifying the person who's on screen. They have two independent lines of text. The person's name usually goes in the first line, with his or her title, organization, etc. on the second line. Lower thirds are, of course, fully transparent across most of the frame, which limits you to a subset of effects that work with transparency.
  • Popups come to us from the world of the comics. You have a choice of thought bubbles, speech bubbles, and scream bubbles to show what a person is saying. In addition to the different styles, they also come with the balloon in a variety of positions to accommodate the image behind.
    You'll find the popups in a folder by that name within the Graphics Library, which also contains a selection of effects specially designed for use with them.
  • Credits, as their name implies, are intended for showing credits, but they can also be used to introduce text for other purposes throughout a show. They come in a wide variety of templates ranging from three pairs of text lines to a single text line to just one letter. Most are transparent around the text, but a few are full-frame and opaque.
    The Credit templates are in a folder named Text Effects within the Graphics Library, which also contains a variety of effects that cause the captions to move across the frame. Those are the recommended effects for all transparent Credit templates; they also work for the opaque one, but you can use any of the video effects for them, too.

Titles, Lower Thirds, and Text Slates come in thematic groups that are organized in folders within the Styles Library. These are the same styles that you have to choose from when you create a show with the New Show Wizard.

Templates with Transparency

All Lower Third, Popup, and Credit templates have transparency, which is represented by the checkerboard pattern in the icon and "T" in the upper right corner of the action tray's media source bin. Some video effects are not compatible with text templates (or any media inputs) that have transparency. To learn more, please consult Text Effects.

A Little More about Lower Thirds

You will typically want to position a Lower Third right below the tray for the graphic source that it's associated with. Run through the show in the Rehearse mode to check the timing. To learn the finer points of positioning trays for the desired timing, please see Moving Action Trays.

Most Over-the-Shoulder effects include a built-in caption below the inset that's closely akin to a Lower Third.

Editing the Text in a Title

  1. Double-click the title's icon in its action tray to select it. This will display the title in preview window and open the Actions Tab for that template (unless it was already selected and you had opened a different tab, in which case you'll have to click the Actions Tab).
  2. Click the Edit button at the bottom of the Actions Tab. This brings up a text field. If the template has multiple independent fields, you start in the topmost of them.
  3. Type the desired content in the text field. The preview window will display your changes in real time.
  4. If the template has another field that you want to edit, click the right arrow button to advance to that field.
  5. Repeat steps 3-4 until you've edited the text in all of the the template's text fields.
  6. Click the Done button to accept your changes.

Want Control Over Fonts & Such? Covetous of More Styles? Then you might want consider moving up to Visual Communicator, the bigger brother of Vlog It! The built-in title editor provides advanced control over the color, size, and type face of text in title graphics. VC's Styles Library is far more extensive. And with the Theme Pack add-on, you can introduce animation into your lower-thirds as well as beefing up your library of themes further still.


Best Practice in Organizing & Managing Media Files

Managing Media Files and Projects

Vlog It! is quite flexible in letting you include media files from anywhere on your computer or even on your network. Not all options are created equal, however, and you should be aware that some practices can lead to pitfalls. The suggestions presented here are especially worth observing if you have occasion to copy a project to another computer.

Each time you publish or upload a show, Vlog It! builds the program by assembling all the media files. In order for this process to succeed, the media files must be right where Vlog It! expects them to be, namely at the path where you told the program to find them in the first place. Therefore, it is vital that you not move, delete, rename, or otherwise “hide” your media files from Vlog It! once you’ve added them to a show. Vlog It! doesn’t care if you replace one media file by another of exactly the same name—it's perfectly content as long as it finds a file, any file, by the given name and at the given path. Playing hide and seek with Vlog It!, however, is doomed to fail because the program is not particularly inclined to go seeking for a missing file.

With these thoughts in mind, we strongly urge you to store all custom media files in places where you are sure to remember that they’re sacred (in the profane sense of the word).

Two Copies Are Better Than One: We urge you to keep two copies of your custom media files, particularly those that you think you might have occasion to edit at some point after they’ve been added to a project. Store one set in a working folder and the other in the inviolate project folder. Do all your editing to the files in the working folder. Then if you want the revised graphic, video, or audio clip included in a show, copy it to the project folder. This will avoid inadvertently including media in a show that you edited for other purposes or did not finish revising.

File Storage Suggestions for…

… Projects that Will Be Shared on Other Computers

Network File Server/Mapped Drive Solution: If all the computers are on the same network, then one option is to designate a folder on one of the networked computers, ideally a server, as the storage site for all projects and custom media files. Once that master folder is set up, map a drive to on each computer that will be accessing it, assigning the same drive letter in all cases.
This arrangement has potential pitfalls involving such things as network latency and access permissions. Because of the many variables that are far outside the realm Vlog It!, our ability to help troubleshoot such problems will be limited.

All-in-One-Folder Solution: If you will be moving the project among computers by CD, e-mail, or some other medium, then we recommend keeping each project and all of its custom media files in a single folder so that you can copy everything you need in one easy step. As a general rule, the folder must be at the same absolute path on both computers. Do not use a folder that's under My Documents because the user name that's part of the absolute path for My Documents is an insurmountable barrier to Vlog It! A good alternative is to put the folder on the root of the C: drive—or if you prefer to add one layer of organization, in a parent folder such as C:\Vlog Projects. [Advanced Users Only: The exception to the rule is if you situate the content folder under My Documents\Vlog It! on both computers—in that case, the program will work with a relative rather than an absolute path, but only if you keep the content folder in the same relative position as the project folder (<projectname>.msh) and the hidden companion folder (_<projectname>).]

I didn't think I'd Be Sharing a Project, but… So you’ve already created a show using content that's scattered across your computer. Don't despair—you can still copy the show to another system and make it work. Start on the originating system by copying all content used in the show to a folder created for that purpose, following the principles outlined in the All-in-One-Folder Solution outlined above. Then replace all the media sources with the corresponding copies from the new folder by dragging and dropping them over the existing sources. This will reassign all that content to the path of a single folder that you can conveniently copy to the second system.

I didn't think I'd Be Sharing a Project, but I really, REALLY know what I'm doing in the computer realm, and I don't want to jump through hoops:
This solution is for advanced users only. You might qualify if you not only know what "DOS" stands for, but are also comfortable working on the command-line. If the two machines don’t have the same drive letters and you’ve already made the show, then you may be able to use the DOS SUBST command to make a drive on the destination machine appear to have the same drive letter as the originating machine. This should work if the folder paths underneath the drive letter are identical, but the use of DOS commands to trick Windows is not supported by Serious Magic so you’ll need to investigate it with an internet search for DOS and SUBST.

Getting to Your Projects Easily: With either of the solutions above, you can make accessing your projects and media files a snap by making the parent folder the home for the the Browse Library as follows:

  1. In the Browse Library, navigate to the parent folder.
  2. Right-click a blank spot in the library.
  3. Select Set Current Directory as Home for 'Browse'

… Projects Confined to a Single Computer

Since you won't have reason to copy all the project files and their media inputs to another computer, you can store them anywhere on your computer or network. If you're a proponent of chaos, anarchy, or entropy, then you can scatter the files willy-nilly hither and thither. If you're a devotee of order, structure, and convenience, then you can use Vlog It!'s library bins to full advantage in one of two ways: store your files in the existing Video, Graphics, and Audio folders, which you'll find in Program Files\Serious Magic\Vlog It!\Content (the folder for the Graphics Library is named Pictures, not Graphics); or set up your own Video, Graphics, and Audio folders wherever you please and set them as the home folders for the respective libraries (as explained for the Browse folder in the tip immediately above).

The Path for Project Files

By default, project files are saved to C:\Documents and Settings\<username>\My Documents\Vlog It\My Projects.

To change this to a folder of your choice:

  1. Open the Projects Tab in the Media Library.
  2. In the Address Bar, either browse to the desired folder or enter its path in the field.
  3. Right-click a blank spot in the Library window and select Set Current Directory as Home for Projects from the popup menu.

Each time you save a project to a different path through the Save As function, the path you set for the current project becomes the home for all future projects. To do this, click the Save As button on the Project Tab or the option by the same name in the File Menu. This opens a dialog through which you can both browse to the desired folder and enter a new name for the project. If you have formerly saved the project by another name, the entire project is copied to the new path and name, leaving the original version intact. We strongly recommend saving a project by its old name before performing a Save As operation. Otherwise, the first version may be corrupted due to incompatibility between some changes having been saved while others were not.

Saving, Opening, and Deleting Projects

Saving a Project

Of course, once you've created a show, you're going to want to save it. If the file name that's shown in the Name field on the Project tab and the current path are correct, then simply click the Save button on the Project tab, select Save in the File Menu, or press CTRL+S.

  • To change just the project's name, edit what's in the Name field.
  • To change the project's path, click the Save As button on the Project tab or select Save As in the File Menu. This opens a standard Windows dialog through which you can browse to the desired folder and, if desired, also change the project's name.

Opening a Project

If the project you wish to open is in the home folder for the Projects Library, then double-clicking the project's icon there is the most convenient way to open it. If you saved the project elsewhere, then click the Open button on the Project Tab (or select Open in the File Menu or press CTRL+O) to bring up a dialog through which you can browse to the project's folder.

If the desired project is among the last ten that you've opened, then you can access it quickly through the Recent Projects submenu in the File Menu.

Deleting a Project

To remove a project file (.msh) as well as the batch of associated files, right-click the project's icon in the Project Library and select Delete from the popup menu. This erases only the project file and the content you recorded within the project; still images, video clips, and audio clips that you added as content are not affected.

Be aware that manually deleting an .msh through a Windows file manager window does not get rid of the associated folder. Since that folder contains the files for the content recorded within the project, which can grow to be quite large, and those files are useless without the corresponding .msh project file, you should always delete projects through Vlog It's Project folder.


Effects

This section covers the graphics effects by which you switch from one input source to another or display two graphics simultaneously. Here you'll learn about the different types of effects, how to assign them to the trays for your media inputs, and how to customize how they work.

  • About Effects
  • Previewing an Effect
  • Assigning an Effect to a Media Input
  • Customizing an Effect
  • Updating an Effect


About Effects

Effects control how graphical media and text slates are introduced into the show. They help to establish the tone of a show. For instance, the Dissolve and Cut effects lend a subtle, professional feel while wipes and shatters are showier. You can use effects to add visual interest, serving to keep viewers engaged.

Vlog It! comes with a wide variety of effects including but not limited to over the shoulders, double boxes, wipes, dissolves, flybys, slides, spins, and tumbles. The selection of effects in the free trial version is more limited. Describing all the effects would a) not do them justice, and b) risk boring you to tears, so instead we urge you double-click your way through the folders in the Video Effects Library to preview how each effect works. While we're not going to attempt a complete inventory, we would like to orient you to a few important distinctions between different types of effects.

Transition vs. Non-Transition Effects

Video effects work in one of two ways: they either replace one graphical source with another or display the second source for a limited period and then return to the first source. The first type is known as a Transitional Effect, the second as a Non-Transition Effect.

Before delving more deeply into the differences between these two types of effects, we need to understand the intimately related distinction between an A Source and a B Source. These two terms refer to the graphical inputs in a pair of trays. The concept is easiest to grasp if you start from the second tray in the pairing, which almost invariably contains the B Source. (The exception is a tray containing a Dissolve Src A to A effect, which is discussed in the following section). The A Source is the graphical input from the nearest tray above that contains a transitional effect. Yes, we know, our definitions are getting circular and perhaps a bit confusing, but that's the nature of the beast. Read on and all should become clear.

With Transition Effects, the B Source replaces the A Source. Simple enough, right? It is when you confine yourself to one pairing. When you proceed to the next pairing, however, there's a twist: the input that was the B Source in the previous transitional pairing is the A Source in the next pairing. This is important enough to bear repeating—in a Transition Effect, the B Source supplants the A Source, at which point it becomes the A Source. Incidentally, most effects in Vlog It! are transitional by default.

With Non-Transition Effects, the B Source appears for a specified period of time and then goes away, leaving the A Source unchanged. This category includes all Over-the-Shoulders, Non-Transition Double Boxes, and Non-Transition Flybys. All of these are dual display effects, displaying the A and B Sources simultaneously. If you want the B Source to appear full-screen before reverting to the A Source, then you can convert nearly any Transition Effect into a Non-Transition by entering a value in the Pause field on the Actions Tab. That causes that B Source to stay up for the specified pause time before the effect reverses itself. To learn more about the Pause Time setting, please consult Customizing Effects. (In case you were wondering, there's no way to turn a Non-Transition Effect into a Transition Effect.)

Dual Display Effects

Several classes of effects display the A Source and B Source at the same time for a designated period of time in the middle of the effect (as opposed to those like a Dissolve that show both sources during the transition):

Over the Shoulders [OTS]: The B Source appears as a small inset, typically in the upper left corner. In most variations, you can enter two lines of caption text for the B Source. In a few variants, the A Source remains full frame; in the rest, it scales down by a third. All OTS effects are non-transitional.

Double Boxes: These are essentially the reverse of OTS effects in that the A Source shrinks down to a small inset, with the B Source filling about two-thirds of the frame. Unlike OTS effects, Double Boxes do not have built-in captions, but standard lower thirds can work well because the B Source is the more prominent of the two images. Double Boxes come in both transitional and non-transitional flavors, with the non-transitional ones kept in an appropriately named separate folder.

Non-Transitional Flybys: The A Source remains full-frame while the smaller B Source passes in front of it. As the name of this class of effects telegraphs, all of these effects are non-transitional. In most variants, the B Source transits in a straight path across the frame. With these, the Duration defines the total time that the B Source will be displayed, so you'll typically want to set a longer duration than for most other effects; you'll rarely want to set a Pause Time as that causes the B Source to fly back across the frame in the opposite direction after the specified period. In a few Flyby variants, the B Source holds position at the center and then dissolves out. With these, the Pause Time defines how long the B Source holds position.

Dynamic vs. Still Backgrounds: All Double Box effects and some Over-the-Shoulders have a background image behind the two sources. In the Trial Version, all backgrounds are still images. In the retail version, they're animated. The effects in shows created with the trial are not automatically updated, so when you purchase Vlog It!, be sure to re-apply effects with a background before republishing a show. To learn more, please see Updating an Effect with a Newer Version.

What You Can Learn from an Effect's Icon

The icons for most effects represent either the A or B Source as filling the frame.

  • If the A Source is full-frame, that means that the B Source will move into frame, covering the A Source.
  • If the B Source is full-frame, then you know that the A Source will move out of frame, revealing the B Source. The position of the smaller A Source indicates which direction it moves, and its orientation represents the nature of the movement (e.g., spin, tumble, or peel)

The Exceptions

Push Effects: Since both sources move in this type of effect, neither symbol is full-screen. The position of the B Source indicates which side it moves in on.

Over The Shoulder and Double Box effects: Icons for these two classes of effects show you the relative size of the two sources as well as the position of the one that's shown as an inset.

Wipe Effects: This group breaks all the rules for effect icons because wipes do not lend themselves to incorporating the A and B Source images in a way that indicates the nature of the effect. Instead, these icons show a gradient. The wipe starts where the gradient is darkest and proceeds toward where it's lightest.

Text Effects

While Vlog It! has about a half dozen types of templates for adding text to a show, they can be boiled down to just two classes for purposes of discussing the effects that you can use with them. Those that have a 4:3 aspect ratio and are fully opaque are essentially no different from any graphical source, meaning that they will work with any effect from the Video Effects library.

Those that have any transparency are added to the show on a special layer, which limits which effects they're compatible with. Transparency is indicated in a template's thumbnail icon by a checkerboard background. Once such a template is added to the Action Area, you'll also see a "T" in the upper right corner of its thumbnail.

Lower thirds, which are of course mostly transparent, tend to look best with a simple Dissolve or Cut effect, but you can also get interesting and effective results with many Wipe effects as well as Moves and Slides that have "in" or "on" in the title.

Two other groups of text templates—Pop Ups and Text Effects—have transparency and come with an assortment of effects designed specially for them. These effects are stored along with the text templates in folders within the Graphics library. The effects in the Text Effects folder cause the text to move across the frame. Some of them also dissolve the text as it moves out of frame. With those that dissolve, the yellow content on the thumbnail icon is semi-transparent, and in most cases the effect's title specifies "with Dissolve."

Other than being designed to accommodate text templates with transparency, the effects in the Pop Ups and Text Effects folders are no different from standard effects, so the customization options available in the Actions Tab should be familiar. In fact, they work just fine with opaque text templates as well as all other graphical sources.

Selecting Effects for a Show

Here are a few things to keep in mind as you select the effects for your shows:

  • As noted at the top of this page, the effects you use can play a dramatic role in setting the tone for your show. So consider the mood you want to set as you're choosing effects.
  • Effects can also lend balance and symmetry to a show, particularly with regard to the transitions used at the start and finish of the video. So think of the effects at the two ends of your shows as bookends, selecting two that mirror one another. For instance, if you use a page-peel left with your opening graphic, a page-peel right would be appropriate for the closing slate.
  • Too much variety can seem chaotic and disconcerting to viewers. So you're generally well-advised to limit a given show to set of compatible effects that serve your purposes. If you're using lots of different effects, make sure you're doing so to achieve an intended overall effect rather than simply indulging in variety for variety's sake.

Hungry for More Effects? Eager to Customize Them? If so, then you might want to consider trying Visual Communicator. This related product family not only has a far more extensive selection of effects and media sources and offers advanced customization options for most types of effects but also includes a range of features beyond those found in Vlog It! A fully functional free trial version is available, but in the interest of keeping the download size manageable there aren't many more effects than you get in Vlog It!

See Also:

Setting the Default Effect

Previewing an Effect

Assigning an Effect to an Action Tray

Customizing an Effect: Setting the Duration and Pause Time


Customizing an Effect

The two settings common to nearly all effects are Duration and Pause Time. Wipe Effects have three additional options. To view and adjust these settings for an effect in a show, click the effect's icon in its action tray. This will bring up the Actions Tab (unless that effect was already selected and you had opened a different tab, in which case you'll have to click the Actions Tab).

Pause Time

Though the Pause Time is the second setting on the Action Tab, we'll cover it first here because understanding what it does illuminates how the duration setting works. With Dual Display Effects, which are unique among Vlog It! effects in that they have a built-in pause time, this value controls how long both displays remain up.

All other effects have no Pause Time set by default. If you leave the Pause Time of such an effect at 0.0, it will function as transition effect, meaning that the paired B Source will supplant the A Source, becoming the A Source for the next pairing of trays. Setting a Pause Time effectively converts a transition effect into a non-transition effect: after the specified pause, the effect reverses itself, which reverts to the previous A Source.

Duration

This setting controls how long an effect takes to unfold. How the duration is applied depends on whether or not the effect has a built-in pause time and, if it doesn't, on whether you've entered a pause time.

  • With Dual Display Effects, the Duration value is divided to cover both the transition to dual display and the transition back to single display. So if both the Duration and the Pause Time are set to 5 seconds, then the complete effect would be as follows:
    Transition to dual display =
    Pause time in dual display =
    Return to single display =
    2.5 seconds
    5 seconds
    2.5 seconds
    Total time =
    10 seconds
  • With standard Transition Effects that have no pause time set, the Duration value simply defines how long the transition takes. (With this type of effect, there's no such thing as a total time because it's open-ended—the new A Source remains up until the next transition effect supplants it.)
  • With Transition Effects that have a pause time set, the effect essentially plays twice, each time running for the specified duration. So if both the Duration and the Pause Time are set to 5 seconds, then the complete effect would be as follows:
    Transition in =
    Pause =
    Transition out =
    5 seconds
    5 seconds
    5 seconds
    Total time =
    15 seconds

Customization Options for Wipe Effects

Softness

This defines the edge of the wipe. With the slider all the way to the left, the border of wipe will be a hard line; with the slider pushed all the way right, the wipe blends across a wide swath, a gradient of transparency. If this description leaves you puzzled, drop a wipe effect in the Action Area and preview it with the Softness at both extremes. As with most things in life (and a certain children's folk tale), you'll probably find that a setting somewhere in the middle is just right.

Reverse

Checking this box will reverse the direction of the wipe effect. For example, if the Wipe Clockwise effect is assigned and you click Reverse, the wipe will proceed counter-clockwise.

Adjust Colors

To set the color of the semi-transparent edge of the wipe effect, click this button and select a color from the dialog box. The higher the softness setting, the more pronounced the color will be.

Like to Tinker? Eager for More Advanced Customization Options? If so, then you might want to consider trying Visual Communicator. This related product family has a far more extensive selection of effects, and most allow you to customize a wide range of properties, including such things as opacity, reflection, shadow, background graphics, the exact direction of movement. Download a fully functional free trial version and try out some of the advanced options for yourself; note that in the interest of keeping the download size manageable, we did not include many more effects than you get with Vlog It!


Updating an Effect with a Newer Version

Unlike Media Inputs, which Vlog It! updates each time a show is published, effects never get automatically updated once you’ve added them to a project. Normally this will not be an issue. After all, you cannot edit an effect outside of Vlog It!

We, however, can. So when you install a newer version of the program or upgrade from the free trial version, you may find that we refined some effects or added advanced settings. To prevent such changes from causing unexpected modifications to shows created with earlier versions, Vlog It! does not automatically update effects.

To replace an effect from an older show with a new and improved version, you must swap it in just as you would if you were switching to a different effect altogether, namely by dragging and dropping it from the Effects Library to each Action Tray where the old effect is used. If the effect is a standard transition that you had converted to a non-transition effect by setting a pause time, then you will have to enter that value again because swapping such effects resets the pause time to zero.


Using V-Screen

Keying Out your Video's Background and Inserting a Virtual Background: The V-Screen Feature

  • Setting Your Camera Properties for V-Screen
  • Selecting a V-Screen Background
  • Setting the Key
  • Ordering a Serious Magic V-Screen or Making Your Own

The V-Screen feature in Vlog It! does its visual magic by electronically replacing the backdrop behind you with a digital picture or video clip. To do this, Vlog It! requires that the existing backdrop behind you be a different color than the foreground or subject. Green-screen effects typically require some adjustments during set-up to achieve the best results even if you are using expensive equipment in a TV station. While it is easy to get the V-Screen effects working, it will probably take a few tries to get that "perfect key."

Keying out the background from your video and compositing the subject with a virtual background requires that you shoot the video against a solid, well-saturated backdrop. Green and blue backdrops provide the best results.

Setting Your Camera Properties for V-Screen

For Vlog It's V-Screen to work well, all automatic controls must be turned off. Before you start using V-Screen, check some settings in Vlog It! Whether you are using a webcam or a camcorder, you should turn off its automatic settings and do some fine tuning. Webcam properties are controlled within Vlog It!, while camcorder settings are on the camera.

  1. Access your camera properties:

    On a webcam:

    1. In Vlog It!, click the Setup tab and then click the Video button.
    2. Click the Properties button. This will bring up the control panel for your camera or video input device. Use the controls in this panel to make adjustments.

    On a camcorder, use the buttons or menus on your camera to make adjustments. See your camera manual to find the location of your Automatic Gain, White Balance, Exposure and Iris controls. Some camcorders allow you to "Lock" or "Hold" all automatic settings with one switch.

  2. Turn off any Auto settings on your camera, including white balance, gain, iris, exposure, and focus.
  3. Manually adjust your camera's Gain, Saturation, FPS or Shutter Speed settings for V-Screen and click OK.

    If your webcam or camera has Gain controls, set them as low as possible while still having a bright enough picture.

    • Having Gain too high can cause "noise" in the image.
    • If the picture is too dark with Gain at a reasonable setting, this may be a sign that your camera needs more light.
    • Set your Saturation at a level that is similar to the color of the background. The result that you are looking for is one where the green stands out against everything else in the image.

For optimal results, the saturation should be similar to the digital background you are using. If you have a brightly colored image or video clip, set saturation higher. If your background color is muted, lower the saturation.

If possible, adjust your camera's frame rate to 30 or 15 FPS (frames per second).

If your camera has a shutter speed or exposure adjustment, try setting it to 1/50th of a second to start.

Selecting the V-Screen Background

The icon in the upper left corner of the V-Screen tab shows the image assigned as the V-Screen background. To choose a different image or animated clip, drag and drop its file onto the thumbnail on the V-Screen Tab.

You can use any image as a background. Vlog It! comes with a set of images specifically designed for use this purpose. You'll find them in the Backgrounds and Animated Backgrounds folders within the Graphics Library. If you'd like to create backgrounds using your own photos or images, see Still Images.

Adjusting the Color of the Background

To tweak the appearance of the background, click the Adjust Color button at the bottom of the V-Screen Tab. This opens a dialog with standard image editing controls such as brightness, hue, contrast, and color levels. The RGB offset sliders may be less familiar. These sliders add the associated colors across the board whereas the basic RGB sliders affect only pixels that contain some of the given color.

These adjustments affect only the initial background image. If you change backgrounds as described in the next section and want to change the color of a new background, select that background in its action tray and click Adjust Colors on the Actions Tab.

Changing Backgrounds Within Your Show

Ready for a change of scenery? Add some life to your show with a set change. Change your background to reflect changes in your video's mood or topic. That's precisely what the V-Screen Bkgd effect is for. You'll find it in the top level of the Video Effects Library. Once you've added it to the Action Area, drag and drop desired image onto the tray. What you just did was tell Vlog It!: "When you get to this Action Tray, switch to this new background." You can change the background as many times as you like.

Animated backgrounds take more processing power than still backgrounds and they can also cause the published video file to be larger. If you have a slower PC or your viewers have slower Internet connections, you might want to choose still backgrounds for your shows.

Dynamic vs. Still Backgrounds: In the Trial Version, all backgrounds are still images. When you purchase Vlog It!, be sure to try out the animated backgrounds. You may even want to republish some of the vlogs you originally created with the trial version.

Setting the Key

To calibrate Vlog It! to the background:

  1. Click the Active checkbox on the V-Screen tab. This will open a dialog box instructing you to move out from in front of the camera. Make sure that not even your shadow remains visible in the camera's frame.
  2. Click OK in the popup dialog. Vlog It! will instantly create a key.

Lock it Down: Once you've set the key, keep the camera position, lighting and any shadows falling on your backdrop the same. If any of these things change too much, you'll start to see holes in your virtual background. If this happens, click Auto-Set Key to recalibrate. You may also need to re-adjust your camera settings. Getting the perfect key is as much an art as it is a science.

Conserve Resources: The keying process is fairly resource-intensive, so it can slow down your computer's responsiveness. If your system seems to be bogging down while rehearsing or recording, you can free up resources by enabling the Don't Show V-Screen During Rehearse/Record. This affects only what's displayed in the output monitor; the video will be keyed in the vlogs that you publish.

Fine Tuning Your V-Screen Results

While Vlog It's automatic calibration can pull a remarkable key from a webcam or DV feed, some manual tweaking may be necessary to get it just right:

  1. Re-position yourself in front of the camera.
  2. On the V-Screen tab, click the Adjust Key button.
  3. Drag the Transparency slider left or right until no parts of your foreground subject are transparent.

    You may see what looks like static or sparkles in the background. This is called "noise".

  4. Drag the Level slider to the left or right until all noise is removed.
  5. You may recall that when we set up the camera, we adjusted the Saturation up. Now we'll make adjustments to Saturation with the Color slider to return the foreground color to the right levels. Drag the Color slider left or right until the foreground colors look correct in the Output Monitor.
  6. The Red, Green, and Blue sliders do not usually need to be adjusted, but in some situations they can be helpful. Adjusting the Blue, which is typically the first adjustment to make, can help decrease noise in the background. Next, Green can help to clean up the edges of your foreground subject. Finally, Red can help correct some noise in the background and also fine tune the edges of the subject.

If you are unable to eliminate all of the noise in your background, you may need to make some further lighting or camera adjustments.

Camcorder Users: In general, camcorders will yield better results with V-Screen than webcams. However, the camcorder must be configured properly. All of the auto settings in the camera must be turned off including auto white balance, auto gain, auto iris, auto exposure, auto focus, etc. Some cameras allow you to 'Lock' or 'Hold' all settings with one switch. Others allow you to turn each setting off with menu options. Consult your camera's manual for details on how to turn all Auto settings off.

Dealing with Jerkiness: If you have a slower PC or an older graphics card, the video in the Output Monitor window may appear jerky while rehearsing or recording with V-Screen active. In this case, see the possible solution in Trouble Shooting.

Ordering a Serious Magic V-Screen or Making Your Own

Sheets of green plastic ideal for your keying background are available through the Serious Magic website. Measuring approximately 5' x 6', they are made of reinforced polyethylene with a matte, non-reflective finish.

Hanging out

One side has a slight texture and the other is smooth. Hang it so that the smooth matte finish side faces your camera straight on (not at an angle). You'll no doubt have noticed by now that it is a remarkably stylish shade of green.

The V-Screen material can be attached to a wall with thumbtacks or adhesive tape. It can be attached to the ceiling with thumbtacks and left to hang down behind your chair. It can be draped over an office cubical wall or it can even be hung on some cord with clothespins like a sheet on a laundry line.

What to do about those unsightly wrinkles

Since the V-Screen comes folded it will have some creases. Over time, the creases will diminish. To accelerate the process, place the V-Screen on a clean carpeted floor and place some heavy books on its edges. Move the books outward to slightly stretch the V-Screen. Leave it overnight and miraculously, the creases will be diminished by morning. No more expensive creams and lotions!

You can also use thumbtacks to attach the V-Screen to a wall or board. Stretch it tight as you apply the thumbtacks around the edge.

It's not necessary or even possible to completely eliminate the creases. As long as they aren't too deep they won't be visible in your video. The V-Screen technology was specifically designed to work with less than ideal backdrops.

If you use thumbtacks to hang the V-Screen on a wall, fold a small piece of tape over the edge where the thumbtack goes or fold the edge of the V-Screen back over itself. This will reinforce the V-Screen where it is pierced by the thumbtack.

It's now so much easier being green

While Serious Magic's V-Screen technology is quite adaptable to various shades of color backdrop, a very bright, saturated green color generally gives best results. The best shades are commonly referred to as "Kelly Green" or "Irish Green."

Blue can also be used but green works slightly better. The best shade of blue is brighter than "Royal Blue" but darker and more saturated than "Sky Blue."

In the Pantone color chart, the optimal green is number 354. The optimal blue is Pantone Proc C.

The surface of your green or blue backdrop should be evenly colored and not shiny. If you are going to use paint, get "Flat" or "Matte" and not "Gloss" or "Semi-Gloss."

How big does it need to be?

Strive to attain at least a 5'x4' area of flat, even color. If the backdrop is farther away from the camera, create a correspondingly larger backdrop to fill the entire frame seen by your camera. Roughly, for every foot of distance between your camera and the backdrop or wall, create approximately one foot of backdrop. For example:

  • If the webcam is five feet from the wall, your backdrop should be about five feet wide by four feet high.
  • If the webcam is six feet from the wall, the backdrop should be about six feet wide by five feet high.

Before buying materials for your backdrop, aim your camera where you plan to put the backdrop and look at the image on your screen to get a rough idea of the field of view you need to cover.

Optionally, move your monitor and webcam closer to the wall (this is usually easier than moving the wall closer to the webcam), or use an easel stand with a poster board-style setup and place it the appropriate distance behind you and your PC. Don't place your camera too close to the backdrop material or you might experience problems with shadows.

Clever ideas from our customers

It seems there are almost as many ways to create a V-Screen backdrop as there are users. Here are some examples:

  • A green or blue bed sheet works well if attached to a wall with thumbtacks or tape.
  • Most fabric stores have fabric in a reasonably close shade. It can be hung with thumbtacks. To fill a larger area you can overlap strips of fabric. Vlog It!'s V-Screen technology will not show small seams where the fabric overlaps if set up correctly.
  • Some users have found matte finish plastic or cloth table covers, painter's mats, tarps or tents in a suitable color.
  • Use several sheets of large poster board attached to the wall with adhesive tape (looped behind the poster board so as not to be visible). Try to get the edges as close to each other as possible to minimize the visible seams. Take care when removing the tape so as not to damage the paint on your wall.
  • Several manufacturers make gift wrap in a suitable solid green shade. As wrapping paper can be a bit shiny be careful about `hot spots' that reflect light back into your camera.
  • Hardware or paint stores can mix paint to match Pantone colors. You can then apply several coats to a sheet of wood, drywall or paneling. If your boss or spouse is cooperative you could also apply the paint straight to the wall, (if your boss is your spouse we recommend extra caution).

Lighting the V-Screen

For general advice about good lighting for video, see Lighting. The key to good results with V-Screen is to make sure that the backdrop is lit brightly and evenly. Look at the image of the backdrop coming from your camera in the Output Monitor window of Vlog It! To assess your lighting leave the V-Screen feature turned off for now. Are there any parts of the backdrop that are near-black (not enough light) or parts that are near-white (too much light)? Are there hot spots?

The V-Screen technology can't work very well if any parts of the backdrop are too close to colors in the foreground subject. The best way to eliminate these problems is to bounce light off of a nearby wall or the ceiling. To learn how to bounce light away from your V-Screen see Using bounced light.

Wardrobe for Earthlings and other beings

By this point you've probably surmised that the foreground subject needs to have different colors than the backdrop in order be differentiated from it. Assuming that the subject is going to be you, make sure you aren't wearing a shirt or any clothing that's too close to the color of the backdrop. Also, avoid clothing that is mostly black or mostly white. Neutral colors work best. If your skin happens to be the same green color as the V-Screen backdrop, we suggest that you see a doctor (or a priest) before using the V-Screen. If this particular shade of green is your normal skin color, may we be the first to welcome you to Earth. Klaatu barada nikto.


Selecting a Thumbnail Image

Selecting a Thumbnail Image for a Vlog

Each vlog has a thumbnail image associated with it that can be shown as its link in your blog. To select the image you want to use for the thumbnail:

  1. Scrub the show to display the desired image in the preview monitor.
  2. Click the Set Thumbnail button on the Project tab or press CTRL+T. The selected image will be displayed directly above that button.

What to Pick? In one variant or another, isn't this one of the eternal questions in life? Which person to pick as your mate? Which shoes to wear to the dance? Which image to choose as your thumbnail? Not that all these decisions are of equal significance. After all, you can divorce your spouse, and who actually looks at your shoes, other than people whose opinion you don't really care about? But that thumbnail is out there for all the world to see. Anyway, we've found that title slates work well because they're often self-explanatory. Grabbing a frame from a still image or distinctive video clip can also be effective. A frame of a talking head, by contrast, may not be the best choice if for no other reason than such shots tend not to help the reader differentiate one vlog from another.

We'll Pick One for You: If you proceed with uploading to the server without selecting a thumbnail, Vlog It! assigns an image for you. If you don't like the one that the program grabbed, then cancel out of the Publisher Wizard and select an image as instructed above.

Swap It at Will: You can change the image assigned as the thumbnail at any time by scrubbing to the desired frame and clicking Set Thumbnail.

Thumbnail not Mandatory: While every show has a thumbnail assigned, you don't have to use it anywhere. You have the option putting a text link in your blog rather than a thumbnail link. Please consult the chapter on adding a link to a blog to learn about this option.


Recording & Publishing a Show

This section covers rehearsing, recording, reviewing, and publishing your vlog.


Rehearsing and Recording Your Show

  • Rehearsing Your Show
  • Recording Your Show
  • Reviewing Your Show

Rehearsing Your Show

When you are ready to run through your show, click the Rehearse button.

After the countdown timer runs, the teleprompter and Action Trays will start to scroll up. As each Action Tray moves through the pink Action Bar, you will see the actions take place in the Output Monitor. You should read the lines of the script as they pass through the Action Bar so that your eye line remains as close as possible to camera lens. It also maintains the synchronization between the script and the actions. If you are not using a script, you can look directly into the camera when speaking.

If the text is moving too fast or too slow, adjust the Scroll Speed using the slider on the the Director tab.The higher the setting, the faster the scroll speed. You can also refine the timing by adjusting the font size of the script, which you do through the right-click menu for the Teleprompter, or by putting in line breaks to space out your script. Line breaks are especially useful for building in pauses

Once you've refined the timing of the script to achieve a comfortable pace, you can turn your attention to repositioning actions so that they occur right on cue. Note that you can move Action Trays after recording as well as before. Dragging a tray down in the Action Area make it occur later; dragging it up makes it happen sooner.

Things to Work on in Your Delivery

They say practice makes perfect. Even if you don't have your sights set on the pinnacle of perfection, you'll find it well worth your time to run through each show a few times before starting to record. With a bit of practice, it's easy to deliver a polished that keeps the audience's interest. Here are a few particular aspects of your presentation to focus on:

  • Speak at comfortable, natural pace: When you're at all nervous, the natural tendency is to read and speak faster. Fight this urge. Slowing down will generally improve your delivery in several ways. You'll be less prone to stumble over words, which in turn will help your overall composure. Your audience will have an easier time following your points, so their retention will be higher. And you'll have a fraction more time to focus on other aspects of your delivery.
  • Inflect for emphasis: Nerves also tend to strip the natural inflection from your delivery. To combat this, you must be conscious of which words and phrases you want to stand out in your viewers mind. Then play with different inflections to decide how best to punch those points.
  • Use pauses to your advantage: Just as emphasizing the right words can help make a point, so can pausing in the right spots. Play with pauses of slightly different lengths and try them in places you didn't initially think to put them. In most cases you'll go back to your first instinct, but you'll occasionally discover a better alternative. When planning your pauses, think not only of punctuating your delivery but also of taking breaths where they don't disrupt your flow.
  • Gesture for Effect: Gestures are a double-edged sword: the right ones can make your show, the wrong ones can break it. Yes, that means you should avoid holding your fingers in certain configurations. But the idea of "wrong gestures" goes beyond certain taboo sign language to include unconscious gestures that can become quite a distraction to your viewers. This is not to suggest that you should be statue-still except when you make a choreographed move; instead, our intent is to make you conscious of your unconscious actions and to underscore that a balance of stillness and gesturing can work to great effect.

Recording Your Show

When your show is as polished as you can make it, you are ready to record. Just click the Record button and perform your show. The only difference from rehearsing is that now Vlog It! will be recording the video from your camera and the sound from your microphone. Vlog It! lets you start and stop recording wherever you like. You can shoot segments out of sequence or at different times, and if there's a glitch in a take, you can re-record any segment. This gives you so much versatility that we coined a new term for it: Flex-Recording.

You have the option of starting and stopping recording anywhere you choose or using Action Trays as start and end points for recording defined segments. No matter how you go about recording a show, Vlog It! keeps track of your takes on a frame-by-frame basis. When you review and publish the show, the program pieces together the latest version of each frame. If any segments have not been recorded when you launch the Publisher, a warning will appear on the first page of the wizard. You can proceed with publishing without recording any or all of a show, but as a rule you will want to record all segments that use a camera as the media input.

The bluish vertical stripe on the splitter bar between the Teleprompter and Action Area is the Recording Status Indicator. This shows which segments have been recorded.

Altering timing while recording will move trays: Flex-Recording and other features depend on the absolute timing of events and recorded content. If, while recording, you do anything that alters the show's timing, Vlog It! will automatically reposition all affected trays in order to maintain synchronization between the Action Sequence and the recorded content. Actions that will cause this to happen include pausing or advancing the Teleprompter, jumping to the next effect, and ending the current effect.

Before you change a show's timing during or after recording, there are some things you should know. Remember in science fiction stories how messing with time (like changing events in the past) always has consequences? They can be good consequences, like leaving yourself winning Lotto numbers, or bad consequences, like having your grandfather never exist. While the potential effects of time-altering actions in Vlog It! are not quite as dramatic, here are some that will help you avoid undesirable consequences:

  • Don't change the timing of events at one point in a show after recording a segment farther down the timeline. The recorded content will remain in place while the trays that bracket it will move in one direction or the other. So if you're going to be recording out of sequence, don't use time-altering events above segments that have already been recorded, and vice versa.
  • Don't change the scroll speed after recording. Vlog It! prevents you from doing so while recording because it's the one time-altering action that cannot be resolved by moving action trays. While there's nothing to keep you from changing the scroll speed after recording, be aware that doing so will cause timing problems. As a rule, you should get the scroll speed dialed in to a comfortable setting during rehearsal, before you begin recording.
  • While Vlog It! repositions Action Trays in response to time-altering actions, it leaves Teleprompter text untouched. One reason is that when the timing between events is shortened, moving text would require deleting lines—not a user-friendly solution. Automatically inserting lines where timing is extended would likewise require Vlog It! to make judgment calls about where exactly to insert breaks. The bottom line is that you may want to realign your text with the Action Sequence after you stop recording a segment during which you altered event timing. Clicking in the Teleprompter and pressing the Enter key adds lines; the Delete key removes the current line or block of selected lines.

Moving Trays does not move previously recorded content: By contrast to a video clip, which can be moved by changing the position of its tray, moving the tray for a camera after recording does not move the whole recorded segment. (As with the previous point, this is because Flex-Recording works on absolute timing.) All recorded content remains exactly in the position it was recorded, so moving trays affects only future takes and the timing of events when reviewing and publishing.

Don't change camera or mic after recording: If you change a camera or microphone assignment after recording part of a show, you must clear all recordings for the show before you can record another segment. When you start recording after reassigning an input, Vlog It! will prompt you to either switch back to the original source or clear all recordings.

How to Flex-Record Using Existing Action Trays as Start and End Points

By using Action Trays to bracket the start and stop points for positional recording, you're sure of beginning and ending at precisely the same frames every time. Another advantage is that this method also controls rehearsing, so you can practice a segment knowing exactly what the timing will be.

In some situations, you may want recording to start at the beginning of the selected transition, whereas in others it might be better to start recording a segment at the end of the effect. The same goes for where recording stops. For instance, if the last mediA Source in the segment is a camera, then you should set recording to continue through the End Point transition. Otherwise, that video clip will end abruptly before the final transition begins.

To set an Action Tray as the point to begin recording a segment, right-click it and select either Start Recording Before This Action or Start Recording After This Action. To set the end point, select Stop Recording Before This Action or Stop Recording After Action. These options will not be available if the selected tray is already set as a Start or Stop Point; in their place, the menu will have a single entry for clearing the current setting.

If a Start or Stop Point is already assigned to another tray, in most cases you can move it to the selected one without first having to clear the other tray. (The exceptions are that you cannot set a Start Point after an existing Stop Point, nor can you set a Stop Point before an existing Start Point.) In order to record the entire show or do a take freestyle, you must remove both end points. The easiest way to do so is to right-click a blank spot in the Action Area and select Clear Start Recording Action, Clear Stop Recording Action, or Clear Start and Stop Recording Actions.

Freestyle Flex-Recording

By this method, you can start and stop recording wherever you like. It couldn't be any simpler:

  1. Scroll the show so that the place you want to start recording is in the Action Bar.
  2. Click Record or press F6.
  3. When you've finished the segment, click Stop or press Escape. Vlog It! automatically returns to the exact frame where you started recording or rehearsing—if you think another take is in order, consider recording it before scrubbing at all. If you scrub first and then do another take, be careful to cue up the show to the same spot.

Taking it from the top: In order to "take it from the top," scroll to the beginning or press CTRL+Home with the focus in the Teleprompter. Otherwise, recording will start where the Action Bar is (or at the tray that's set as the Start Point).

Completely Re-Recording? Clear Old Recordings first: If you've recorded all or part of a show and you're about to re-record it from top to bottom, then you should first click the Clear Recordings button on the Project control panel. That will free up the disk space used by your earlier takes. For more information, please see the Clear Recordings section below.

Beware Leftover Bits: The Freestyle method runs the risk of leaving snippets of intermediate takes that extend a few frames beyond the final insert. The red bands in this illustration represent such unwanted leftovers. Using trays as end points avoids this problem.

Mix and Match: When recording a segment, you can freestyle one end and set a Start or Stop Point for the other end.

If you want to record a segment starting at the very beginning of the show, you must either set the initial tray as the Starting Action or scroll all the way to the top. Otherwise, recording will start at the current position.

Conversely, if you want to record a segment that runs to the very end, no Stop Point is necessary because Vlog It! automatically stops recording at the end of the show.

Designing for Flex-Recording: We recommend building pauses into your script at strategic spots where you think you're likely to break the show into segments for Flex-Recording. This will make it much easier to achieve smooth transitions between two neighboring segments. The logical spots to insert such gaps are at the beginning or end of key transitions. If the live audio bridges right across a transition where you start or end a segment, it will be quite a challenge to get the audio to flow smoothly. Even a brief pause at the right spot will make your life much easier on this front.

Count on the Countdown Timer: While you have the option of disabling the Countdown Timer, we recommend keeping this feature on when you're Flex-Recording. It gives you the extra few seconds you need to get set before recording begins. You enable this option through the Application Settings dialog, which is accessed through the Settings Menu.

Manually Controlling the Teleprompter and Effects

If you prefer to record your shows off-the-cuff rather than reading from the Teleprompter, then you will probably want to trigger effects manually rather than having them fire off on their own as they pass through the Action Bar. Here's the workflow we recommend to operate in this manner:

  1. Start rehearsing or recording as you normally would.
  2. After the first effect has finished, click the Pause button on the Director Tab, or press CTRL+SPACEBAR. This stops the Teleprompter and Action Area from scrolling.
  3. Each time you are ready to advance to the next effect, click Next Effect or press CTRL+Enter.

When you're running a show manually, you can use the Teleprompter like a set of note cards, reminding you of the points you want to hit.

No shortage of space: If you're designing a show specifically for a manually triggered presentation and you anticipate using the On-the-Fly editing capability, we recommend leaving room for at least two or three trays between every pair in the Action Area. Remember, space there is free, and since you'll be controlling the timing with the Next Effect button, the timeline is irrelevant. Meanwhile, since you cannot move trays while rehearsing or recording, there's no way to make space for shoehorning in another tray.

On-the-Fly Editing

Vlog It! allows you to add a new graphic or video or change what's in an existing tray at any time while rehearsing or recording. To add a new graphic, simply drag-and-drop the file somewhere below the red Action Bar in the Action Area. Once it's in there, Vlog It! treats it like it was in the show all along, transitioning to it when it moves into the Action Bar. If you're working with the show paused, a video clip will play in its entirety regardless of whether the whole clip fits before the next tray.

To swap a graphic for one that's already in the show, drop the new file on the existing tray just as you would when editing the show normally.

Adjusting Recording Settings

Before you record, be sure to turn the audio Output Volume down in the Setup tab so you don't get any feedback from your speakers through your microphone.

  1. Click the Setup tab and click the Audio button.
  2. Drag the Output Volume slider down to a medium or low level.

If you are not relying on audio cues for your dialogue, you can click the Mute checkbox to completely mute the output for best results.

Sound Check

Vlog It! can help you keep your sound levels in check while recording.

If the audio you are recording is too loud, you'll see an icon of a microphone in the Output Monitor window. Lower the recording level and try again.

  1. Select Application Settings in the Settings Menu.
  2. In the Preview Monitor Options section, mark the checkbox to Enable Audio Level Clipping Indicator.

Make Sure You Have Enough Disk Space for Your Recorded Show

As you may be aware, recording video fills disk space faster than almost any other activity you're likely to do on your computer. Web cam content consumes about 20 megabytes per minute, including accompanying audio. DV footage takes up about 220 Mb/min. If you know roughly how many minutes of live content will be recorded in a show, you can estimate how much disk space will be needed for the project's audio and video files. You can then check whether you have sufficient space through the Windows' My Computer dialog. Vlog It! will display a warning message if the space on the designated drive is down to the point that you can record only another 30 seconds of web cam input or 5 seconds of full-res DV input.

Clearing Recorded Content for a Show

The Clear Recordings feature deletes all audio and video files recorded for the current project. Why, you may ask, would you ever want to do that? Two main reasons:

  1. Suppose that you inadvertently recorded audio in a show that is not supposed to have any live audio. Clearing the recordings wipes that slate clean.
  2. Say that you've recorded all or part of a show and you're going to re-record the entire show. Because of the way Flex Recording works, the audio and video from all your takes get saved in the raw data files—Vlog It! does not purge segments that have been superseded by a new take. So if one full take of a given show is one gigabyte in size and you do five full takes, the then the file containing the raw footage will balloon to 5 gigabytes. (Note: Only the raw footage files grows in this way. The file size of the published video for a show will remain essentially constant as long as the show's length is unchanged.) To restate the initial condition, no matter how stingy you are with your disk space, clearing your recordings is an option only if you'll be re-recording the entire show.
To delete a project's recorded content, click the Clear Recordings button on the Project Tab. This will bring up a confirmation dialog—your last chance to preserve the existing recorded content. Select Yes in the confirmation dialog to proceed, or click No if you've had a sudden change of heart.

What's not deleted: This feature purges only audio and video content created through the Record process for the current project. Clips created through Vlog It!'s Capture feature are not deleted, nor are any other independent clips that happen to be used in the show. This function also does not delete published output video from the show.

You're not quite done yet: When you finish recording, all the pieces are in place for your finished show (assuming that you added all the media files prior to recording and don't need to reposition any trays afterwards). However, the project is one step removed from being a buttoned-up video file. That step is to publish your vlog.

Reviewing Your Show

You can review a show at any time either at the click of a button or by scrubbing the show's timeline. You can review as many times as you like while programming and recording a show. If you feel that you need to change something, you can go back and make the changes, record again if necessary, and review once more.

The Review Feature

The Review button, which is centered below the Preview Monitor, plays your show in real time, complete with all audio and video that you've recorded. It starts reviewing from your current position in the show—more specifically, at the point in the show corresponding to the position of the Action Bar. Simply scroll to the point of interest and then click the Review button. To jump to the beginning of the show, you can click in the Teleprompter and press CTRL+HOME.

Don't be alarmed if on review your show appears a bit jerky or the quality of the images is not as high as you expect. Due to limitations of system resources, you may not get full frame rate when reviewing. As for image quality, Vlog It! uses "cached" or simplified versions of some images in order to reduce demand on system resources. So proceed with publishing and have a look at that finished output before commencing with pulling your hair out.

Realtime Scrubbing

As you scroll up and down in the Teleprompter/Action Area, Vlog It! scrubs the visual media inputs and effects. Transitions will run. Video clips will scrub. If the Action Area contains any cameras and the show has been recorded, then the recorded content will also scrub; otherwise, the live feed will be shown.

Real-Time Scrubbing works no matter how you move around in the show—by arrow keys, Advance command, Previous or Next Effect command, scrollbar, or mouse wheel. The main scrollbar to the right of the Action Area allows you to scrub an entire show in one sweep, but the degree of control diminishes with the length of the show. For the finest control, click and drag the splitter bar between the Teleprompter and Action Area.

With shows that have been fully or partially recorded, you will see the recorded content when scrubbing with the Project, Director, or Actions Tab selected. The Preview Monitor shows the live feed for camera segments that have not been recorded as well as while you are recording and rehearsing. The live feed is also displayed when you go to the V Screen or Setup Tab, but as soon as you scroll the show in any fashion, Vlog It! switches to the Director Tab and goes to scrubbing recorded content if any exists.

Save It or Lose It: If you record some or all of a show and save the project, then record any additional segment and close the project without saving, all recorded content for the project will be deleted. To avoid losing your previously recorded content, you must save the newly recorded segments.

No need to re-record: After recording and reviewing your show, many types of changes are possible without having to re-record your show. For example, adjusting microphone boost and clip audio levels, replacing media, adjusting media colors, and even changing title text can be done and immediately reviewed and published. Only moving or adding camerA Source Action Trays requires re-recording the show. In fact, Vlog It! does not require you to record a show even once before publishing much less to re-record after any particular change. That said, after making changes you may find it necessary to re-record at least certain segments in order to get the results that you desire.

Why Vlog It! may reposition trays after recording: Real-Time Scrubbing, as well as other Vlog It! features, depend on the absolute timing of events and recorded content. Therefore, if you take any action while recording that alters the show's timing (e.g., pausing the Teleprompter), Vlog It! will automatically reposition affected trays in order to maintain synchronization between the Action Sequence/Teleprompter and the recorded content. The act of scrubbing a show does not cause trays to be moved—only recording does. But since Real-Time Scrubbing is one of the features that made this repositioning necessary, we wanted to call attention to it here.


Publishing Your Show

Publishing and Uploading or Your Vlog

When you create a show, Vlog It! produces a master project file. Its filename consists of the project's name followed by an extension of ".msh." This project file, along with a batch of associated super-secret hidden files, contain all information about your show, including the script, recorded audio and video, each media file and its paired effects, various settings. You can think of all this as the recipe and ingredients for a delicious casserole. However, just as you don't actually have a dish ready to eat until the ingredients are combined and baked, no video is ready to watch outside of VC until all the elements are assembled, rendered, and compressed. Fortunately, Vlog It! does most of the heavy lifting in this process—and there's no actual cooking involved, so it's energy efficient and doesn't heat up your kitchen in the summer.

How to …

Vlog It! allows you to publish your show directly to the Serious Magic Vlog server, to another FTP site of your choosing, to your hard disk, or directly into an email. Each of these options allow you to select between two or more video formats and to either choose from several pre-defined resolution and compression settings or customize your own.

Regardless of which path you take, the first step is to click the Publish button or press F8. This launches the Media Publisher Wizard. Before you publish your finished show, you should make a habit of saving your file by clicking the Save button on the Projects Tab or pressing CTRL+S.

Free Trial & Special Edition—On the Fast Track to Uploading to the Vlog Host: If you're running the Special Edition or the trial version, then clicking the Publish button bypasses the options below and gets everything ready to post your vlog to your account on the server. A dialog will pop up showing the thumbnail that's currently selected along with the vlog's name and the estimated time to upload it. Click Next to start the process of compressing and uploading the show, and when those steps are done click Finish to proceed with adding a vlog link to your blog.
For the technically inclined, the publisher in the trial version always outputs a 240x180 Flash video at 300 kbits and 30 frames per second, with stereo audio at 44.1 kHz and 56 kbps.

Publisher Wizard, Page 1: Selecting the Publishing Method

The first page of the wizard lets you choose among the following methods of publishing your vlog. While one of these methods is explicitly for saving the output video to your hard drive, the other three methods also save a copy there.

  • Save Vlog to a Hard Drive or Network: This publishing option saves your show to an output file on your hard disk or network. You can then distribute the file however you choose, including copying it to a DVD or CD with your favorite DVD or CD burning software.

  • Send video in an email: This method works essentially the same as saving to a hard drive except that at the end the wizard creates a new email message and attaches the vlog to it. This requires an e-mail program such as Outlook Express that is installed locally on the computer; it does not work with web-based email that you access through your Internet browser.

  • Publish video to a server on the Internet: This option is essentially the same as the Upload to the Vlog Host method, except you must specify the FTP address to which the file will be posted. Also, this method does not give you a dialog for adding a link to your blog.

  • Publish video as a Vlog: Select this option to have Vlog It! post the finished video to your account on the host server.

Previewing before posting or sending: If you ultimately want your vlog posted to an Internet server or sent by email but you first want to review it in its published form, you can accomplish both objectives without having to re-render—assuming you don't change anything except the method after publishing the first time.

  1. Publish to your hard drive
  2. Review the video.
  3. If everything is to your liking, then publish again using the desired method. A message at the bottom of the wizard's first page will indicate that the vlog will not be re-rendered unless you change a publishing setting.

What's that "Portions not recorded" warning all about: If any segment of a project, even a single frame, has not been recorded, then the first page of the Publishing Wizard will display a message to that effect. This serves only as a warning to you in case you intended for the whole show to have audio or video recorded. This condition does not prevent you from proceeding to publish the project. In fact, you can publish a project that has not been recorded at all.

Wizard Page 2

Selecting the File Type

The file type you choose dictates what player viewers will use to watch your vlog. The three options are:

  • Flash (.flv): Macromedia's format for streaming video. Unlike the RealMedia and Windows Media players, which must be installed on the viewer's computer, the Flash player can run from the same server that hosts the media file. You can publish as either Flash Video (.flv) or Shockwave Flash (.swf), except when uploading to the Vlog Host, in which case the video will be in the .flv format.
  • Windows Media Video (.wmv): This Microsoft format plays in Windows Media Player. It is designed for digital video playback over the Internet or on a standalone computer. This compressed file format can result in some loss of image quality but yields a dramatic reduction in file size and thus download time. Any computer with a recent version of Microsoft's free Windows Media Player can view WMV videos.
  • RealMedia Video (.rm): This file format, developed by Real Networks, can be played back in RealPlayer. this option will be unavailable if you selected Publish video as a Vlog on the previous page.

Setting the Output Path & Filename

The default path for your output files is C:\Documents and Settings\<username>\My Documents\Vlog It\My Output\My Published Vlogs. To change the path, click the Browse button and navigate to the desired folder. Note that unlike when you save a project to a different path and thereby change the default path for new projects, changing the path where a given output file is saved does not affect where future files end up. To learn how to change the default path for output files, please consult the last section on this page.

The default filename for the output file is the same as the project's name, with the appropriate extension appended (.rm, .wmv, or .flv.). To change the name, click in the text field and type the desired name. If you've previously published the show, changing this name will avoid overwriting the existing file.

Sending an Email Regarding a new Web-Hosted Vlog

If you selected either of the publishing methods that upload your vlog to an Internet host, then you can have Vlog It! initiate an email containing a link to the video file. Just as with the "Send Vlog in an email" publishing method, the program will create the email upon completing the publishing process. You must then enter addresses for all recipients and, if desired, write a subject and message. To enable this option, click the Send an email with a web link when finished checkbox.

Setting Account Information for Web Hosted Vlogs

In order to upload your vlog to a host, or "server," on the Internet, Vlog It! requires certain information about your account. Both of the publishing methods that upload vlogs to the Internet use what's known as File Transfer Protocol, or "FTP," so the path is known as an FTP address.

  • Publishing video to a server on the Internet: The first time you use this publishing method, you will be prompted to provide the FTP address, which goes in the Host Name field, as well as your user name and password. Depending on the host, you may also have to specify the Remote Path, which tells Vlog It! exactly which folder to put your vlogs in. If you are not sure what to enter in these fields, please consult your network administrator or service provider.
  • Publishing video as a Vlog: With this method, the FTP address is predefined. Vlog It! will prompt you to enter your user name and password if it does not have that information on file.

To set or change your account information, click the Account Info button and fill in the necessary fields. If you're uploading to the Vlog Host and have not yet created an account, click Need a Hosting Account on the Account Info dialog. That will open a web page through which you can either set up a limited term evaluation account or proceed to purchase a hosting service. Follow the instructions on that page, and when you're done return to the login dialog.

The program stores your account information, so you will not need to go through this process again unless any of the account information changes.

Testing FTP Account Settings or Accessing the Host Site

To double-check that all the FTP account information is correct or to go to the site in order to manage files there, click the Access Account Directly button. This launches your web browser and goes to the FTP site specified in the Account Information dialog. If it fails to find or log into the appropriate page, then review all information in the Account Information dialog.

If no account information is set when you click Next to continue to the wizard's third page, then the Account Information dialog will pop up. When publishing using either of the web hosted methods, you cannot proceed beyond this point without providing the necessary information.

Wizard Page 3: Set Your Vlog's Size and Quality

The main decision for you here involves balancing the vlog's image quality against its file size. You naturally want the best quality possible, but the emphasis has to be on what "possible" means. This is defined by the medium through which you'll be distributing the vlog and, in the case of serving it on the Internet, the bandwidth of your viewer's connections. The three preset options are:

  • Small File Size/Lower Quality: Use this setting for vlogs that will be downloaded over dial-up connections.
  • Medium File Size/Good Quality: Use for vlogs that will be downloaded over DSL or Cable modem connections.
  • Large File Size/Better Quality: Use for vlogs that will be accessed over a LAN or network connection or burned onto CD or DVD.

The fourth size/quality option, Custom, allows you to adjust various settings individually, such parameters as constant or variable bit rate, frame rate, and which audio and video codec to use. This is terrain where only advanced users should tread. To learn more about the custom settings, please consult the Custom Publishing Options page.

Depending on which file type you selected on the preceding page, this panel may also contain one or more of the following options:

  • 2 Pass Encoding: Enable this option to enhance the video's quality at the given file size/quality setting. Encoding in two passes will naturally take roughly twice as long as doing so in a single pass, but in the process Vlog It! is able to optimize compression for better results. As a rule, you should disable this option only if you need to save time in the publishing stage.
  • Default Format (.wmv only): By default, the publisher encodes .wmv files using the Windows Media Encoder 9. While the great majority of your potential audience will be able to view videos created using WME 9, you can reach a few more people by using WME 8. On balance, you lose a little bit of image quality as well as some customization options. The compression ratio also is not as great, so your videos will be slightly larger. Which WME version you select here will affect which options will be available in the customization dialog.
  • Clip Attributes: In some media players, information about the video scrolls under the screen. This button opens a dialog through which you can enter the desired information about your vlog.

Size Considerations for Vlogs to be emailed: When setting the size/quality, be aware that some email accounts are limited to 3 or 5 MB of incoming email. The person you are emailing may not be able to receive large files. Large files can also be a problem for people that access their email via dial-up modem. Check the file size in the email subject field before sending. You may need to republish to a smaller file size depending on your recipient's email account and connection limitations. Generally, we recommend keeping emailed file sizes below 2 MB.

How 2 Pass Encoding works, and why it's sometimes unavailable: The first pass gathers information about the content of the stream. The second pass uses the information gathered on the first pass to optimize the compression process. The 2 Pass Encoding checkbox is available only if you either are using one of the presets or have the Media Type Mode in the customization dialog set to constant bit rate (CBR). When the custom options are set to Quality-based variable bit rate (VBR), 2 Pass encoding is disabled; whey you're using the other CBR options, it is always enabled.

WME Setting vs. Reality: If you open the customization dialog with the Default Format set to Windows Media Encoder 9, but you do not have WME 9 or later installed on your PC, then you will be prompted to download the free upgrade. If you choose not to do so, then the customization dialog for WME 8 will open rather than that for WME 9.

Interested in Publishing as an AVI? If so, then you might want to check out Vlog It's big brothers in the Visual Communicator line of software.

Wizard Page 4: Summary and Start of Publishing

The wizard's fourth and final panel shows a summary of your publishing settings. If all details are as desired, click Finish to start the publishing process; if not, click Back to return to the wizard page where you can correct the errant setting. When you click Finish, Vlog It! starts assembling, rendering, and compressing your vlog. A progress bar will show how far along it is with these processes. When these steps are complete, the progress bar will remain displayed—unless you opted to upload the video to the Vlog Host or another server on the Internet. In that case, Vlog It! will immediately start uploading, and the progress bar will start over again to show you how far along that process is. [If you encounter an error uploading, please jump ahead to the next section: Getting through the Firewall.]

If you uploaded to the Vlog Host, then the publisher wizard will automatically proceed to the dialog through which you link your vlog to a blog. With all other publishing methods, the progress will remain up when the process is complete. Click the Finish button to close the wizard and return to the program.

After closing the publisher wizard, take a second to save the project—the publisher settings are saved as project properties, so if do not save before closing then you will have to start from scratch the next time you publish the same project. Publisher settings are also saved as the defaults the application, which are applied to each new project.

How Long is Too Long: The speed of rendering will depend chiefly on how fast your computer is. As a general rule, if publishing is taking more than three times a show's duration, then something is amiss. Please contact our customer support crew for assistance. With a computer that substantially exceeds the minimum specifications, the publishing time should be much closer to the actual length of the show.

Getting through the Firewall

We designed Vlog It! so that you can create a video, copy it to a host on the Internet, and add a link to your blog even if you don't know a server from a waiter or can't tell FTP (file transfer protocol) from FTD (Florists' Transworld Delivery). One hurdle that's beyond our ability to clear is network security. This is quite a good thing when you think about it—after all, your network wouldn't be very secure if any program that you install could break through it at will.

The layer of security most likely to prevent Vlog It! from uploading a file is the firewall that protects your computer or network from other computers on the planet. Firewalls are designed to block certain kinds of communications, including the file transfer protocol that Vlog It! uses. So in order for this process to work, you may have to grant Vlog It! permission to "FTP" (yep, those three consonants are now an accepted verb). Unfortunately, we cannot provide detailed instructions on how to do this because there's not a single set of steps that works for all the myriad firewalls on the market. What we can tell you is that Vlog It! needs permission to use Port 21. You should be able to limit this permission to individual programs as opposed to opening it indiscriminately. If you have a network administrator, this will be a snap for him or her. If you're on your own, then please consult the documentation for your router or firewall software. Or you could use this as an excuse to get reacquainted with a geek from your past—believe it or not, most of us will tackle such a job for nothing more than a beer, but it better be a good one.

The Path for Output Files

The final product of all your love, labor, and creativity is a neatly compressed little package called an "output file." The default path for such videos is C:\Documents and Settings\<username>\My Documents\Vlog It\My Output\My Published Vlogs.

To change this to a folder of your choice:

  1. Click the Output Tab in the Media Library
  2. In the Address Bar, either browse to the desired folder or enter its path in the field.
  3. Right-click a blank spot in the Library window and select Set Current Directory as Home for 'Output' from the popup menu.

Want to publish as a self-contained web page or to a video tape? Prefer to stream live over the web or present to a live audience? Favor .avi over .rm, .wmv, and .flv?

All these publishing options and more are available through our Visual Communicator software family.


Custom Publishing Options

Custom Publishing (Retail Version only)

Choosing the Custom Size/Custom Quality option on the third page of the Publisher Wizard gives you options to make advanced changes to the way your video is published. The options that are available depend upon the format that you're publishing to: Flash, Windows Media, or RealMedia:

Flash Compression Options

  • Video Bit Rate (Kilobits per second): The higher the value, the higher the quality but the larger the file. The range goes from 20 to 900. For the best balance of size and quality, we recommend working within the 250-500 Kbps range.
  • Video Size (pixels): This defines the size of the video. The larger the size, the higher the resolution but the larger the file. The maximum resolution for video captured by Vlog It! is 320x240, so for vlogs containing such video you should not set the video size any higher than that limit. The video size should correspond to the aspect ratio of the show's video and still graphics or else your images will be distorted.
  • Frame Rate (frames per second): The higher the value, the smoother motion will appear but the larger the file will be. The standard range is 15-30 frames per second.
  • Audio Format: This setting incorporates three values:
    • Data rate (Kilobits per second): The higher the value, the higher the quality but the larger the file.
    • Frequency range (kilohertz): The higher the value, the fuller the sound but the larger the file.
    • Channels (Mono/Stereo):

.WMV Compression Options

The contents and options in this dialog will vary depending on version of Windows Media Encoder that you have installed. This section will focus on interactions between custom options and other settings in Vlog It!. For a detailed orientation to the options available to you, please consult the help system for Windows Media Encoder.

Constant vs. Variable Bit Rate, and the relationship to 2 Pass Encoding: You have a choice between publishing at a constant bit rate (CBR) or a variable bit rate (VBR).

  • CBR encoding is optimized for streaming video. As the name indicates, the data rate remains relatively constant throughout the video. To achieve this, the degree of compression has to vary from segment to segment depending on the complexity of the data. The result is that the quality fluctuates, with more heavily compressed segments having more artifacts. With Windows Media Encoder, selecting CBR automatically enables the 2 Pass Encoding option.
  • VBR encoding is designed for videos where motion or scene complexity varies from segment to segment. Because the bit rate fluctuates, this encoding option is not well-adapted to streaming video, but this is the method to choose if you will be distributing the video by CD or if viewers will be downloading it to play locally. There are different varieties of VBR encoding:
    • Quality-Based VBR yields the most consistent quality. The downside is that the size of the resulting file is unpredictable. To set the quality level, first select "Quality VBR" as the Media Type Mode and then switch to the Quality-Based tab. The chief setting is the Video Quality, which is on a 1-100 scale.
      If Quality-Based VBR is selected, then 2 Pass Encoding will be disabled.
    • Bit Rate-Based VBR maintains the bit rate at an average that you specify while allowing the rate to fluctuate around that value. This provides the highest quality possible while remaining within an predictable bandwidth. To set the bit rate, select "Bit Rate VBR" as the Media Type Mode and then switch to the second tab. The main setting is the Video Bit Rate, which is in kilobytes per second
      When Bit Rate-Based VBR is selected, 2 Pass Encoding is enabled because it takes one pass to evaluate the data stream and a second pass to compress it.
    • Peak Bit Rate-Based VBR allows you to set a peak level as well as an average. This option is specifically designed for distribution modes such as compact discs that have a limited reading speed. This option automatically enables 2 Pass Encoding.
NOTE: If you select the custom option for Windows Media Encoder 9 without it installed on your PC, you will be given the option to download the free upgrade. If you choose not to do so, you will be directed to the Windows Media Encoder 8 options panel.

.RM Compression Options

The custom options available for RealMedia are nearly identical as those for Windows Media. One difference of note is that the various Constant and Variable Bit Rate options do not lock you into 1 Pass or 2 Pass Encoding. However, as a rule you will want to observe the same relationships specified in the previous section.


Adding a Vlog Link to Your Blog

Though you're now at the end of the process, this seems like an appropriate place to answer a pair of related, fundamental questions: "What is a Vlog?" and "What is the difference between a blog and a vlog?" In the broadest sense, a vlog is a video that is available for viewing from a web host. In a much narrower conception, a vlog is a particular vehicle for providing access to such web-hosted video, namely a web log (or blog) consisting of video entries as opposed to the old-fashioned text-only blogs. According to this second definition, vlogs and blogs are two distinct variants of a web log—an either-or classification that doesn't allow for hybrids.

Being partial to nuanced, broad concepts, we here at Serious Magic prefer the first definition. By emphasizing the mode of delivery rather than the mode of presentation and access, it leaves a variety of doors open for getting to the video: a link within a text blog, a video-only web log entry, a link sent out in an email or a text message, a carrier pigeon with wireless networking... The mind boggles at the possibilities! If you subscribe to this definition, then vlogs and blogs can coexist in peace and harmony rather than being eternally segregated.

This discussion of semantics may lead to a another question: "So what?!?!" Why should you care what exactly the word "vlog" means? That's a great question (read: "We can answer that.") If you came in thinking of a vlog in the narrow sense as its own stand-alone breed of blog, then you might reasonably expect that the host account to which Vlog It! uploads your videos would serve as the front end, the web page where people go to access the video. But that's not the case. Instead, the host is exclusively a server that streams your vlogs to anyone who accesses them through links that you make available.

That leads us to the topic of this page. The last move in the Vlog It! Eight-Step is creating a link to the vlog that's sitting on the host ready to be viewed. As mentioned, you can put that link just about anywhere. If you want it in a blog, then you'll need an account with a site like blogger.com, BlogStream, TypePad, or Moveable Type.

Opening the Link Dialog

When you first publish by the "Publish Video as a Vlog" method, the last page of the publisher wizard is Link your Vlog panel. To open this dialog later, select Link your Vlog in the Hosting Menu. This menu option will be available only if a) you have already published the current project as a vlog and b) you have not subsequently revised the show. If you've made changes to the project since you last published it, then the Link dialog will not be available until you republish.

Link Options

Vlog It! lets you create four types of links. To select one, click the More Options button and then click the radio button for the the desired mode.

  • Popup Player with Thumbnail (default): This method adds a thumbnail that is a link to a popup player for your vlog. Clicking the thumbnail opens a separate window with a player, and the video begins playing automatically.
  • Embedded Player: This method inserts a player directly into your blog. The player's screen will remain black until the Play button is clicked.
  • Standard Direct Web Link: This method is intended for creating a text link and is best used in conjunction with the Insert Hyperlink feature in your blog editor, email program, etc. While the drag-and-drop workflow functions with this method, it's easier to copy and paste this type of link.
    When a link produced by this method is clicked, the current browser window will switch to the link's URL; your readers will then have to navigate back to your blog page.
  • HTML Web Link with Thumbnail: Like the Popup Player method, this option adds a thumbnail that acts as the link to your vlog, but the link functions as a standard web link (causing the current browser window to switch to another URL) rather than opening a popup player. As with the Standard Link method, your readers will have to navigate back to your blog page after viewing the video.

How To Drag & Drop a Link

Your vlog is a veritable ship in the harbor until you point people to it. Assuming that a) you're inserting it into a blog or as a more-or-less stand-alone vlog, and b) you're content with the thumbnail as the link, then this is a basic click-and-drag operation.

  1. Open your blog authoring tool and create a new entry (or open an old entry for editing).
  2. If desired, select the preferred link option.
  3. Click and hold the thumbnail on that dialog, drag to the desired spot in your blog, and release the mouse button.

Vlog It! will paste the necessary information into the blog. If you are in the WYSIWYG view in your blog authoring tool, you should see the thumbnail. When a reader clicks the thumbnail, a video player will pop up and begin playing the vlog.

Wrong Icon? What to do: If you get as far as this final dialog only to decide that you want to change the thumbnail, then click Done, assign a new thumbnail, and click Publish again. Vlog It! will skip the rendering step because the video hasn't changed, but it will re-upload to the server in order to update the thumbnail.

... but the thumbnail in my blog didn't update! Now what? If you've already dropped the thumbnail in your blog before noticing that the thumbnail's not right, then the steps above will substitute the new image. The reason you're still seeing the old one is that your browser is using a cached image. Trust us—when you post your blog, your readers will see the right image (if you don't trust us, select the blog editor's window and press F5 to refresh it; if that doesn't work, then open the Internet Options dialog through your browser's Tools Menu and delete your temporary Internet files.)

Keeping the Link Dialog Visible: To execute this drag-and-drop operation, you have to be able to access the link dialog and your blog editor. To make this easier, we added the Stay on Top option, which causes the link dialog to remain the uppermost window even when you select another program. To enable this option, click the button in the upper left corner of the dialog with the icon that looks like an equal sign [image].

How to Copy & Paste a Link

The drag and drop method inserts the necessary html code into your blog for you, but Vlog It! also provides access to the code itself so that you can create links through a copy/paste workflow if you prefer.

  1. Click the More Options button at the bottom of the link dialog to access these options, which are defined in the Link Options section above.
  2. Select the desired link type.
  3. Click the Copy button
  4. Paste the copied content into your blog, webpage, or email editor. How and where you paste will vary depending both on which link option is selected and on the design of the program you're pasting into.
  • Standard Direct Web Link: Select the text or image to which you want to tie the link, select Insert Hyperlink in the blog editor, and paste into the Link field (the names of the controls may vary). If the link field is preloaded with something like "http://," delete that content before pasting.
  • All other link types: Paste directly into the editing window. With some editors, you may have to paste the link into the html view rather than the normal (or "wysiwyg") view.


A Brief History of Broadcast Communication

It's now clear that we're on the cusp of the next great communications revolution with the convergence of radio, television, and the Internet, which is revolutionary by nature but only beginning to reveal its impact.

Although early pioneers of radio experimented with broadcasting music and voice over radio waves in the early 1900s, the radio boom truly began in the 1920s. By the 1930s, radio began to reshape the dissemination of news around the world, from political campaigns to sporting events. The dramatic rise in popularity was also attributed to the war, with people everywhere glued to their radios seeking the most up-to-date information.

Throughout its history, the radio communications industry saw a number of important broadcasters, from influential reporters like Walter Winchell to insatiable disk jockeys like Wolfman Jack. They helped pioneer its format and expand its impact on worldwide audiences.

Yet as powerful as radio became, it paled in comparison to the paradigm shift brought about by a new invention: Television. In fact, television may be the most significant communications invention to date, the only other contender being the Internet. Vlog It! represents a powerful combination of the two.

Inventors first arrived at the possibilities of television even before the turn of the century. Television wasn't generally available to the public until around 1946, and the television boom occurred between 1949, when 940,000 households had a set, and 1953, when the number soared to 20 million according to some sources.

Because Television can encapsulate imagery as well as sound, it forced a number of shifts in the way broadcast communications were created. Appearance began to matter as much as substance. In view of the proverb "a picture is worth a thousand words," television has irrevocably established that humans are mystically attracted to the visual message. It was largely this effect that shifted politics, entertainment, and even the news further than we might have imagined.

The first color broadcasts began around 1953. Soon thereafter the first "recorders" were available to the networks, providing an option to capturing television on film. The first home video recorder then appeared in 1963—for a whopping $30,000! By electronically mixing video and eventually adding special effects, the networks could finally eliminate the need to splice film together.

Early special effects began with simple transitions, which combined part of one image with part of another, as well as a technique called chroma key, which used color variations to control the mixing. Amazingly, some of the earliest split screen effects actually relied on mirrors being placed in front of the camera to partially split the view to an alternate scene in another part of the studio. Primitive digital video effects (DVEs), which began to appear in the early 1970s, required specialized equipment costing more than most cars did. More sophisticated DVE capabilities such as digital zoom, rotation, perspective and curves did not become possible until later still. By the early 1990s producers began pushing the envelope with chroma key effects (green screen) to create virtual set environments built from computer images.

Over the years we've seen a wide range of programming styles and classic formats that have stood the test of time, including "Howdy Doody," "Meet the Press," "The Ed Sullivan Show," "I Love Lucy," and "Sesame Street." Some shows were created to entertain, some to inform, and some to educate. We've seen hysterical skits from "The Ernie Kovacs Show" to "Saturday Night Live," and we've witnessed unforgettable events like the Kennedy assassination and the September 11 attack on America. And then there is the profound impact of televised words from our world leaders, heroes, and great thinkers. Whether it's a rant, praise, proposal, or prayer; regardless of good news or bad, television has brought countless thoughts and ideas into our homes that have changed our opinions, our knowledge, and even our lives.

Television has forever altered our society, but here at Serious Magic, we don't believe TV has yet reached its full potential to inform, educate, entertain, and enrich our lives. To reach its full potential, we believe that the power to make television (or TV-like programs) must be in the hands of millions of people, not just a few thousand broadcasters and video producers. We believe that the most exciting events in the evolution of TV are just ahead of us.

Perhaps someday Vlog It! will be remembered as a major step forward in democratizing the tools of television. That would be nice, but it's not the important thing. The only thing that's really important is what you do with this tool. The power to communicate with the visual impact of network television is an amazing thing. Use it wisely—and try to have a little fun along the way.

Historical information is provided for general reference. Some dates and events were approximated based on information from a variety of sources including articles from "Radio and Television," www.historychannel.com, and The Age of Videography: Twenty Years That Changed The Way We See Ourselves, edited by Brian McKernan (Miller Freeman PSN, Inc. 1996).


Trouble Shooting

  • Check for Vlog It! Updates
  • Where to Find Help
  • Updating Your Hardware Drivers
  • Frequently Asked Questions
  • Problems with Audio
  • Problems with Video
  • Error Messages

Check for Vlog It! Updates

If you are having problems with Vlog It! and are connected to the Internet, we recommend that you try checking for updated program files before you try anything else. Select Check for Updates in the Help Menu and follow the onscreen instructions. The update might fix your problem immediately, but even if it doesn't, having the latest release of Vlog It! installed will improve our ability to isolate your problem and identify a solution.

Where to Find Help

Frequently Asked Questions

Check our Frequently Asked Questions pages on our Web site.

Online Help

Since you're reading this, you've obviously already found your way to the online Help system. In addition to the Help Menu and the the standard F1 key, you can access this help from the Help button in some Vlog It! dialogs, which take you directly to the page about the feature that you are using. The Help system is fully indexed and searchable.

Contacting Technical Support

You can call or e-mail with questions and reports of problems to our Technical Support crew at Support@seriousmagic.com or 916-985-8050. If you are writing concerning a problem with the program, please include complete and accurate information about your system. Vlog It! collects useful information in the About box and stores diagnostic data in the StatusLog.txt file. Also, the Windows® DirectX Diagnostics tool is a utility that assembles a host of details about your system.

Getting the Contents of the About Vlog It! box

If you are able to launch Vlog It!:

  1. Select About Vlog It! in the Help Menu. This opens a dialog containing a summary of information about your system and the installation of Vlog It!
  2. Click Copy Diag Info.
  3. Paste the contents into an email or User Forum message.

Locating and Copying the Contents of your StatusLog.txt File

If Vlog It! is not starting, it may be helpful for you to provide Technical Support with the contents of the StatusLog.txt file. Each time Vlog It! starts, it makes a list of each component in your system that it attempts to initialize. We may be able to tell from this log file which component is causing the failure. The issue can then often be resolved by updating that component's software driver.

  1. Locate the StatusLog.txt file
    • Use Windows Explorer to navigate to the file here: C:\Program Files\Serious Magic\Vlog It! (Both your drive letter and the path to the Serious Magic folder may vary.)

    • OR
    • Use the Windows Search feature to find the StatusLog.txt file on your hard drive
  3. Attach this file to your e-mail to our Technical Support Desk. You can also copy and paste the contents of the StatusLog.txt file into a post on our User Forums to get advice from fellow customers as well as members of the Serious Magic team.

Running DirectX Diagnostics

  1. Click the Start button on the Windows Taskbar.
  2. Select Run.
  3. type dxdiag in the Run window and click OK.
  4. Once your results are displayed, click the Save All Information button, which is in the dialog's lower right corner. Enter a convenient path to which to save the file.
  5. Attach the file to the e-mail in which you detail the problem you're experiencing, or copy and paste its contents into a post on our User Forum.

Technical Support Web Pages

Visit our web site and go to the Technical Support section. From the support pages, you'll be able to review the latest Troubleshooting Tips and updates and send an email to Technical Support. If you have registered Vlog It!, you'll also be able to visit our friendly User Forums. All types of users from novices to experts are known to congregate there exchanging tips and advice. Chances are, if you have a question about Vlog It!, there's already a thread there that addresses it.

Upgrading to Visual Communicator

Serious Magic has product line named Visual Communicator that does everything Vlog It! does and much, much more. To learn more about Visual Communicator's features and system requirements, please visit Seriousmagic.com.

Updating Your Hardware Drivers

Hardware components such as your video and sound cards, mouse, and web cam all require files called drivers that allow them to work with Microsoft® Windows®. Most hardware device manufacturers release new software drivers periodically that fix compatibility issues and increase performance.

If your computer is a laptop, you should update your drivers through the website for the laptop's manufacturer, not from the maker of a sub-component.

If your devices are working just swell with Vlog It!, we recommend that you NOT update them because sometimes new drivers can actually cause things to work worse.

For a list of common hardware devices and driver version numbers that we have tested, visit the Serious Magic Technical Support web pages at www.seriousmagic.com/help. If your device meets the minimum requirements it will probably work with Vlog It!

Updating Your Windows Operating System

In certain situations, updating your operating system may be required. If you should ever need to update your Windows version:

  1. Select Windows Update in the Tools menu for Internet Explorer.
  2. Follow the onscreen instructions to scan your system for needed updates.

Frequently Asked Questions

Problems Starting Vlog It!

If you have a camera or other video input device connected to your computer, it's possible that Vlog It! is having a problem recognizing it at startup. To check this, try starting Vlog It! without enabling video input devices by holding down the CTRL key on your keyboard while double-clicking the Vlog It! icon.

  • If Vlog It! loads successfully, there may be a problem with your video input device or its software driver. See "Updating Your Hardware Drivers" above.
  • If Vlog It! still does not load, send us the contents of your StatusLog.txt file as described above.

If you have a microphone or other audio input device connected to your computer, it's possible that Vlog It! is having trouble recognizing it. To check this, try starting Vlog It! without enabling audio devices by holding the SHIFT key on your keyboard while double-clicking the Vlog It! icon.

  • If Vlog It! loads successfully, there may be a problem with your audio device or its software driver. See "Updating Your Hardware Drivers" above.
  • If Vlog It! still does not load, send us the contents of your StatusLog.txt file as described above.

Trying alternate devices

If you have installed the latest driver and are still having problems, try using another device.

  • If you connect a different camera or mic and Vlog It! loads successfully, there is a problem with your original device. Contact its manufacturer.

  • If you are still having problems loading Vlog It! with other devices connected, allow us to help you identify your problem by contacting Technical Support.

Problems with Video

Problem

Things to Try and Possible Solutions

The video in my Output Monitor window is very jerky. The show does not play smoothly.

If you have a slower PC or an older graphics card you may see the video in the Output Monitor window become "jerky" during rehearsing or recording with V-Screen active. In this case,

  1. In the Menu Bar, click Settings.
  2. Select Performance Settings.
  3. Drag the Your computer is? slider to the Custom setting.
  4. Click and mark the checkbox for Don't Show V-Screen During Rehearse/Record.
  5. If you still see the problem, deselect Smooth Teleprompter Scrolling in Performance Settings and verify that Freeze Animated Backgrounds is selected.

This change should not affect your published show.

The Teleprompter does not scroll smoothly.

See the solution above.

My Output Monitor just
displays a black screen instead of my video.
  • Click the Setup tab and check to see that your video source is visible and selected under the Video Input Device drop-down list.
  • If you have an NVIDIA graphics card, go to the NVIDIA web site to make sure that you have the latest driver for your video card. There is a known problem with the NVIDIA GeForce class cards with older drivers.
  • Also, try de-selecting the Enable Software Vertex Processing box in the Performance Settings dialog:
    1. Select Performance Settings in the Settings Menu.
    2. Set the "Your computer is?" slider at the top to Custom.
    3. Deselect Enable Software Vertex Processing by clicking the checkbox to remove the "x."

There is a single colored smear across my Output Monitor.

If you have an NVIDIA graphics card, go to the NVIDIA web site to make sure that you have the latest driver for your video card. There is a known problem with the NVIDIA GeForce class cards with older drivers.

Problems with Audio

Problem

Things to Try and Possible Solutions

There is no audio being recorded on my shows.
  • Make sure your microphone is plugged into the mic jack. Your computer may have a mic jack that is colored pink or labeled microphone.
  • Ensure that your audio is set up in Vlog It! Click the Setup Tab then click the Audio button. Check to make sure that the sound card and microphone input is selected and the Mute checkbox is not selected.
  • Make sure that your sound card is working in other programs. Try using the mic with Sound Recorder.
    1. From Windows, click Start > Programs > Accessories > Entertainment > Sound Recorder.
    2. In the Sound Recorder Window, click the Record button.
    3. If the green line remains flat as you record, your mic is not working properly in Windows and therefore will not work in Vlog It! Try another microphone.
  • Check the Windows Device Manager to ensure that the sound card driver was loaded properly and that the audio device is recognized.
    1. From your Windows Desktop, right-click the My Computer icon and select Properties. Click the Hardware tab then click the Device Manager button.
    2. Click the Sound, video and game controllers icon to list all the audio devices.
    3. If you see an exclamation point next to a device, there is a problem with it. Try using the Windows Troubleshooting tool to fix the problem.
  • To run the Windows Hardware Device Troubleshooter:
    1. From Windows, click Start > Control Panel > Double-click Sound and Audio Devices.
    2. Click the Hardware Tab > click the device you'd like to fix and click the Troubleshoot... button.
    3. Follow the instructions on screen.

If your sound card is not recognized in the Device Manager, or not working in Sound Recorder, you may need to re-install the driver. Try going to the sound card manufacturer's web site to download the latest driver.

There is an echo of the sound from video or audio clips when recording.

Turn your speaker volume down to reduce any echo or feedback which might be heard through the microphone while recording your shows. Or, on the Setup tab under Audio, click the Mute checkbox.

There are a lot of audio pops and/or audio distortions in my finished shows.
  • Be sure that you have the current driver for your audio device. Go to device manufacturer's web site and search for updated drivers. If you find a driver with a later version number or date, download it and install the new device in Windows.
  • Check your Windows microphone controls.
    Click Start > Control Panel > Sounds and Audio Devices. Click the Audio Tab. Under Sound recording, click Volume. In the Recording Control window. Under Microphone select Advanced. Under other controls de-select 1 Mic Boost (+20dB).
  • You may be having system performance issues. Go into Vlog It! and in the Menu bar, click Settings and then Performance Settings and drag the Your Computer is? slider to Medium.
  • Disable any additional audio devices that are not in use. For example, if you have installed a new audio PCI card but previously had an onboard audio chipset, go to the Device Manager, right click and disable the device you no longer use.
    From your Windows Desktop, right-click the My Computer icon and select Properties. Click the Hardware tab then click the Device Manager button.
  • If you are using a web cam with a microphone, your system may have an audio input conflict. Go to the Device Manager. Double-click Sound Video and Game Controllers. Right-click the web cam microphone and select Disable to eliminate a possible audio input conflict.

I am not getting the audio through my camcorder.
  • Vlog It! may not see the camera as an audio device and therefore does not pick up the camera's microphone as a live audio input source. In Vlog It!, click the Setup tab and click the Audio button. Ensure that your audio device appears in the Audio Input Device drop-down list.
  • Connect a high-quality microphone to the mic input jack on your PC's sound card. This is preferred because a lapel clip-on microphone will deliver much higher quality sound than a microphone mounted on your camcorder. Camcorder microphones may introduce room echo, as well as computer fan and other room noise.
  • If you have connected a microphone to a jack in your camera, the microphone may needs its own power supply. Check the instruction manual that came with the microphone.

My microphone volume is too low even at the max. setting.

Try the solution above to reconfigure your sound card.

Error Messages Explained

The following is a list of messages you may see while using Vlog It! We have included descriptions and possible solutions where appropriate to help you understand the reason for the message.

. . . already exists! Do you want to overwrite this file? - Indicates that the name you are attempting to assign to the current file already exists.

An Error occurred uploading the file. - When you Publish to Server you must be connected to the Internet. This message indicates that there is most likely a problem with the Internet connection that caused the file upload to not start or be interrupted.

Are you sure you want to stop before your show has finished publishing? - Warns you that you are stopping the publishing function before it is complete.

Cannot assign content containing transparency to this effect. Please replace the effect with an effect that brings content on-screen, then try the content again. - Titles and other graphics (e.g. lower thirds) that have transparent areas (alpha) showing program video in the background cannot be brought on screen using effects such as page peels or other "fly off" effects because they move video off-screen instead of on-screen. Try another effect with the graphic you wish to use.

Cannot assign this effect to an action with transparent content. Please try an effect that brings content on-screen instead. - Titles and other graphics (e.g. lower thirds) that have transparent areas (alpha) showing program video in the background cannot be brought on screen using effects such as page peels or other "fly off" effects because they move video off-screen instead of on-screen. Try another effect.

Cannot preview the selected effect due to missing content. You must assign the contents before previewing the effect. - Indicates that the highlighted Action Tray must have content (camera, live video, graphic etc.) placed in it before you can rehearse or record. The previous Action Tray must also have content assigned to it since the effect needs the end of the previous file to perform.

Error attempting to save the app settings. Defaults will be used next run. Ensure the "AppSettings.xml" file in your "Bin" directory is not write protected. - Your system may be too low on memory to run the application. You may also be out of hard drive space on the drive that contains Vlog It!

Error attempting to save the show. The show cannot be saved. - The hard drive you are attempting to save to may be full or you may not have write permission for that folder.

Once your camera is positioned for recording, move out of the camera's view so that it only sees the background (green screen), and then press the "OK" button to auto-calibrate. - These instructions are for automatic set up of the V-Screen effect, which removes the green screen background. Be sure you have checked the Active box before you start creating a show with a V-Screen effect.

Screen resolution must be set to 1024x768 or higher! - You must run your screen resolution at 1024 x 768 or higher. Right-click on the Windows desktop, click on Properties then the Settings tab to change the screen resolution.

The file dropped/entered is not a file type supported by Vlog It! - This message appears when you try to add a file to the Action Area that Vlog It! does not support.

The message was not sent! - When you select Send in an Email during publishing, if your Internet connection is not working properly or your email client (such as Microsoft Outlook) is not configured correctly, you may not be able to send the email.

The Publisher could not log on to an email account! - The user has Web Mail (i.e. Hotmail or AOL) and does not have a local pop account setup. You may be experiencing a technical problem with your email program or the account.

The publisher does not detect an Internet connection! - If you use dialup service, you must establish a connection manually. If you have DSL or a cable modem, you are most likely having technical difficulty with your modem/network setup or connection. If you are on a network, you are most likely experiencing technical difficulty with the network or their network connection.

The publisher was unable to establish an Internet connection! - To upload a show to Vlog.com or an FTP server, you must be connected to the Internet. This message indicates that the Internet connection is broken or not available. For modem users, try re-dialing to your ISP and then select OK to this message.

The selected action is missing an effect. You must assign effects before performing the show. - Indicates that the highlighted Action Tray must have an effect placed in it before you can rehearse or record.

The selected action is missing contents. You must assign the contents before performing the show. - Indicates that the highlighted Action Tray must have content (camera, live video, graphic etc.) placed in it before you can rehearse or record.

The selected actions are either missing effects or contents. You must assign the missing items before performing the show. - Indicates that the highlighted Action Tray must have content (camera, live video, graphic etc.) or an effect placed in it before you can rehearse or record.

The specified directory does not exist! Do you want to create it? - Do you want the application to automatically create the folder you are trying to write to?

There is not enough available space on the selected hard drive to publish! - This indicates that you need to free up some hard drive space or select another drive before you Publish. If available you can also save to your local network or a FTP site.

This action will remove all the actions in the window. - This is a confirmation dialog that appears when you select Clear All from the right-click menu for the Action Area. if you select Yes, all Action Trays will be deleted.

Unable to create the directory! - There is a problem writing the folder as you have it named. Check that you are not naming the folder the same as an existing one and that the entire path exists. In Windows, certain characters are not permitted in folder names (\, *, &, etc.).

Unable to initialize the application settings. - Fatal error. Your system may be too low on memory to run the application. Close as many other applications as you can and make sure you have the required amount of RAM memory. You can also try restarting your computer.

Unable to initialize the Audio/Video System. - This message informs you of a problem with your camera, video capture device or audio input device. Check to make sure everything is plugged in and working correctly then re-start Vlog It! Make sure your video card meets the minimum requirements and that 3D acceleration is on in your display settings. Right-click on the Windows desktop, click on Properties then the Settings tab. Click on Advanced and then the Troubleshooting tab. The slider should be all the way to the right.

Unable to initialize the icon cache. Locate and delete the file "smdb.db" in your application "Bin" directory. - Your temporary icon cache file has been corrupted. Delete the file and restart the application. You can locate this file by performing a file find with the Windows search function, usually located in the Start panel. This will not impact the operation of Vlog It! as the icon cache file will be rebuilt automatically.

Vlog It! cannot run with your current display settings. - Go to the "Settings" tab in Display Properties and click the "Advanced" button. Select "Small Fonts." You must reboot your computer after these changes are made.

Vlog It! is already running! - Indicates that Vlog It! is already running. Check the Windows task bar for Vlog It!

You are running low on disk space. Press "Ok" to continue recording, or "Cancel" if you wish to free up some space before recording. - This message comes up when you don't have enough free space to record 30 seconds of regular (webcam) input or 5 seconds of full-res DV input. The location of your show project determines which disk drive the message is referring to. You should free up some space on that drive before recording your show.

You cannot set pause to zero on an inset video. - Certain video effects that bring a video object on-screen in a reduced size are configured to come on-screen, wait a designated period, then automatically go back off-screen. Without a pause time, they will not reverse out so this wait period cannot be zero.

You cannot set pause to zero on an overlay. - Title graphics that display on top of other video, i.e. overlays, are configured to appear onscreen, wait a designated period, then automatically go back off-screen. Without a pause time, they will not reverse out so this wait period cannot be zero.

You have already Published this show to your hard drive or network with these settings! - This message lets you know that you have already saved the current show with these settings.

Your current show has been modified, but is not saved. Would you like to save it before proceeding? - This is a reminder that the current show project needs to be saved in order to keep the changes you have made. This message pertains to actual saving, not recording. Even if you have recorded a video of your show, you still must save it to preserve the Teleprompter script, Action Area and recorded camera and microphone.


Glossary

Action - The transition effect that introduces a new piece of video to the screen. Actions are placed on the left side of the Action Trays.

Action Area - This is the window on the upper right side of the main interface where you place the Action Trays that contain your media, pre-recorded videos, audio and effects.

Action Tray - The Action Tray is a container for your action and media files.

Audio Mixer - The Windows audio mixer is where you can adjust the volume and balance of your incoming and outgoing audio.

Auto-Set Key - Automatically sets the V-Screen green screen (chroma key) function, adjusting it to the color of your V-Screen backdrop by taking a picture of just the backdrop by itself.

Background - A picture or graphic used behind a set or person, often as a chroma key. Also used behind on-screen text.

Camera Frame Rate - This is the rate at which a camera or other video device will display video frames. The standard frame rate for video is 30 frames per second. 15 frames per second is commonly used for Internet streaming video as it reduces the file size and download time by half.

Chroma Key (V-Screen) - Chroma Key is an effect in which a person or object is filmed or videotaped in front of a color background, usually green or blue. The green or blue background is removed digitally and replaced with a picture or any other type of scene available, video or graphic. Vlog It!'s proprietary new technology that allows high-quality chroma keying in office, school and home environments is called V-Screen.

Content Libraries - The Content Libraries are where all of the media files, effects, and other show elements are stored, navigated through, and selected. This is the lower right area of the Vlog It! main interface.

Closing Slate - The graphic images seen at the end of a show. Show title, credits and the like are usually in the closing slate.

Color Correction - The process used to adjust color variations in the video signal. If the people in your video appear green because of lighting conditions, you can adjust this to make their coloration look more true to life. In Vlog It! these functions are performed in the Adjust Colors window.

Countdown - Numbers representing seconds until show time. On a live news set, this countdown is called out by a floor director. In Vlog It! the countdown is presented in the output window with beeps. The countdown can be turned off in Application Settings.

For historical reasons that reach back to the time of Cecil B. DeMille and the dawn of motion pictures, the numeric countdown that is seen before Rehearse/Record stops at the number two. The number one is not shown and is replaced by black and a beep instead.

Dissolve - A dissolve is a transitional effect that smoothly mixes between two shots or pictures.

Duration - The duration of the currently highlighted action, in seconds. You can change the duration by selecting the number in the box and typing in a new duration.

Effects (FX) - Effects are visual accents such as wipes, dissolves or special effects like a page peel or shatter. Effects are often (but not always) used to transition from one video or graphic to another.

Encoding - Converts information to a particular form or format. For example, the Windows Media Encoder converts audio and video to a form that can be streamed to clients over a network. In reference to MP3 digital audio in particular, technology that converts a WAV audio file into an MP3 file. An MP3 encoder compresses a sound file to a much smaller size, about one-twelfth as large as the original, without a perceptible drop in quality.

FireWire - The Apple Computer trade name for the IEEE 1394 video format.

Flip Wipe - Changes the direction of a wipe effect

Graphic(s) - Objects, flat images, original drawings or text displayed on screen.

IEEE 1394 - FireWire; The interface standard that enables direct transfer of DV between devices, such as a DV camcorder and a computer or two DV devices.

Lower Third Graphics - TV folks can be masters of the obvious. Hence these text-based graphic elements derive their name from where they usually appear on the screen, at the lower third. Lower third graphics are usually used to identify a person and can include things like name, company, position or location.

Media Files - This is an all-encompassing term for audio and graphical files used in your show. Includes audio clips, video clips, digital photographs, and computer graphics.

Media Folders - In the file structure, media files can be stored in folders.

Opening Slate - The graphic images seen at the beginning of a show. Show title, date and company or production information can appear in the opening slate.

Output Monitor Window - The Output Monitor window displays the video from your camera and show graphics. You will also see your show here when it is Reviewed.

Over the Shoulder - This refers to the box of graphics you sometimes see over the shoulder of a newscaster. This box has video or graphic images pertaining to the topic being discussed.

Project - The term used for a show in Vlog It! Projects are saved with the .MSH file extension, which is unique to Vlog It! and Visual Communicator. A project's metafile contains the text from the Teleprompter and references to all effects and media files used in the Action Area. It is not an actual video file suitable for viewing elsewhere. (Such finished videos are created by Uploading or Publishing).

Publish - Opens the Video Publisher wizard, through which you can save a video file of your show to disk or to a server or send it as an email.

Record - Runs your show and records the video from your camera and audio from your microphone.

Rehearse - Runs your show without recording so you can preview how it will look and practice reading the script.

Review - Plays back your completed show.

S-Video - Refers to a system of plugs and jacks used to interconnect camcorders, VCRs, and TV monitors. S-Video cables, also known as Y/C (luminance/chrominance) connectors, keep the chrominance (color) and luminance (brightness) information separate, which improves picture quality by keeping any signal interaction to a minimum.

Script - The text written for actors, show hosts, and newscasters containing their lines. A script is typically the first part of any production to be completed.

Show - see Project.

Show Timer - The digital clock in the main interface that tells you the current show duration. Through the Application Settings dialog, can be set to show frame count in addition to minutes and seconds.

Slate - A full screen text page with a graphical background and one to three lines of text that you can edit at will.

Smart Position Next Action - Automatically moves the following Action Tray to the end of the selected Action Tray. Found by right-clicking on an Action Tray.

Teleprompter - A Teleprompter is a device that scrolls text for you so that you can keep your eyes on one spot, appearing to look into the camera the whole time. In Vlog It!, it's the region at the center of the interface.

Titling - The addition of text, symbols, and graphic elements to a video show or presentation.

Transition - Refers to a means of moving from one graphical source to another. You can use transitional effects like the wipe or dissolve to move between two sources.

V-Screen - V-Screen is the name of Serious Magic's chroma keying technology. It can create high-quality green screen effects without requiring a professional camera or studio lighting.

Video Effects - Transitional effects used between two video scenes or images.

Virtual Set - An artificially created set in which people or objects can be digitally placed. Used in conjunction with chroma key.

Wipe - A wipe is a type of transitional effect that replaces part of the screen at a time. There are different wipe patterns such as a circle wipe or a clock wipe. In Vlog It! wipes can also have soft edges or color border effects applied to them.

White Balance - A process used in consumer and professional camcorders and video cameras to calibrate the picture for accurate color display in different lighting conditions.


Action Tray Frame

The frame of an Action Tray is the area beyond the two bins for the effect and mediA Source and, if present, the speaker icon. Clicking anywhere on the frame selects the entire Action Tray. You can move a tray by clicking anywhere on its frame and dragging up or down in the Action Area. Right-clicking the frame opens a menu of options—actions that you can perform on the trays, or on multiple trays if several are selected. The menu differs from those that open when you right-click on any contents of a tray.


What is Aspect Ratio

The aspect defines the image's aspect ratio, or width vs. height. A ratio of 4:3 means an image is 4 units wide and 3 units high. Common resolutions at this aspect ratio are 640x480 and 320x240.


End User License Agreement

Limited Warranty and License Agreement
VLOG IT!

Please Read Carefully

THIS LIMITED WARRANTY AND LICENSE AGREEMENT (the "AGREEMENT") DESCRIBES YOUR RIGHTS TO USE THIS SOFTWARE. YOU SHOULD CAREFULLY READ THIS ENTIRE AGREEMENT BEFORE CLICKING THE ACCEPTANCE BUTTON OR INSTALLING OR USING THE VLOG IT! SOFTWARE. CLICKING THE ACCEPTANCE BUTTON OR THE OPENING OF THE SOFTWARE PACKAGES AND/OR INSTALLATION OF THE SOFTWARE INDICATES YOUR ACCEPTANCE OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE WITH THEM, YOU SHOULD CLICK THE DO NOT ACCEPT BUTTON OR RETURN THE ENTIRE PRODUCT IN NEW CONDITION TO THE PLACE OF PURCHASE.

Except as otherwise specifically provided, Serious Magic, Inc. ("Company") is the "Licensor" of the VLog It! software and accompanying content and documentation including without limitation, all music, sound effect, image, animation, video effect, 3D object or font files and all other items contained on any storage or distribution medium, if any (the "Programs"). You assume responsibility for the selection of the Programs to achieve your intended results.

LICENSE

The Licensor grants to you, the original end user licensee ("End User," "You," or "Your"), a nonexclusive license to use the Programs for Your personal use only, and not for further distribution, sale or sublicense, subject to the terms and conditions stated in this Agreement. You may: (i) use the Programs on a single machine; (ii) make up to three (3) copies of the Programs into any machine-readable form only for necessary backup or modification purposes in support of Your use of the Programs on a single machine; and/or (iii) transfer the Programs and this license to another party if the other party agrees to accept all terms and conditions of this Agreement. If You transfer the Programs, You must at the same time either transfer all copies, whether in printed or machine-readable form, to the same party or destroy any copies not transferred. You may not assign or transfer the license to the Programs except as expressly provided in this Agreement. Except as expressly permitted herein, any attempt to lease, sublicense, assign or transfer any of the rights, duties or obligations hereunder is void.

CONTENT

Without limiting the foregoing, content included as part of the Program, including without limitation, all music, sound effects, images, animations, video effects, 3D objects or font files (“Content”) is licensed to You for Your personal use only, and not for further distribution, sale or sublicense, subject to the terms and conditions stated in this Agreement. The Content, and related trademarks and copyrights remain the property of their respective owner(s). You may not assign or transfer the Content except as expressly provided in this Agreement. You may use the included content royalty-free for the purpose of creating your own original videos within VLog It!. You may not use or distribute the content in any way except as part of your own original VLog It! videos. Except as expressly permitted herein, any attempt to lease, sublicense, assign or transfer any of the rights, duties or obligations hereunder is void.

RESTRICTIONS

The Programs are protected by applicable national copyright laws and are also subject to trade secret laws. You may not make, use, modify, adapt, translate, create derivative works or distribute copies of the Programs to others or transfer the Programs from one computer to another nor may You de-compile, reverse engineer, disassemble or otherwise reduce the Programs to a human perceivable form. Such unauthorized use of all or any portions of the Programs for any reason is forbidden, except as expressly permitted herein with regard to Your creation of visual communications.

You may not use the Programs to create new or additional products intended for use with the Programs, including but not limited to content packages, intended for sale, license or distribution to licensees of the Programs or third parties using the Programs without the prior written consent of Licensor.

THIRD PARTY SERVICE PROVIDERS

Licensor may make video hosting services and certain other services available to End Users through third party service providers. Use of third party services will require End User to agree to the terms and conditions specified by each third party service provider and End User will be required to enter into separate agreements with such third parties regarding the services to be provided to End User. End Users who participate in such services do so at their own risk and are solely responsible for the videos and other content they post on and through these services. The services offered to End Users by third party service providers are offered solely for the convenience of End Users and Licensor makes no representations or warranties regarding such services or of the third party service providers. End Users are strongly encouraged to exercise discretion when providing information about themselves to such third party service providers and to carefully review the terms and conditions of the services offered by third parties. Licensor shall not be liable or responsible for any content, products or services offered by third party service providers.

TITLE

The original and any copies of the Programs, in whole and in part, including translations, compilations, partial copies, modifications, and updates are the property of Licensor or its suppliers. You have only the limited rights granted by this Agreement. You are not an owner of a copy of the Programs, and therefore 17 U.S.C. Section 117 does not apply.

TERMINATION

You may terminate Your license to the Programs at any time by destroying the Programs together with all copies, modifications and merged portions in any form. The license also will terminate as set forth elsewhere in this Agreement if you fail to comply with any term or condition of this Agreement. You agree upon such termination to destroy the Programs, together with all copies, modifications and merged portions, in any form.

LIMITED WARRANTY

Provided You have paid the applicable license fees for the Programs, Licensor warrants to You that the media on which the Programs are originally distributed to You (if any) are free from defects in materials and workmanship under normal use for a period of ninety (90) days from the date of delivery to You (the "Program Warranty"). Delivery shall be defined as either the date You download the Programs from an authorized download site, or the date that You pay the applicable license fee to an authorized dealer as evidenced by a copy of Your sales receipt. Licensor does not warrant that the documentation or the functions contained in the Programs will meet Your requirements or that the operation of the Programs will be uninterrupted or error free. Licensor's entire liability and Your exclusive remedy with respect to breach of the Program Warranty will be the replacement of any media upon which the Programs were originally distributed to You which do not meet the Program Warranty if returned to the Licensor within the Program's Warranty period with a copy of the applicable sales receipt(s). You are responsible for any costs, expenses, customs, duties, taxes, and/or other similar charges arising with regard to return shipment of the Programs to the place of purchase and Licensor's return of the Programs under the Program Warranty. You must pay all such costs upon invoice.

No oral or written information, advice or advertisement given by Licensor, its dealers, distributors, agents or employees will create a warranty or in any way increase the scope of the limited warranties set forth herein, and You agree not to rely on any such information or advertisement for such purposes.

NO OTHER WARRANTY

EXCEPT FOR THE LIMITED WARRANTY STATED ABOVE, THE PROGRAMS ARE PROVIDED "AS IS" WITHOUT WARRANTY OR CONDITION OF ANY KIND, EITHER EXPRESSED OR IMPLIED AND THE IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, TITLE AND FITNESS FOR A PARTICULAR PURPOSE ARE SPECIFICALLY DISCLAIMED. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAMS IS WITH END USER. SHOULD THE MEDIA ON WHICH THE PROGRAMS WERE ORIGINALLY DISTRIBUTED TO YOU PROVE DEFECTIVE, BEYOND THE PROGRAM WARRANTY PERIOD, OR DUE TO INAPPROPRIATE USE, ALTERATIONS OR MODIFICATIONS BY END USER, END USER (AND NOT THE LICENSOR OR ANY AUTHORIZED DEALER) ASSUMES THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION. SOME STATES MAY NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY. THIS WARRANTY PROVIDES SPECIFIC LEGAL RIGHTS AND THE END USER MAY ALSO HAVE OTHER RIGHTS THAT VARY FROM STATE TO STATE.

LIMITATION OF LIABILITY

IN NO EVENT WILL LICENSOR OR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION OR DELIVERY OF THE PROGRAMS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL, INDIRECT OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS, SAVINGS, LOST OR DAMAGED DATA OR OTHER PROGRAMS ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAMS OR ASSOCIATED HARDWARE (IF ANY), EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THE FOREGOING LIMITATIONS OF LIABILITY SHALL APPLY NOTWITHSTANDING ANY FAILURE OF THE ESSENTIAL PURPOSE OF ANY LIMITED REMEDY OR ANY CLAIM BY ANY OTHER PARTY. LICENSOR'S SOLE LIABILITY TO YOU OR ANY THIRD PARTY, AND YOUR SOLE REMEDY ARISING OUT OF OR RELATED TO THIS AGREEMENT HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE), OR OTHERWISE WILL NOT EXCEED THE FEE PAID BY YOU FOR THE PROGRAMS, AS APPLICABLE. SOME STATES MAY NOT ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES SO ALL OR A PORTION OF THE ABOVE LIMITATION OR EXCLUSION MAY NOT APPLY.

GOVERNMENT RESTRICTED RIGHTS LEGEND

If You are acquiring the Programs on behalf of any part of the United States government, the following provisions apply. The Programs are provided with RESTRICTED RIGHTS. Use, duplication or disclosure by the United States government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFAR 252.227-7013; and in subparagraphs (c)(1) and (2) of FAR 52.227-19, Commercial Computer Software Restricted Rights; or FAR 52.227-14, Rights in General Data Alternative III, as applicable. Contractor is Serious Magic, Inc. Write to info@seriousmagic.com.

MISCELLANEOUS

This Agreement constitutes the entire agreement and understanding of Licensor and End User relating to the Programs and supersedes all prior or contemporaneous understandings, agreements, and communications, and/or advertising with respect to the Program. This Agreement cannot be amended, modified, or waived, unless the change is written and signed by an authorized Licensor representative. If any provision of this Agreement is held unenforceable by any court of competent jurisdiction, that provision shall be enforced to the maximum extent permissible so as to effect the intent of the parties, and the remainder of this Agreement shall continue in full force and effect. This Agreement is governed by the laws of the State of California, without reference to its conflict of law principles. You agree to comply with all United States and foreign export control laws and regulations. We hope You enjoyed reading this Agreement as much as we enjoyed writing it.

Should you have any questions concerning this Agreement, you may contact Licensor at info@seriousmagic.com or visit www.seriousmagic.com.


Single Letter Caption

No, we're not under the false impression that a single letter will stand alone as a credit. But if you string several of them together in rapid succession, you can get a compelling and effective result. Try a sequence of alternating trays like this:

Text Effect | Credit Template as Media Input | Text Content
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | S
Credits 3 Line Title on Black_TV.pg | Cut | S
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | E
Credits 3 Line Title on Black_TV.pg | Cut | Se
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | R
Credits 3 Line Title on Black_TV.pg | Cut | Ser
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | I
Credits 3 Line Title on Black_TV.pg | Cut | Seri
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | O
Credits 3 Line Title on Black_TV.pg | Cut | Serio
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | U
Credits 3 Line Title on Black_TV.pg | Cut | Seriou
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | S
Credits 3 Line Title on Black_TV.pg | Cut | Serious
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | M
Credits 3 Line Title on Black_TV.pg | Cut | Serious M
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | A
Credits 3 Line Title on Black_TV.pg | Cut | Serious Ma
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | G
Credits 3 Line Title on Black_TV.pg | Cut | Serious Mag
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | I
Credits 3 Line Title on Black_TV.pg | Cut | Serious Magi
Credit Format Letter Transparency_TV1.pg | Pop On Zoom Back.mfx, duration = 0.1 | C
Credits 3 Line Title on Black_TV.pg | Cut | Serious Magic